commit dfc43459df669a757faca07b2b44bde59766468e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 17 21:54:31 2010 +0000

    if malloc failed return false

 splash/SplashFTFont.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit ef7339eb26d76714250ed25bd826d737283cc1a4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 16 23:31:05 2010 +0000

    Only assume the OC is not visible if it exists and is set to no
    
    Fixes bug 26532 and a small line that was not drawn in 15899

 poppler/OptionalContent.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b60a5d415e74ff69a6356e3f864f44d3a9b0895b
Author: Pino Toscano <pino@kde.org>
Date:   Wed Feb 10 23:16:27 2010 +0100

    [CMake] fix typo: "MULTITHREAD" -> "MULTITHREADED"

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6203d1d98ad44f0fac55198504a959d494ac5a0c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jan 26 20:49:17 2010 +0100

    [cairo] Use the right matrix for the mask in drawMaskedImage()
    
    Fixes bug #16906.

 poppler/CairoOutputDev.cc |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit e25e4fd2e76619dd42715a1e9d78088850d8fe7e
Author: mpsuzuki <mpsuzuki@hiroshima-u.ac.jp>
Date:   Sun Jan 24 13:34:41 2010 +0100

    [cairo] Fix memory leak

 poppler/CairoFontEngine.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 941ec1ca4f7110765f4c48409c0e6c3f6625cf5c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 24 12:20:25 2009 +0100

    0.12.3

 CMakeLists.txt   |    2 +-
 NEWS             |   16 ++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 22 insertions(+), 6 deletions(-)

commit b526edc439a19970aa5efb47993ebddc80af0f05
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 20 21:59:05 2010 +0000

    Fix GfxRadialShading::GfxRadialShading
    
    Fixes crash in KDE bug 223359

 poppler/GfxState.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 44833844c6208039a3dd3c427aa97e47dc3d497a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 14 08:43:11 2010 +0000

    Fix Uncover and Fade to return correct values
    
    Bug 26034

 poppler/PageTransition.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 2bd99c5a48782bcd85be8801221446038ec35c2d
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Dec 31 17:52:33 2009 +0100

    [glib] Use PDFDoc(wchar_t *, ...) on Windows
    
    Fixes bug #25032

 glib/poppler-document.cc |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit 42359d6f75ca33f1d04a9f129b61725958686879
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 4 18:36:01 2010 +0000

    Require Qt 4.4
    
    This updates the requirement to real requirement

 CMakeLists.txt |    2 +-
 configure.ac   |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit ec36133e2d3693a05836aadb96a722262d48fd39
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Dec 12 17:22:08 2009 +0100

    Initialize profileCommands in Gfx constructor

 poppler/Gfx.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 36abc88231e3d62b12a98afcb0a3c4ed5f07a1e6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Dec 9 19:45:40 2009 +0100

    [cairo] Update font of TextPage in CairoOutputDev::updateAll()
    
    Fixes a crash with some documents, see Evince bug
    https://bugzilla.gnome.org/show_bug.cgi?id=603934

 poppler/CairoOutputDev.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c9ee556ab8b9bab3107a5cb3489354b3d6187a8b
Author: Axel Struebing <axel.struebing@freenet.de>
Date:   Sat Dec 5 22:31:29 2009 +0000

    Add a empty space after null
    
    Fixes bug 25465

 poppler/PDFDoc.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a6cdeb7be296b14d74cf1d2f22729dc7d0b9e31c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 4 14:59:41 2009 +0100

    Make the code a bit more resilient
    
    By checking the GooString we are going to use really exists

 poppler/PSOutputDev.cc |   24 ++++++++++++++++--------
 1 files changed, 16 insertions(+), 8 deletions(-)

commit 4eaf44cdf4e6006b70712c055a97ab152c41d26f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 4 14:57:10 2009 +0100

    Accept Fontname if FontName is not present
    
    Fixes KDE bug 217013

 poppler/GfxFont.cc |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 59853762c541539ca99bdab610c7649a2d3d6c3c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Nov 27 15:23:11 2009 +0100

    [cairo] Revert commit 119071cb9a6144b6268a7ff9b6341ad0cc75d9ae
    
    And fix bug #24575 jut by checking pointer is not null before using it.

 poppler/CairoOutputDev.cc |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit e0bdffb6ab9e313f7b2c9155c0f1d4059d7bcc61
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 22 20:26:40 2009 +0100

    Update copyrights

 poppler/CairoFontEngine.cc |    2 +-
 poppler/CairoOutputDev.cc  |    4 ++--
 poppler/CairoOutputDev.h   |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 119071cb9a6144b6268a7ff9b6341ad0cc75d9ae
Author: David Benjamin <davidben@mit.edu>
Date:   Sun Nov 22 20:19:29 2009 +0100

    Do not crash on malformed files
    
    bug 24575

 poppler/CairoOutputDev.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit ac1e46da77e03ca193af75ca03d5e0a05c16200e
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:   Sun Nov 22 19:51:54 2009 +0100

    Improve the reconstruction of the XRef
    
    Makes load a file Ilya can't share

 poppler/XRef.cc |  165 +++++++++++++++++++++++++++++++-----------------------
 1 files changed, 95 insertions(+), 70 deletions(-)

commit 8ffd9753eaebdb2b738f80ee25584dacdeccb28b
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:   Sun Nov 22 15:16:02 2009 +0100

    Correctly initialize fileName
    
    Bug 25221

 poppler/Link.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 74353b77ec6fe258ac493dc0a10f6956b3dd5300
Author: David Benjamin <davidben@mit.edu>
Date:   Sat Nov 21 02:43:21 2009 +0100

    Be more lenient with /Decode key on images
    
    The spec requires the field be [1 0] or [0 1]. Adobe accepts floating point
    values as well. This fixes bug #17439.

 poppler/Gfx.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 26f58fea334fd975e23cfda0b2d00e14940f0358
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Nov 20 22:09:44 2009 +0100

    Check for openjpeg in the C++ part as it uses bool in the header
    
    Bug 25103

 configure.ac |   61 ++++++++++++++++++++++++++++-----------------------------
 1 files changed, 30 insertions(+), 31 deletions(-)

commit 524ebbd9f5b3e1cf992cee779055ec1716685a51
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 18 22:06:39 2009 +0100

    poppler 0.12.2

 CMakeLists.txt   |    2 +-
 NEWS             |   18 ++++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 24 insertions(+), 6 deletions(-)

commit 781e1bfb5eeb6b41b0bcb0eea5e595f02c66b035
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 17 20:45:42 2009 +0100

    i didn't want to commit this

 configure.ac           |   60 ++++++++++++++++++++++++-----------------------
 splash/SplashMath.h    |    5 +--
 splash/SplashScreen.cc |   21 +---------------
 splash/SplashScreen.h  |    3 --
 utils/pdftoppm.cc      |    8 ------
 5 files changed, 35 insertions(+), 62 deletions(-)

commit 3e59f5666c0521db85b3a8a6f05ecb07e45c1b87
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 17 20:34:24 2009 +0100

    do not use setAttribute with doubles
    
    it is evil and locale dependant, we do NOT want that so use QString::number

 configure.ac                  |   60 ++++++++++++++---------------
 qt4/src/poppler-annotation.cc |   82 ++++++++++++++++++++--------------------
 splash/SplashMath.h           |    5 +-
 splash/SplashScreen.cc        |   21 +++++++++-
 splash/SplashScreen.h         |    2 +
 utils/pdftoppm.cc             |    8 ++++
 6 files changed, 102 insertions(+), 76 deletions(-)

commit f385ca47a2e6da332e7c216db439296993361556
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Nov 13 00:55:37 2009 +0100

    jpeg_start_decompress can fail, check it
    
    Fixes KDE bug #214317

 poppler/DCTStream.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 701af67b5988b6cff800f123ced7570ecbadf668
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Nov 9 11:25:24 2009 +0100

    Transitions dictionary can be a Ref too

 poppler/Page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c00e4f10cd214c105813448415630fec68e094ef
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Aug 11 19:17:52 2009 +0100

    [cairo] Mark images dirty
    
    After directly manipulating the pixel values we need to mark the surface
    as dirty. This means that cairo will refresh any caches it may have taken
    of the surface will the new data.
    (cherry picked from commit 32ea667ec8f18311539123c7b80c7ab4767070cb)

 poppler/CairoOutputDev.cc |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit af6a212234e20252c78fd615a8906d529b1821e6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Oct 29 18:38:22 2009 +0100

    [cairo] Don't render patterns when using CairoImageOutputDev

 poppler/CairoOutputDev.h |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit 2b1ccee4be6cfe2eeaad6ee200506b0722037da6
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:   Wed Oct 28 19:20:41 2009 +0100

    There are some pdf where Aspect values are reals, use getNum
    
    Fixes bug 24733

 poppler/Annot.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 726c7b8c112460f1762de4fe0b986e979f362771
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 25 21:55:55 2009 +0100

    do not accept negative interval lengths in the page labels tree
    
    See bug 24721

 poppler/PageLabelInfo.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cb19a40f1507a87a53b60134d09b42fad686f692
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 23 21:57:42 2009 +0200

    Move the iccColorSpaceCache from a static in GfxState to a member of Gfx
    
    Fixes the problem that the keys are per document but we had a static
    that lived as much as the library. Now the cache only lives the rendering
    of a page so it's a bit slower but at least it's correct. Fixes bug 24686

 poppler/Gfx.cc      |   49 +++++++++++++++++---------
 poppler/Gfx.h       |   13 ++++++-
 poppler/GfxState.cc |   94 +++++++++++++++++++++++++--------------------------
 poppler/GfxState.h  |   33 +++++++++---------
 poppler/Page.cc     |    4 +-
 5 files changed, 107 insertions(+), 86 deletions(-)

commit c53e611cfbb2b027d2cbddb6d8fce8d84319566a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 22 21:26:29 2009 +0200

    initialize len at 0 when reading the font fails
    
    See bug 24525 for more info

 poppler/GfxFont.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7313dd1018a9028f40e0e511a4e34d793a0ae605
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Oct 20 10:09:13 2009 +0200

    [glib] Fix CVE-2009-3607

 glib/poppler-page.cc |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 4fb3e9c090bd973c7d9123f8c258c7925166f078
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 19 23:33:58 2009 +0200

    fix memory leak

 poppler/PSOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 57982aaec95f0def1d30dce5f77492b0d88d851d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 18 01:50:02 2009 +0200

    poppler 0.12.1

 CMakeLists.txt   |    2 +-
 NEWS             |   27 +++++++++++++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 33 insertions(+), 6 deletions(-)

commit d9fd61976dd6b85fdfa7b2cb7ec1979afbd272dd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 18 01:22:16 2009 +0200

    This include is needed as this file uses Ref

 poppler/OutputDev.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 55e7692501646aab5075974b8a49b51fb248cac1
Author: Michael Jansen <kde@michael-jansen.biz>
Date:   Sat Oct 17 01:30:40 2009 +0200

    CMake: add the possibility to pass LIB_SUFFIX.
    
    This allows to tune the installation libdir by adding a suffix for it
    (making it eg lib, lib32, or lib64)

 CMakeLists.txt          |   16 +++++++++-------
 glib/CMakeLists.txt     |    2 +-
 poppler-cairo.pc.cmake  |    2 +-
 poppler-glib.pc.cmake   |    2 +-
 poppler-qt.pc.cmake     |    2 +-
 poppler-qt4.pc.cmake    |    2 +-
 poppler-splash.pc.cmake |    2 +-
 poppler.pc.cmake        |    2 +-
 qt/CMakeLists.txt       |    2 +-
 qt4/src/CMakeLists.txt  |    2 +-
 10 files changed, 18 insertions(+), 16 deletions(-)

commit f530bc721bd23a2461b0cb765a8a6dad88ed3459
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 17 00:48:58 2009 +0200

    check the document is not locked when printing

 qt4/src/poppler-ps-converter.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 65cb34b7c77b95f036306460bcea6681e386afaf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 17 00:48:27 2009 +0200

    fix file name comment

 qt4/src/poppler-ps-converter.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dbd5ba680d846d6a57e3fb7618a64202441c6e76
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 17 00:47:34 2009 +0200

    Add a way for converters to return more exact errors they had when converting

 qt4/src/poppler-base-converter.cc   |    8 +++++++-
 qt4/src/poppler-converter-private.h |    3 ++-
 qt4/src/poppler-pdf-converter.cc    |   11 ++++++++++-
 qt4/src/poppler-ps-converter.cc     |    6 +++++-
 qt4/src/poppler-qt4.h               |   14 ++++++++++++++
 5 files changed, 38 insertions(+), 4 deletions(-)

commit bb21f825fcaa49e149cc7a7eb9c68f15f11fff1d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 16 23:17:22 2009 +0200

    Some "security" fixes based on newly released Xpdf 3.02pl4

 poppler/Stream.cc         |    4 ++++
 poppler/XRef.cc           |   19 +++++++++++++++----
 splash/Splash.cc          |    7 +++++++
 splash/SplashBitmap.cc    |   37 ++++++++++++++++++++++++++++++-------
 splash/SplashErrorCodes.h |    4 +++-
 5 files changed, 59 insertions(+), 12 deletions(-)

commit 910c1c6f52b095be6ff0835519ad061c32201e80
Author: Glenn Ganz <glenn.ganz@uptime.ch>
Date:   Fri Oct 16 20:54:32 2009 +0200

    fix constructor of DCTStream

 poppler/Stream.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 0f317ac8d7271354c90f0341eb432cafb0d5f27f
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Fri Oct 9 16:09:46 2009 +0200

    MSVC: add _CRT_SECURE_NO_WARNINGS to the define's

 CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a90248a81cb0f3fdd8405a441b94dce448208d3f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 6 00:52:10 2009 +0200

    Forgot to update the year here

 qt4/src/poppler-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8db50841a28f58551c91716530bc07f862af0be0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 6 00:42:52 2009 +0200

    Add the possibility of enabling hinting

 qt4/src/poppler-document.cc |    2 +-
 qt4/src/poppler-private.h   |    1 +
 qt4/src/poppler-qt4.h       |    3 ++-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 8b478281f20637b52c109decae13c6a29ec33ad4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 6 00:41:57 2009 +0200

    rework how hinting is used in the splash backend
    
    Basically we default to no hinting now with the possibility to enable it

 poppler/ArthurOutputDev.cc   |    2 +-
 poppler/GlobalParams.cc      |   19 ------------
 poppler/GlobalParams.h       |    3 --
 poppler/SplashOutputDev.cc   |    8 ++++-
 poppler/SplashOutputDev.h    |    3 ++
 splash/SplashFTFont.cc       |   64 +++++++++--------------------------------
 splash/SplashFTFont.h        |    4 +-
 splash/SplashFTFontEngine.cc |    8 ++--
 splash/SplashFTFontEngine.h  |    7 ++--
 splash/SplashFontEngine.cc   |    5 ++-
 splash/SplashFontEngine.h    |    3 +-
 11 files changed, 40 insertions(+), 86 deletions(-)

commit df5b37cfb38c86111d6393cc5401719c3b510734
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 5 00:55:55 2009 +0200

    Fix includes for those using internal headers

 goo/FixedPoint.h        |    2 +-
 goo/gmem.h              |    2 +-
 poppler/OutputDev.h     |    2 +-
 poppler/PSOutputDev.h   |    2 +-
 poppler/PageLabelInfo.h |    2 +-
 utils/ImageOutputDev.h  |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit a6d61f68f13bb4a90f09479ccca01fa979e36d05
Author: Kovid Goyal <kovid@kovidgoyal.net>
Date:   Mon Oct 5 00:39:36 2009 +0200

    Use _WIN32 instead of WIN32
    
    More info at http://bugs.freedesktop.org/show_bug.cgi?id=24259

 goo/GooMutex.h                |   16 +++++++++++++++-
 goo/gfile.cc                  |   33 +++++++++++++++++----------------
 goo/gfile.h                   |    5 +++--
 msvc/poppler/poppler-config.h |    2 +-
 poppler-config.h.cmake        |    2 +-
 poppler/ABWOutputDev.h        |    3 ++-
 poppler/FileSpec.cc           |    7 ++++---
 poppler/GlobalParams.cc       |   37 +++++++++++++++++++------------------
 poppler/GlobalParams.h        |    4 ++--
 poppler/Link.cc               |    3 ++-
 poppler/PDFDoc.cc             |    4 ++--
 poppler/PDFDoc.h              |    3 ++-
 poppler/PSOutputDev.cc        |    5 +++--
 poppler/TextOutputDev.cc      |    5 +++--
 poppler/XpdfPluginAPI.cc      |   13 ++++++++++++-
 poppler/poppler-config.h.in   |    2 +-
 splash/SplashFontEngine.cc    |    9 +++++----
 test/perf-test.cc             |   24 ++++++++++++------------
 utils/HtmlOutputDev.h         |    3 ++-
 19 files changed, 108 insertions(+), 72 deletions(-)

commit 60ccf3170ca8ee531cd7bb223757b16286cf5de6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 5 00:21:15 2009 +0200

    Remove spurious ;
    
    Found by -Wextra i think we should add more warnings to our default flags

 qt4/src/poppler-annotation.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0137b0f0dc0dac6f92b076c0aa9210f842991bd5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:04:46 2009 +0200

    Strings can have 0 inside so use the length
    
    Fixes saving some files

 poppler/PDFDoc.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05be1252cd551ad6e9bad0cebe27c40b48f9e45f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:04:03 2009 +0200

    Increase decimals from 5 to 10, a double has that precision
    
    Makes saving more faithful for some files

 poppler/PDFDoc.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 456020775e7c322abd2bcc6c9fd3ec6e594afc93
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:03:40 2009 +0200

    If the stream was wrongly formed save the correct length
    
    Fixes saving of some files

 poppler/PDFDoc.cc |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 8bcac03940cb401df98649f52835043da8a8d4c2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:02:13 2009 +0200

    Return the save status as program status

 test/pdf-fullrewrite.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a9db687d598e75f0046b9b27f9b0c4718f25b248
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:01:45 2009 +0200

    If the Length entry of the stream is wrong, fix it
    
    Fixes saving some files

 poppler/Parser.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0712c2e37066813805d321d78c3ac5facbe2a092
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 2 22:00:12 2009 +0200

    increase the range of characters we sanitize
    
    Fixes saving of some files

 goo/GooString.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 119c1ec73644ac7b90ba404b93e94bf673d18888
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Sep 27 17:17:32 2009 +0200

    Fix the linking not to use the .so directly but the lib
    
    Fixes check on cygwin

 m4/qt.m4 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25a54786f553e92a534e778575f32b6ec4bb6774
Author: Kovid Goyal <kovid@kovidgoyal.net>
Date:   Sat Sep 26 19:26:19 2009 +0200

    Do not crash when saving files that come from a stream without name
    
    Bug 24090

 poppler/PDFDoc.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 871564f39f98b863fef8155d00f68eda58949821
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 26 18:30:41 2009 +0200

    Write the Info into the trailer dict if there is one
    
    Bug 24091

 poppler/PDFDoc.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 57fad0a254d363d6003f7376a46a8111489d4ad1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 26 18:28:40 2009 +0200

    Plug leak

 test/pdf-fullrewrite.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7255a49b2adebdd33ca08a3be7e259c1b1d02555
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sat Sep 26 15:01:35 2009 +0200

    Patch to make poppler work on Cygwin
    
    Bug 4195

 configure.ac        |    3 +++
 qt/Makefile.am      |    2 +-
 qt4/src/Makefile.am |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 17368c4933a51d6155683ab37f7d425e40ac8b18
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 26 14:56:38 2009 +0200

    Improve realibility for Streams with broken Length
    
    Fixes bug 6841

 poppler/Parser.cc |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit 5e9d056f184c4637cb1dc949a17e5ad4ddd3ade5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 21 21:58:26 2009 +0200

    Print with a . and not with a , in all locales
    
    This is a regression after the removal of setting LC_NUMERIC

 poppler/PDFDoc.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 5df1e583a2349868a0060138d3a184a9a6eb1b58
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 20 17:21:13 2009 +0200

    CharCodeToUnicode is not mandatory in fonts, don't crash one fonts that do not have it
    
    Fixes bug #24036

 poppler/Annot.cc |   33 ++++++++++++++++++++-------------
 1 files changed, 20 insertions(+), 13 deletions(-)

commit 4b22a958339619cb0f54e9d82e08d9fc6b3a3fbf
Author: Pino Toscano <pino@kde.org>
Date:   Thu Sep 17 20:12:20 2009 +0200

    Windows32/MSVC: initialize the font list once per GlobalParams, instead of once at all
    
    this fixes the font list being empty at the second (and following) GlobalParams creation
    thanks for Christian Ehrlicher for reporting the bug and testing its fix

 poppler/GlobalParams.cc    |    1 +
 poppler/GlobalParams.h     |    1 +
 poppler/GlobalParamsWin.cc |    1 -
 3 files changed, 2 insertions(+), 1 deletions(-)

commit 3083720d3e9f628c1fb963ee83c17a0ff7e80117
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 9 23:24:22 2009 +0200

    uint -> Guint
    
    some compilers don't know about uint

 poppler/Gfx.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 943a13c9354dec18cb023642aebbe5d3bb920ed7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 9 20:04:06 2009 +0200

    poppler 0.12.0

 CMakeLists.txt   |    4 ++--
 NEWS             |   18 ++++++++++++++++++
 configure.ac     |    4 ++--
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 26 insertions(+), 8 deletions(-)

commit e8ed7210346cb18f6e4588ad557f993c6d42f4a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 9 19:21:21 2009 +0200

    increase library to 3.2.0

 qt4/src/CMakeLists.txt |    2 +-
 qt4/src/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e950107006a3b1889646d3705323c1b3d41eaa49
Author: David Benjamin <davidben@mit.edu>
Date:   Wed Sep 9 01:19:38 2009 +0200

    Fix infinite loop in JBIG2Decoder
    
    Bug 23025
    Also fixes problems in bug-poppler6881-2.pdf and bug-poppler6500.pdf

 poppler/JBIG2Stream.cc |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 1cb25a4adaaf3e2da50724312a3db6928991f425
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Sep 6 10:45:56 2009 +0200

    [glib] Ignore attachments with an invalid embedded file
    
    Fixes bug #10386

 glib/poppler-document.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 842e00f3114666609ef4dec6fa613d46f330a40c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 15:20:35 2009 +0200

    Add EmbeddedFile::isValid
    
    Also do not crash if data() is called on an invalid file

 qt4/src/poppler-embeddedfile.cc |   10 +++++++++-
 qt4/src/poppler-qt4.h           |    9 ++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 9d40b268f5a9a9a0fb79da0e1627dd8eebc4db6a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 15:19:27 2009 +0200

    Add EmbFile::isOk
    
    At the moment returns false if the object stream is not really a stream

 poppler/Catalog.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 642650b6f70425c8fff2df978ae71249a5ae07f3
Author: David Benjamin <davidben@mit.edu>
Date:   Sat Sep 5 01:12:49 2009 +0200

    Better fallback when there's a type mismatch
    
    Bug #17252

 poppler/GfxFont.cc |   38 ++++++++++++++++++++++++++++++++------
 1 files changed, 32 insertions(+), 6 deletions(-)

commit bf5811f5331292ccf30f1b0f089fe43d351d96be
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 26 00:43:46 2009 +0200

    Improve shading color rendering
    
    Shading is not necessarily lineal so require another bisection to
    assume all the area in between have the same color. Fixes bug #20238

 poppler/Gfx.cc |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit e94430b790fde6ce7b7cb163c2e0adf2d071c81d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 26 00:42:49 2009 +0200

    Make code a bit more readable

 poppler/Gfx.cc |   23 +++++++++++------------
 1 files changed, 11 insertions(+), 12 deletions(-)

commit 465212780557705fd939dfe54f96913505bfc96e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 21:55:45 2009 +0200

    forgot to update my copyright

 poppler/JPEG2000Stream.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f6016d01ced32002bef22b9b5d5426a74e55842
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 21:10:07 2009 +0200

    Fix format security warnings
    
    Don't just directly print strings of unknown content; use "%s".

 poppler/JPEG2000Stream.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4616b23382b5d155f8b2f1942733037cf5730844
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 25 21:09:40 2009 +0200

    Fix format security warnings
    
    Don't just directly print strings of unknown content; use "%s".

 poppler/GfxState.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6c5c8d008456d1e4f3d60bc182209747c2a175dc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 25 21:03:16 2009 +0200

    Support AM_SILENT_RULES
    
    When using automake 1.11, should support silent build rules.

 Makefile.am           |    2 +-
 configure.ac          |    1 +
 glib/Makefile.am      |    4 ++--
 qt4/demos/Makefile.am |    2 +-
 qt4/src/Makefile.am   |    2 +-
 qt4/tests/Makefile.am |    2 +-
 6 files changed, 7 insertions(+), 6 deletions(-)

commit e7dd1c47b01d8f31599ee686eafbe7c54d7c023a
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 25 21:01:13 2009 +0200

    Fix automake check, and add automake 1.11 support
    
    Fix the automake checks to take the *newest* version available, not the
    oldest one. Add support for automake 1.11. FDO#23473.

 autogen.sh |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 493d2c5aa78a3241e70108c5d7eccba9ac72f834
Author: Rex Dieter <rdieter@math.unl.edu>
Date:   Mon Aug 24 20:08:46 2009 +0200

    Use Requires.private if available
    
    The following patch minimizes pkg-config deps similar to how the
    glib-related pkg-config deps are done.

 poppler-qt.pc.cmake  |    3 ++-
 poppler-qt.pc.in     |    3 ++-
 poppler-qt4.pc.cmake |    3 ++-
 poppler-qt4.pc.in    |    3 ++-
 4 files changed, 8 insertions(+), 4 deletions(-)

commit 341cd3ecd08a39cd146c1c57f356b50a2881c03f
Author: Jakub Wilk <ubanus@users.sf.net>
Date:   Mon Aug 24 19:51:34 2009 +0200

    common options for pdftoabw
    
    The attached patch fixes command line handling for pdftoabw and implements some
    common options (e.g., --help) that are already found in other pdftosomething
    utilities.

 utils/pdftoabw.cc |   39 ++++++++++++++++++++++++++++++++-------
 1 files changed, 32 insertions(+), 7 deletions(-)

commit 365683d5faea6e0a7570b139d1f3366c22271f8e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 21:18:13 2009 +0200

    0.11.3

 CMakeLists.txt   |    2 +-
 NEWS             |   22 ++++++++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 28 insertions(+), 6 deletions(-)

commit cb28bc8a637d300664b3c7569263445275333878
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Aug 17 14:14:03 2009 +0200

    [glib] Add FORMAT_MAJOR/MINOR properties to get the PDF version
    
    See bug #23076.

 glib/poppler-document.cc |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 1b5612841b0c663f6d391d4581f65f68a2975db0
Author: Pino Toscano <pino@kde.org>
Date:   Mon Aug 17 01:04:04 2009 +0200

    [Qt] add Document::getPdfVersion(int *major, int *minor) for the document PDF version numbers
    
    This new function reads the version of the PDF specification of the document, putting major and minor numbers in own variables.

 qt/poppler-document.cc |    8 ++++++++
 qt/poppler-qt.h        |   12 ++++++++++++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit aef8ecda1e80b921228f415a53c9c5a52df87d94
Author: Pino Toscano <pino@kde.org>
Date:   Mon Aug 17 00:57:08 2009 +0200

    [Qt4] deprecate Document::pdfVersion()
    
    ... in favour of getPdfVersion()

 qt4/src/poppler-qt4.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 830140f70e48e8033ad4411b6bd405d5ad7358a3
Author: Pino Toscano <pino@kde.org>
Date:   Mon Aug 17 00:51:13 2009 +0200

    [Qt4] add Document::getPdfVersion(int *major, int *minor) for the document PDF version numbers
    
    This new function reads the version of the PDF specification of the document, putting major and minor numbers in own variables.
    Add them to the relative unit test.

 qt4/src/poppler-document.cc  |    8 ++++++++
 qt4/src/poppler-qt4.h        |   13 +++++++++++++
 qt4/tests/check_metadata.cpp |    4 ++++
 3 files changed, 25 insertions(+), 0 deletions(-)

commit 5491d16dfbd73f0256c62e49d02622dc3185012e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 17 00:24:41 2009 +0200

    Move poppler core away from using a double as PDF file version
    
    Frontends are yet to come

 glib/poppler-document.cc    |    2 +-
 poppler/PDFDoc.cc           |    7 ++++---
 poppler/PDFDoc.h            |    8 +++++---
 qt/poppler-document.cc      |    4 ++--
 qt4/src/poppler-document.cc |    4 ++--
 utils/pdfinfo.cc            |    4 ++--
 6 files changed, 16 insertions(+), 13 deletions(-)

commit efd5dd63a5b08249529d9a9f5906aefe806fb3aa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 17 00:21:22 2009 +0200

    Forgot to update copyright info

 fofi/FoFiType1C.cc |   14 ++++++++++++++
 poppler/PDFDoc.cc  |    2 +-
 utils/parseargs.c  |    2 +-
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 25ff4be0b4521cc3d2de386cdeb589beb245d435
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 17 00:15:10 2009 +0200

    No need to change the locale since we use gatof that does the right thing

 poppler/PDFDoc.cc |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit a6f698b4edc42c0414dd4690e1e037088321db2c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 17 00:14:35 2009 +0200

    Use gatof instead of atof

 fofi/FoFiType1C.cc  |    3 ++-
 poppler/Annot.cc    |    5 +++--
 poppler/Function.cc |    3 ++-
 poppler/PDFDoc.cc   |    3 ++-
 utils/parseargs.c   |    4 +++-
 5 files changed, 12 insertions(+), 6 deletions(-)

commit 807b121cae45832d2e5832bad19c31e77420bfec
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 17 00:10:30 2009 +0200

    Add a custom strtod that comes from libspectre
    
    Works over C locale integers without changing locale settings

 CMakeLists.txt  |    2 +
 goo/Makefile.am |    6 ++-
 goo/gstrtod.cc  |  147 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 goo/gstrtod.h   |   43 ++++++++++++++++
 4 files changed, 196 insertions(+), 2 deletions(-)

commit 914bf7677a14494b69857b1d8070092a9999fe79
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 16 20:50:02 2009 +0200

    When writing the cm matrix write 4 significant digits not 4 decimals
    
    This fixes bug 23332
    Maybe we want to make this the default behaviour of 'g' instead of
    a new 'gs' case, but i prefer to be on the safe side for the moment

 goo/GooString.cc       |   27 +++++++++++++++++++++++++--
 goo/GooString.h        |    4 +++-
 poppler/PSOutputDev.cc |    4 ++--
 3 files changed, 30 insertions(+), 5 deletions(-)

commit b7dfca1aa52b825eb3b8f1cc0470398c31615b30
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Aug 16 19:28:37 2009 +0200

    [cairo] CairoImageOutputDev doesn't implement patterns

 poppler/CairoOutputDev.h |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit d20d65111aee2ee4b8cdea2962ed1bb149122ba9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Aug 16 17:36:14 2009 +0200

    [cairo] Implement tiling patterns in cairo backend
    
    Fixes bug #13518 for the cairo backend.

 poppler/CairoOutputDev.cc |   56 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |   10 ++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)

commit e965d0686d979c775b64a93f8e2f775f81885417
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 13 14:48:10 2009 +0200

    Change OutputDev::tilingPatternFill to return a GBool
    
    It allows outputdevs to decide whether render the pattern or not depending
    on the parameters, like shaded patterns currently do.

 poppler/Gfx.cc         |   37 +++++++++++++++++++------------------
 poppler/OutputDev.h    |   11 ++++++-----
 poppler/PSOutputDev.cc |   12 +++++++-----
 poppler/PSOutputDev.h  |   10 +++++-----
 4 files changed, 37 insertions(+), 33 deletions(-)

commit ce70ef7d6afc800e24031dae43da301e9e542f0e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 17:45:57 2009 +0200

    Fix backwards search

 qt4/src/poppler-page.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5b7b1cdc5c3b8652d3ae583b4d7b8b6de625adc2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 17:45:05 2009 +0200

    Add an autotest showing previousresult fails

 qt4/tests/check_search.cpp |   51 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit 2484b0dcb8eb62f8e2c147498c58871ec04630b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 14 11:47:11 2009 +0200

    Implement the alpha path
    
    I wonder if this is the correct fix why it was not implemented
    but if fixes rendering of files in KDE bug 145868, KDE bug 193657,
    poppler bug 17473.pdf, poppler bug 21651, poppler bug 22143 and
    poppler bug 22152 and causes no regression in all the other files
    i have in my test dir so i'm commiting it

 poppler/SplashOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 03970d8b6d7624444664320470baa6d1b1299622
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Aug 11 12:01:07 2009 +0200

    [build] Fix build with autotools

 utils/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 15752b7cd5c94620e3ad3b6afd9c70ccc754c9b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Aug 10 20:02:13 2009 +0200

    [cairo] Add empty updateBlendMode to CairoImageOutputDev
    
    Fixes a crash when using CairoImageOutputDev with a document with blend
    modes.

 poppler/CairoOutputDev.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 45dae4e66b2b833f95656850b5f1b0ffd1d96f1d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Aug 10 20:00:04 2009 +0200

    [cairo] Use current fill_opacity when drawing images
    
    Fixes launchpad bug #342282 (page 2 of the attached document)

 poppler/CairoOutputDev.cc |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit b1cd54546844f2f7cd6bf7cc14b7584c84c3fc14
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Aug 10 19:55:44 2009 +0200

    [cairo] Do not save the font file twice for FreeType fonts
    
    Fixes bug #20491.

 poppler/CairoFontEngine.cc |   19 ++-----------------
 1 files changed, 2 insertions(+), 17 deletions(-)

commit 4181a0ff11195eb7a56d76be23994b843e20b483
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 10 19:58:09 2009 +0200

    this branch is unlikely to happen

 poppler/Lexer.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2a3025f32951ce7b7343aeef111902615d71595e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 10 19:55:40 2009 +0200

    fix overflow calculation not to depend on the variable overflowing

 poppler/Lexer.cc |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit a38001f724f78231c2fdadd28e647a35b41bab74
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 9 23:26:02 2009 +0200

    Check for overflow when parsing integers
    
    Fixes bug 23078

 poppler/Lexer.cc |   28 ++++++++++++++++++++++------
 1 files changed, 22 insertions(+), 6 deletions(-)

commit 4c4c0e44452d07bea88d98b7df0c01fadd7693cc
Author: Jakub Wilk <ubanus@users.sf.net>
Date:   Sat Aug 8 17:26:14 2009 +0200

    Silence some warnings when using internal headers and not compiling with -Wno-write-strings
    
    People should not be using internal headers but it's just two lines

 poppler/Object.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e2c319ba18ab473fd969db9519a9231be67538c3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 00:48:18 2009 +0200

    Also implement mono so that -mono in pdftoppm -png works
    
    Totally not optimized

 splash/SplashBitmap.cc |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

commit c669e7f3ca421265e78161cc3fdecd2a0c7510c9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 00:38:50 2009 +0200

    Support splashModeMono8 in writePNGFile
    
    Works though is non optimal

 splash/SplashBitmap.cc |   55 ++++++++++++++++++++++++++++++++++--------------
 1 files changed, 39 insertions(+), 16 deletions(-)

commit 92744b72df9084fd2d69ba78406898378884aed8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 00:20:52 2009 +0200

    Add the -png flag to pdftoppm to output to PNG
    
    Based on a patch by Shen Liang <shenzhuxi@gmail.com>
    Also factored common PNG code from HtmlOutputDev to PNGWriter

 CMakeLists.txt            |    5 ++
 goo/Makefile.am           |    9 +++-
 goo/PNGWriter.cc          |  110 +++++++++++++++++++++++++++++++++++++++++++++
 goo/PNGWriter.h           |   43 +++++++++++++++++
 poppler/Makefile.am       |    8 +++
 splash/SplashBitmap.cc    |   70 ++++++++++++++++++++++++++++
 splash/SplashBitmap.h     |    5 ++
 splash/SplashErrorCodes.h |    4 +-
 utils/CMakeLists.txt      |    4 --
 utils/HtmlOutputDev.cc    |   66 +++++----------------------
 utils/Makefile.am         |    4 --
 utils/pdftoppm.1          |    3 +
 utils/pdftoppm.cc         |   21 +++++++--
 13 files changed, 283 insertions(+), 69 deletions(-)

commit e4439ff527bb202d0239f78e647452983b733411
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Aug 7 15:23:57 2009 +0200

    [cairo] Don't apply masks when fill color space mode is csPattern
    
    In that case the mask is used for clipping when drawing images. Fixes
    bug #22216.

 poppler/CairoOutputDev.cc |   59 +++++++++++++++++++++++++++++----------------
 1 files changed, 38 insertions(+), 21 deletions(-)

commit 7194f59a18e4f6997ae560af3db1bd101d6f726e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Aug 6 11:24:22 2009 +0100

    [cairo] Use FT_New_Memory_Face() for mmapped  fonts
    
    If we hold a mapping for the font, then we can pass that memory to
    FreeType for it to use as well. This saves on FreeType having to read the
    file into a fresh block of memory.

 poppler/CairoFontEngine.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 7e2bbcf6f85111d1006b0d5bc1503cadaba83c9f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 4 00:10:58 2009 +0200

    Set KDAB via gamaral copyright

 poppler/Form.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ed5918e16dafebc9ecf6db8ce0186f407ecbf7d5
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 1 20:00:22 2009 +0200

    [Qt4 apidox] make example for FontIterator... not leak ;)

 qt4/src/poppler-qt4.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f3b36d9c992491e614e88dbf1a84b5433a7647f4
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 1 19:54:52 2009 +0200

    [Qt4] Add color management API.
    
    Add few wrapper functions to get/set color profiles.
    Add a function to know whether the color management functions actually do anything (ie support compiled or not).
    Add few basic API docs for the new functions.
    Based on an initial patch by Hal V. Engel <hvengel@astound.net>, heavily reindented, polished and massaged in its API by me.

 qt4/src/poppler-document.cc |   52 +++++++++++++++++++++++++++++++++++++++++++
 qt4/src/poppler-qt4.h       |   50 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+), 0 deletions(-)

commit 78a1969d040018c0c2bb74c94f5507f786e4666e
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 1 18:00:06 2009 +0200

    [Qt] add unhandled cases and remove unused code

 qt/poppler-page.cc |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

commit bddebec0712e92e13b57d3d05d652673fe737866
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 1 17:12:22 2009 +0200

    0.11.2

 CMakeLists.txt   |    2 +-
 NEWS             |   30 ++++++++++++++++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 36 insertions(+), 6 deletions(-)

commit 87e2af3454348f5568d155c15af5d85268e47f1b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Aug 1 15:48:02 2009 +0200

    [glib-demo] Add cast to make sure the comparison is always valid

 glib/demo/attachments.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 464e95ef451103daddc9a30cd26b986291f02176
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Aug 1 15:47:25 2009 +0200

    [glib-demo] Add missing return

 glib/demo/attachments.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7f48369e4d29b2a71abffa9e1966e3a2252de895
Author: Guillermo Antonio Amaral Bastidas <gamaral@amaral.com.mx>
Date:   Sat Aug 1 15:41:34 2009 +0200

    Call fillChildrenSiblingsID in fillChildrenSiblingsID instaed of loadChildrenDefaults

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e21a3e40bf6f4365064cea751ae186580d8f81f5
Author: William Bader <williambader@hotmail.com>
Date:   Sat Aug 1 15:23:03 2009 +0200

    Add the possibility of disabling font substitution in pdftops
    
    Bug #23030

 poppler/GlobalParams.cc |   17 +++++++++++++
 poppler/GlobalParams.h  |    4 +++
 poppler/PSOutputDev.cc  |   59 ++++++++++++++++++++++++++--------------------
 poppler/PSOutputDev.h   |    2 +
 utils/pdftops.1         |    8 +++++-
 utils/pdftops.cc        |    7 +++++
 6 files changed, 70 insertions(+), 27 deletions(-)

commit bd68c90338cbf16f468e5db59722610300a629e1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 1 15:19:48 2009 +0200

    Forgot to add my copyright

 poppler/GfxState.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 173451730948c320f16a0f5924a58302603eca0b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 1 15:13:35 2009 +0200

    Try to workaround some incorrect PDF
    
    Fixes rendering of PDF where forms/patterns have more q than Q. Fixes
    rendering in splash of pdf in bugs #22835, #21899 and #16402

 poppler/Gfx.cc     |   13 +++++++++++++
 poppler/GfxState.h |    1 +
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 35c408ca49be08144bcf14aa112505fd556725d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:27:02 2009 +0200

    add the overloaded virtual warning also the autotools based build

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1c32bd2d101e5dfb37e28276ecad699f121b27b7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:22:25 2009 +0200

    Add my copyright to files i just edited

 poppler/OutputDev.cc  |    1 +
 poppler/OutputDev.h   |    1 +
 utils/HtmlOutputDev.h |    2 +-
 3 files changed, 3 insertions(+), 1 deletions(-)

commit 10717a48c85f1dbeff1c6bcd094006a9ecc92efc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:22:10 2009 +0200

    Add -Woverloaded-virtual as default CXX flag

 cmake/modules/PopplerMacros.cmake |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit db5f736655f01575ac5d7c524cbf131924ae91fa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:12:00 2009 +0200

    rename the function
    
    That way the name is different from the OutputDev function and does
    not seem like a wrong overload

 utils/HtmlOutputDev.cc |    4 ++--
 utils/HtmlOutputDev.h  |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4be87f87509b93c4fe4025f9bd788e9412416663
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:11:32 2009 +0200

    Remove Outputdev::beginMarkedContent as noone uses it

 poppler/Gfx.cc       |    2 --
 poppler/OutputDev.cc |    3 ---
 poppler/OutputDev.h  |    1 -
 3 files changed, 0 insertions(+), 6 deletions(-)

commit 6ab2ec8a89519d2bd1576c8d62f8aec51b04479a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 31 23:10:56 2009 +0200

    Warning--

 poppler/PSOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 53c3d636ad645a350b576160e1498726238a7bd1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jul 31 18:23:57 2009 +0200

    [cairo] Implement radialShadedFill in cairo backend using cairo gradients
    
    Fixes bugs #10942, #14160

 poppler/CairoOutputDev.cc |   28 +++++++++
 poppler/CairoOutputDev.h  |    2 +
 poppler/Gfx.cc            |  141 +++++++++++++++++++++++++++------------------
 poppler/OutputDev.h       |    2 +-
 poppler/PSOutputDev.cc    |    3 +-
 poppler/PSOutputDev.h     |    2 +-
 6 files changed, 117 insertions(+), 61 deletions(-)

commit 2ba937545d1a2b9fa798f04fee755ccdf0e74ec7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jul 31 17:49:18 2009 +0200

    [cairo] Use cairo_pattern_set_extend for linear gradients

 poppler/CairoOutputDev.cc |    9 +++++++++
 poppler/CairoOutputDev.h  |    1 +
 poppler/Gfx.cc            |   34 ++++++++++++++++++++++++++++------
 poppler/OutputDev.h       |    4 ++++
 4 files changed, 42 insertions(+), 6 deletions(-)

commit b054756113f0df6b59935823882f412486e96db5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jun 17 11:10:15 2009 +0200

    [cairo] Implement blend mdoes in cairo backend
    
    It requires cairo from git master to work at the moment. Fixes bugs
     #22384, #12979, #13603, #17919, #22255

 configure.ac              |   27 ++++++++++++++++++++
 poppler/CairoOutputDev.cc |   59 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |    1 +
 3 files changed, 87 insertions(+), 0 deletions(-)

commit bf8964726c9311e7e82b1faf49cc2272e5c1e339
Author: William Bader <williambader@hotmail.com>
Date:   Thu Jul 30 22:08:43 2009 +0200

    Fix some double to int warnings by explicit casting

 poppler/Gfx.cc |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit fdbd0c548e963461b2bc4bdf1beaa1577cafcea7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jul 30 21:05:18 2009 +0200

    Update gtk-doc build files

 gtk-doc.make  |  102 ++++++++++++++++++++++++++++++++++++++------------------
 m4/gtk-doc.m4 |   74 +++++++++++++++++++++++------------------
 2 files changed, 110 insertions(+), 66 deletions(-)

commit ae84dce5cea4d249526a6ed5b2feb2d3f241da1b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jul 30 20:45:39 2009 +0200

    Revert "Remove unneeded files from repo"
    
    This reverts commit 4cc9dee35e03d7b295a476f937ec0f2c43bb6592.
    
    See bug #22697.

 configure.ac               |    2 +-
 glib/reference/Makefile.am |    4 +-
 gtk-doc.make               |  155 ++++++++++++++++++++++++++++++++++++++++++++
 m4/gtk-doc.m4              |   53 +++++++++++++++
 4 files changed, 211 insertions(+), 3 deletions(-)

commit 7e14516a78b16453c747eb92b08665632e5f6844
Author: Sanjoy Mahajan <sanjoy@mit.edu>
Date:   Mon Jul 27 23:20:50 2009 +0200

    Fix displayPages call
    
    Parameters are outputdev, first, last, dpi, dpi, rotate, usemediabox, crop, printing
    and we were doing
    usemediabox = !noCrop
    crop = gFasle
    the correct is
    usemediabox = noCrop
    crop = !noCrop

 utils/pdftops.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3d53a0eb14420d54c0ebf8590e34c018b8da105d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 19 16:02:33 2009 +0200

    Copy byte_lookup in copy constructor

 poppler/GfxState.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 8f7271acf17c46e663cd48d90c382b04a834fba2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 19 15:53:49 2009 +0200

    Don't use byte_lookup table when color space doesn't support getLine methods
    
    For color spaces that don't implement getRGBLine or getGrayLine methods,
    getRGB or getGray are called for every pixel, however we were allocating
    the byte_lookup table and converting colors in those cases too. Instead
    of falling back to generic methods in the base class, the new methods
    useGetRGBLine and useGetGrayLine have been added to he base class, so that
    when they are not suopported in the current color space byte_lookup table is
    not used at all.
    
    Fixes bug #11027.

 poppler/GfxState.cc |  125 ++++++++++++++++++++++++++++++---------------------
 poppler/GfxState.h  |   21 +++++++-
 2 files changed, 91 insertions(+), 55 deletions(-)

commit 1bc737796bef1c65289a101b2d4c367267b9c974
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 19 15:51:43 2009 +0200

    Remove unused variable

 poppler/GfxState.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 512b2c654fd80c83b82e7adc828a478a18de17ab
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 26 19:35:06 2009 +0200

    [cairo] Use CAIRO_EXTEND_PAD in drawImageMaskPrescaled too

 poppler/CairoOutputDev.cc |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

commit ad26e34bede53cb6300bc463cbdcc2b5adf101c2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 26 18:36:06 2009 +0200

    [cairo] Use rectangle + clip instead of invert + tranform
    
    This is just for consistency of drawImage methods

 poppler/CairoOutputDev.cc |   30 ++++++++++++++----------------
 1 files changed, 14 insertions(+), 16 deletions(-)

commit ee6b761a55baef4c3bbe4614b0c3b3d761a3111f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Jul 26 16:19:15 2009 +0200

    [cairo] Apply a clip for masked drawImage
    
    In order to use EXTEND_PAD with a mask, we need to apply a clip (to
    constrain the image to the appropriate region). The complicating factor for
    drawSoftImage() is that mask size is independent of the image size, so we
    need to compute the intersection of the mask with in the image in userspace.

 poppler/CairoOutputDev.cc |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 499c6c972bac14936b5370276da723a6e98861b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jul 26 11:30:08 2009 +0200

    [cairo] Use CAIRO_EXTEND_PAD when drawing images

 poppler/CairoOutputDev.cc |  306 +++++++++++++++++++++------------------------
 1 files changed, 140 insertions(+), 166 deletions(-)

commit f91eb7d01cef0897727c63267db309bc92297d37
Author: Koji Otani <sho@bbr.jp>
Date:   Sat Jul 25 16:34:12 2009 +0200

    Fix generation of ps for some files
    
    For example fixes second pdf in bug 18908

 poppler/PSOutputDev.cc |   68 ++++++++++++++++++++++++++++++++++++------------
 1 files changed, 51 insertions(+), 17 deletions(-)

commit f93f5e17d8f23f3e2862f3411f43a95b334e6c91
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Jul 20 17:10:37 2009 +0200

    [cairo] Improve performance when rendering one-channel images
    
    It implements the same idea already used in SplashOutputDev, for
    one-channel (monochrome/gray/separation) images we build a lookup table
    so that we won't need to call colorMap->getRGBLine when filling the
    image buffer. Fixes bug #18017.

 poppler/CairoOutputDev.cc |   36 ++++++++++++++++++++++++++++++++++--
 1 files changed, 34 insertions(+), 2 deletions(-)

commit e7475062b6ae5c495fa72faaf8fb3d97391f8544
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jul 14 17:22:52 2009 +0200

    [cairo] Handle fontType1COT fonts in CairoFontEngine

 poppler/CairoFontEngine.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d42b9425fb2f98fa79e7a60e4f71ef14f5bacfe9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 12 19:55:14 2009 +0200

    glade is not used anymore

 cmake/modules/FindGTK.cmake |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 454f7468c6a6a442a5064b5daa24d65ebf4fc6b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jul 9 10:43:00 2009 +0100

    [cairo] Fix drawImage() for non-1x1 images
    
    Carlos noticed a nasty bug with converting drawImage() to use PAD + fill,
    instead of NONE + paint. That is the image was being padded out far beyond
    the correct output extents. The cause is that the caller pre-scales the
    context for the image, so the output rectangle was many times the true
    image size - obliterating large amounts of the page. The temporary fix is
    to counter-act the scaling on the context. Longer term, after fixing all
    painters to use PAD correctly, we need to review the callers to remove
    unnecessary pre-scaling.

 poppler/CairoOutputDev.cc |   16 ++++++++++++----
 1 files changed, 12 insertions(+), 4 deletions(-)

commit f8d93eae3c7b9388feabac71f2380d0b42a855e7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 8 20:14:35 2009 +0200

    Lookup UF and F entries before Unix, MAC and DOS in getFileSpec

 poppler/FileSpec.cc |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 767c534f5fdf6ccbccfd85a0086d72c215c278f1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 8 19:13:54 2009 +0200

    Use UF entry when present in dict in getFileSpecName() too

 poppler/FileSpec.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 569627ac4d56ddd58e109ce2a37179a85e042030
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 8 13:02:16 2009 +0200

    Implement axialShadedFill in cairo backend using cairo gradients
    
    See bug #10942.

 poppler/CairoOutputDev.cc |   29 +++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |   10 ++++++++++
 poppler/Gfx.cc            |   29 ++++++++++++++++++++---------
 poppler/OutputDev.h       |    6 +++++-
 poppler/PSOutputDev.cc    |    2 +-
 poppler/PSOutputDev.h     |    2 +-
 6 files changed, 66 insertions(+), 12 deletions(-)

commit 6ae0a6c0044713affa23eb1ee6a070785ed6c2f3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 8 16:48:26 2009 +0100

    [cairo] premultiply image mask
    
    Cairo uses a premultiplied colour-space, so when creating the image mask
    in drawImage() we need to remember to multiply by the alpha. In this case
    it just requires zeroing out the masked pixels.

 poppler/CairoOutputDev.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 646e5884e748ecce7094c673400484aa1d902bdd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 8 17:00:34 2009 +0100

    [cairo] maskColors is an array of ints, no scaling required
    
    drawImage() was erroneously scaling the maskColors from what it believed
    to be [0:1] to [0:255]. However maskColors is already an integer array,
    [0:255].

 poppler/CairoOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d75feb1ee84385a9f94308cf47a43f4583092ddf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 8 16:37:19 2009 +0100

    [cairo] cleanse DrawImage()
    
    Just a small bit of code rearrangement to reduce repetition and invalid checks.

 poppler/CairoOutputDev.cc |  102 ++++++++++++++++++---------------------------
 1 files changed, 41 insertions(+), 61 deletions(-)

commit 52f3704fed16cfc1e9dd85f72dde7922371e4099
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 8 11:40:52 2009 +0200

    [TODO] Update TODO file

 TODO |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ef261f5f72d37a0aa2709611ee2bad7d55340ed8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jul 7 10:57:31 2009 +0200

    Do not use F and UF entries if Unix or DOS are present in FileSpec dict

 poppler/FileSpec.cc |  114 +++++++++++++++++++++++----------------------------
 1 files changed, 51 insertions(+), 63 deletions(-)

commit cafd4653dc6c7574214e80aa09489dcd24e347a6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 1 11:41:32 2009 +0200

    [glib-demo] Fix a typo

 glib/demo/utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a3c9c6d0c0ee55dccd2d03f20d5683ae300cdc6b
Author: Pino Toscano <pino@kde.org>
Date:   Wed Jul 8 02:01:39 2009 +0200

    start updating the TODO file
    
    TODO file had quite some rust and dust in it, making quite "difficult" for others to understand what can be done for helping.
    First step has been removing all the items done.
    Next is grouping items by areas, so it is more clear what should be done in what area; current areas are:
    - general items: for general stuff to be done, not specific to some area; an example could have been "use littlecms for color management?"
    - core: stuff which is specific to the core library
    - Qt4/Qt/glib/etc frontend: stuff specific for that frontend
    - new frontends: ideas for possible new frontends
    
    I was not sure about some items and Jeff Muizelaar's TODO, so I left them there.

 TODO |   47 +++++++++++++++--------------------------------
 1 files changed, 15 insertions(+), 32 deletions(-)

commit 92ad0ef89fe7690d83854b4821178dfdb2e22897
Author: Pino Toscano <pino@kde.org>
Date:   Sat Jul 4 00:19:23 2009 +0200

    [Qt4 demo] hopefully fix the page size on zoom change

 qt4/demos/pageview.cpp |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 97094d13bc0f144b25e13c1de7a5328608ab13e3
Author: Pino Toscano <pino@kde.org>
Date:   Sat Jul 4 00:07:12 2009 +0200

    [Qt4 demo] show a list of checked/unchecked items for the document permissions

 qt4/demos/permissions.cpp |   25 ++++++++-----------------
 qt4/demos/permissions.h   |    6 +++---
 2 files changed, 11 insertions(+), 20 deletions(-)

commit 0d8f2ee0f03a14e7b8477c4b787c3441a758f26b
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jul 3 23:55:42 2009 +0200

    [Qt4 demo] show page numbers in the toolbar as 1..n

 qt4/demos/navigationtoolbar.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b0d48df9121c55f8162ddf0ee63832f9adebf37b
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jul 3 17:55:31 2009 +0200

    [Qt4 demo] correctly use DPI values for the page sizes

 qt4/demos/pageview.cpp |   12 +++++++++---
 qt4/demos/pageview.h   |    2 ++
 2 files changed, 11 insertions(+), 3 deletions(-)

commit dcc3c384919f1562b8f312ad3ac847e23f3e83ab
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:   Wed Jul 1 10:09:12 2009 +0200

    [test] Use gtkbuilder rather than libglade
    
    Fixes bug #21673

 cmake/modules/FindGTK.cmake |    1 -
 configure.ac                |    4 +-
 test/Makefile.am            |    2 +-
 test/pdf-inspector.cc       |   34 ++--
 test/pdf-inspector.glade    |  434 -------------------------------------------
 test/pdf-inspector.ui       |  416 +++++++++++++++++++++++++++++++++++++++++
 6 files changed, 439 insertions(+), 452 deletions(-)

commit 28208d1c9b8afbb769a5f4d9b0655b99fd4af16e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Jul 1 09:52:12 2009 +0200

    [glib-demo] Do not use gio if glib < 2.15
    
    Fixes bug #22530.

 glib/demo/main.c |   33 +++++++++++++++++++++++++++++++--
 1 files changed, 31 insertions(+), 2 deletions(-)

commit 6ef83414ab55294cf46b6b05813927bb04066986
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 30 23:07:00 2009 +0200

    Check getFileSpecNameForPlatform succeeded before using it's return value
    
    Fixes crash on bug 22551

 poppler/Annot.cc |    7 ++++---
 poppler/Link.cc  |   30 +++++++++++++++++-------------
 poppler/Sound.cc |    8 +++++---
 3 files changed, 26 insertions(+), 19 deletions(-)

commit 4b9db83841a8b97df1e0991c1b853897b7095777
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 30 11:24:29 2009 +0200

    [glib-demo] Do not fill the surface before rendering
    
    The surface is guaranteed to be cleared

 glib/demo/render.c |   11 ++---------
 1 files changed, 2 insertions(+), 9 deletions(-)

commit 5deb6db5d340c08f337d2ba67aa1fd690e4eedd8
Author: William Bader <williambader@hotmail.com>
Date:   Mon Jun 29 21:55:49 2009 +0200

    Fix interpolate parameter position

 poppler/SplashOutputDev.cc |    3 ++-
 utils/ImageOutputDev.cc    |    5 +++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit e1e9ae2826eff1665d798b4b50b5c63e8282246b
Author: Pino Toscano <pino@kde.org>
Date:   Sun Jun 28 20:11:42 2009 +0200

    [Qt4 demo] do not crash when changing the zoom with no document

 qt4/demos/pageview.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a98de97137cb343182bd03c443fc08ff4e0fd9a5
Author: Pino Toscano <pino@kde.org>
Date:   Sun Jun 28 19:08:02 2009 +0200

    [Qt4 demo] add a zoom combobox

 qt4/demos/navigationtoolbar.cpp |   33 ++++++++++++++++++++++++++++++++-
 qt4/demos/navigationtoolbar.h   |    7 ++++++-
 qt4/demos/pageview.cpp          |   14 ++++++++++++--
 qt4/demos/pageview.h            |    6 +++++-
 qt4/demos/viewer.cpp            |    2 ++
 5 files changed, 57 insertions(+), 5 deletions(-)

commit 40002d2c765398869a3b7d8d92715f0608e39ab3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 28 16:45:19 2009 +0200

    Make sure the array is big enough to read from it

 poppler/Gfx.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a1b41ff6de5a41e3450ecbcb1ba754dc06c29d9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 26 19:31:22 2009 +0200

    Do not crash when we can't find onStr
    
    Fixes crash in bug #22485
    Not sure this is the best solution, but Adobe doesn't even open the file

 poppler/Form.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6cb846664e57b02c99f1e6ad2b4e9128c9622e0a
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:   Thu Jun 25 20:13:29 2009 +0200

    Initilize AnnotColot properly when the Array is not correct

 poppler/Annot.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5fdc3acb8dded2e7d08e6ef30f4c5ae1a4a11b5e
Author: Till Kamppeter <till.kamppeter@gmail.com>
Date:   Mon Jun 22 21:38:23 2009 +0200

    Only change the page size when it really changes, otherwise duplex commands are lost

 poppler/PSOutputDev.cc |   10 +++++++++-
 poppler/PSOutputDev.h  |    4 ++++
 2 files changed, 13 insertions(+), 1 deletions(-)

commit bf69beeb257cfd750c6ddc8b68aeb859b36380b2
Author: David Benjamin <davidben@mit.edu>
Date:   Sat Jun 20 23:51:09 2009 +0200

    Make DecryptStream return sane values for getPos()
    
    Many streams (notably JBIG2Stream) expect wrapped streams to return correct
    values for getPos(), i.e. increments by 1 when readChar() called, etc.
    Fixes bug #19706.

 poppler/Decrypt.cc |    8 ++++++++
 poppler/Decrypt.h  |    3 +++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 5ee4ff2aaf98e2eaa1ec2dc9f7e659b3b01ba7bf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jun 20 15:00:16 2009 +0200

    [glib-demo] Allow using relative paths in demo application

 glib/demo/main.c |   17 +++++------------
 1 files changed, 5 insertions(+), 12 deletions(-)

commit a568248d3255407fcaa7368c4925c20e95619d20
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 19 21:07:39 2009 +0200

    0.11.1

 CMakeLists.txt   |    2 +-
 NEWS             |   50 ++++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 54 insertions(+), 8 deletions(-)

commit ac99e239f2726db32617ff03174a6ce74361ea1b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 19 21:03:29 2009 +0200

    ship PopplerCache.h

 CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 84984d2aa25917d68c9971cefe636e626eada13d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 19 20:54:15 2009 +0200

    Ship PopplerCache.h too

 poppler/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3a52d46e5df8eb926b550d7f7a82f316dbf6808f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jun 19 17:45:44 2009 +0200

    [glib-demo] Destroy pattern after using it

 glib/demo/render.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2e97524e5d82a4c33a4e6410fead444681db6749
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jun 19 14:20:16 2009 +0200

    [glib-demo] Use a transparent surface and fill it in white after rendering

 glib/demo/render.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 009937842d5a8bfc12394e9e3ab71b7c33340a85
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jun 19 14:10:05 2009 +0200

    [glib-demo] Use cairo_paint instead of rectangle + fill

 glib/demo/render.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 7248da095f67d57c3999cee7d980e62fd8a7cf49
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jun 19 09:37:02 2009 +0200

    Use Interpolate flag to decide whether applying image interpolation during rendering
    
    Fixes bug #9860

 poppler/ArthurOutputDev.cc  |    4 +-
 poppler/ArthurOutputDev.h   |    5 +-
 poppler/CairoOutputDev.cc   |   92 +++++++++++++++++++++++++------------------
 poppler/CairoOutputDev.h    |   48 +++++++++++++----------
 poppler/Gfx.cc              |   49 +++++++++++++++++++---
 poppler/OutputDev.cc        |   17 +++++---
 poppler/OutputDev.h         |   13 ++++--
 poppler/PSOutputDev.cc      |    8 ++-
 poppler/PSOutputDev.h       |    8 ++-
 poppler/PreScanOutputDev.cc |   25 ++++++++++--
 poppler/PreScanOutputDev.h  |   25 ++++++++++--
 poppler/SplashOutputDev.cc  |   16 +++++--
 poppler/SplashOutputDev.h   |   12 ++++--
 utils/HtmlOutputDev.cc      |   16 ++++----
 utils/HtmlOutputDev.h       |    7 ++-
 utils/ImageOutputDev.cc     |   20 +++++-----
 utils/ImageOutputDev.h      |   12 ++++--
 17 files changed, 248 insertions(+), 129 deletions(-)

commit 37e3f877ee725648734ff41e1e83870a210bcbd7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 19 00:37:21 2009 +0200

    Handle Streams in CMap definitions
    
    Fixes bug 22334

 poppler/CMap.cc         |   50 +++++++++++++++++++++++++++++-----------------
 poppler/CMap.h          |   17 +++++++++++----
 poppler/GfxFont.cc      |   41 ++++++++++++++++++++++++++------------
 poppler/GlobalParams.cc |    6 ++--
 poppler/GlobalParams.h  |    5 ++-
 5 files changed, 77 insertions(+), 42 deletions(-)

commit 47de8eef46300832556ce5ed869e391e477fd843
Author: David Benjamin <davidben@mit.edu>
Date:   Fri Jun 19 00:30:35 2009 +0200

    Fix some bugs in JBIG2Stream handling
    
    For more info see bug 12014 and [poppler] Bug in JBIG2Stream from 08-June-2009

 poppler/JBIG2Stream.cc |   88 ++++++++++++++++++++++++++----------------------
 poppler/JBIG2Stream.h  |   15 ++++++++
 2 files changed, 63 insertions(+), 40 deletions(-)

commit d30b1013ea3ce45b5ea942fe7357c0fd07ff47f4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 2 11:44:08 2009 +0200

    Add setOpen() and setIcon() in AnnotText

 poppler/Annot.cc |   25 +++++++++++++++++++++++++
 poppler/Annot.h  |    3 +++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit 287feffc1c1c0aa42a398fc071b489acef9ef22e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 2 11:26:40 2009 +0200

    Add setLabel() and setPopup() to AnnotMarkup

 poppler/Annot.cc |   36 ++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    4 ++++
 2 files changed, 40 insertions(+), 0 deletions(-)

commit 2a938af5624fbc79316dd6bee5e550f2b4270a76
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 2 10:59:44 2009 +0200

    Add setParent() and setOpen() to AnnotPopup

 poppler/Annot.cc |   19 +++++++++++++++++++
 poppler/Annot.h  |    4 ++++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 0af5464352dfa51f0458c57a3590c847a45964c7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 2 10:37:49 2009 +0200

    Save parent reference of popup annotations

 poppler/Annot.cc |   16 +++++-----------
 poppler/Annot.h  |    4 ++--
 2 files changed, 7 insertions(+), 13 deletions(-)

commit fc4bc43dcd6f6871a47b9198e8c2571a5d448c3e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Jun 1 14:52:21 2009 +0200

    Fix a crash in pdf-inspector

 test/pdf-inspector.cc |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 3da7a2657892fde52b62e1f73476cb33d6c75e96
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 13:35:39 2009 +0200

    Add Annot::setColor()

 poppler/Annot.cc |   19 ++++++++++++++++++-
 poppler/Annot.h  |    6 +++++-
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 3eabdf57729852205855cf74ff2d2f9d7bc03f73
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 13:23:26 2009 +0200

    Add construtors to create AnnotColor objects directly from color values

 poppler/Annot.cc |   26 ++++++++++++++++++++++++++
 poppler/Annot.h  |    3 +++
 2 files changed, 29 insertions(+), 0 deletions(-)

commit 8045e7a1a84a3d54a1c9415ac63b5b9df5ecc349
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 13:06:40 2009 +0200

    Add Page::addAnnot() to add a new annotation to the page

 poppler/Page.cc |   28 ++++++++++++++++++++++++++++
 poppler/Page.h  |    2 ++
 2 files changed, 30 insertions(+), 0 deletions(-)

commit fe80eb84ec711b7400cef95e791a74c8fd259af7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 13:00:19 2009 +0200

    Add getRef() to get the annotation reference

 poppler/Annot.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1c92657be72c44dba7185808ffb00dd85c5ab289
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 12:14:02 2009 +0200

    Save page object and ref in Page class
    
    This is needed to be able to modify the page object.

 poppler/Catalog.cc |    2 +-
 poppler/Page.cc    |    6 +++++-
 poppler/Page.h     |    4 +++-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 4ad2d663262008e4b97342c4ed67c686ff5abd13
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 29 11:43:30 2009 +0200

    Add annot constructors to create annot objects without a dict
    
    This allows to create annotation objects to be added to the document.
    Required fields on the annotation dictionary are constructor arguments,
    setters will be added for the other fields.

 poppler/Annot.cc |  300 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 poppler/Annot.h  |   22 ++++-
 2 files changed, 315 insertions(+), 7 deletions(-)

commit e5c4862b0c1b08a0fab47070cb9c862026e93567
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 10 23:28:03 2009 +0200

    ignore++

 m4/.gitignore |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 572779f8037763c1e0ee64c47a3dad6df0d3b693
Author: Koji Otani <sho@bbr.jp>
Date:   Wed Jun 10 22:55:26 2009 +0200

    Fix dashed line in page 1 of bug 20011

 poppler/Gfx.cc |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit b97591672e0d9c31a3d044fe52e34cc80a491221
Author: Koji Otani <sho@bbr.jp>
Date:   Wed Jun 10 22:54:57 2009 +0200

    Fix "Conditional jump or move depends on uninitialised value"
    
    When stroking with a pattern, set strokeColor with a copy of fillColor.
    This is wrong and the fillColor may be uninitialized.
    See bug 20011

 poppler/Gfx.cc |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit a92b38836b1e4475d5a7a1b9cb8f3e9429cef275
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 9 22:39:19 2009 +0200

    Correctly duplicate the cache on PostScriptFunction(PostScriptFunction *func)

 poppler/Function.cc     |   28 ++++++++++++++++++++++++++++
 poppler/PopplerCache.cc |   20 ++++++++++++++++++++
 poppler/PopplerCache.h  |   14 ++++++++++++++
 3 files changed, 62 insertions(+), 0 deletions(-)

commit 2cecdf922f4c8178b0e55d3ddf86c31f8be3313a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 9 11:04:39 2009 +0200

    [glib] Fix a crash when a destination points to an invalid page

 glib/poppler-action.cc |   21 +++++++++++++--------
 1 files changed, 13 insertions(+), 8 deletions(-)

commit 831288c13c3a7502bbccd1313c6e376283be367c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 18:37:20 2009 +0200

    Optimize roll() a bit
    
    If the number of times to roll is > than half the number of items
    rotate in the reverse direction
    Makes it be 33% of exec() instead of 42%

 poppler/Function.cc |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

commit 3d40dcad850a2bc0e28845a15722db0c79920135
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 13:38:50 2009 +0200

    Move the GfxState cache to the new poppler cache class

 poppler/GfxState.cc |   97 ++++++++++++++++++++++++---------------------------
 poppler/GfxState.h  |   19 ++--------
 2 files changed, 49 insertions(+), 67 deletions(-)

commit 2619e09833f421fb3d8cc68d41d15081ae6824e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 13:37:40 2009 +0200

    Implement a cache for PostscriptFunction transforms
    
    Makes time of rendering of bug 21562 go down from 24 to 8 seconds

 poppler/Function.cc |   76 +++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Function.h  |    2 +
 2 files changed, 78 insertions(+), 0 deletions(-)

commit 588bfe3c14f42be492066c2a98e30482475a6926
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 13:36:39 2009 +0200

    Add a code to a generic cache based on Koji's code for GfxState cache

 CMakeLists.txt          |    1 +
 poppler/Makefile.am     |    1 +
 poppler/PopplerCache.cc |   82 +++++++++++++++++++++++++++++++++++++++++++++++
 poppler/PopplerCache.h  |   47 +++++++++++++++++++++++++++
 4 files changed, 131 insertions(+), 0 deletions(-)

commit d09478fcc44b5c594f1803fc24654af5e10fa129
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 01:34:01 2009 +0200

    Move index and pop to class definition too

 poppler/Function.cc |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

commit 2083264e8ab0fd9976294de08a18de615d5a1168
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 7 01:21:19 2009 +0200

    Move the implementations to the class definition
    
    Make gcc inline the functions and time to render a heavy PSFunction doc goes from 28 to 20 secs

 poppler/Function.cc |  151 ++++++++++++++++++++++++---------------------------
 1 files changed, 71 insertions(+), 80 deletions(-)

commit 24580fcd2be74db5f3140bdb2ebff8431b7d3f1e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jun 6 16:17:26 2009 +0200

    Add a debug saying how much rendering took

 qt4/tests/test-poppler-qt4.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 50cf7cffff760e41774957ad8f1f92803142438e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jun 6 16:04:54 2009 +0200

    Use g_path_get_basename instead of g_basename in gtk-cairo-test
    
    Fixes bug #21361.

 test/gtk-cairo-test.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 4cc9dee35e03d7b295a476f937ec0f2c43bb6592
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jun 6 12:13:48 2009 +0200

    Remove unneeded files from repo
    
    See bug #22094

 configure.ac               |    2 +-
 glib/reference/Makefile.am |    4 +-
 gtk-doc.make               |  155 --------------------------------------------
 m4/gtk-doc.m4              |   53 ---------------
 4 files changed, 3 insertions(+), 211 deletions(-)

commit c94e476dbff9e527c72e52377d830f35f29ba3d6
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 5 11:09:44 2009 +0200

    when showing the tooltip for a text rect, show also its index in the page text boxes list

 qt4/tests/test-poppler-qt4.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 2298acac267257b1916c802bdb902428e69e683b
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 5 11:08:51 2009 +0200

    [Qt4 apidox] FontInterator is new in 0.12

 qt4/src/poppler-qt4.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 37c48c2521c623c485841472c4a174a1841aea33
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 5 10:54:30 2009 +0200

    [CMake] Add poppler version defines and version check macro
    
    Add POPPLER_[MAJOR|MINOR|MICRO]_VERSION defines and
    POPPLER_CHECK_VERSION macro. FDO bug #22091.

 CMakeLists.txt                |    5 ++++-
 glib/poppler-features.h.cmake |    9 +++++++++
 2 files changed, 13 insertions(+), 1 deletions(-)

commit 26f6fb1d79c2589829cd896d57da63d16641f307
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 5 10:51:26 2009 +0200

    [CMake] switch poppler-features.h.cmake to a more autotools-like syntax

 glib/CMakeLists.txt           |    2 +-
 glib/poppler-features.h.cmake |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 89704635b727db42f6c72ba101091eb7eddb967a
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 5 10:39:17 2009 +0200

    [Qt4 demo] compile the new thumbnail module with autotools as well

 qt4/demos/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 291bafe64c8755fe5f85a51b184ac6e3d3170e1d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jun 5 10:07:16 2009 +0200

    [glib] Use g_strerror instead of strerror
    
    Fixes bug #22095.

 glib/poppler-document.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ca7e214fb5f9c9fb59792149bd23c1617d38cac
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jun 4 22:35:40 2009 +0200

    Add poppler version defines and version check macro
    
    Add POPPLER_[MAJOR|MINOR|MICRO]_VERSION defines and
    POPPLER_CHECK_VERSION macro. FDO bug #22091.

 configure.ac                              |   11 ++++-
 glib/poppler-features.h.in                |    9 +++
 glib/reference/poppler-docs.sgml          |    1 +
 glib/reference/poppler-sections.txt       |   10 ++++
 glib/reference/tmpl/poppler-features.sgml |   80 +++++++++++++++++++++++++++++
 5 files changed, 110 insertions(+), 1 deletions(-)

commit 4ce04da0040e5a2626c110f94a128e2d272401b9
Author: Matthias Drochner <M.Drochner@fz-juelich.de>
Date:   Thu Jun 4 23:05:22 2009 +0200

    Use the correct value when creating the V field
    
    PDF Spec says:
    For items represented in the Opt array by a two-element array, the name string is the second of the two array elements.

 poppler/Form.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 7e01e37a834bfdd75d739ea2b48e9127ca7f259e
Author: Till Kamppeter <till.kamppeter@gmail.com>
Date:   Thu Jun 4 20:25:55 2009 +0200

    Add part of fix for bug 20420, the other part was checked in with Thomas patches

 poppler/PSOutputDev.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 50a7b4bcaa6e5f56cc25fe6936f9dc537a1b4b37
Author: Jeremy C. Reed <reed@reedmedia.net>
Date:   Thu Jun 4 20:19:03 2009 +0200

    [glib] Hyphenate UTF-8 and UTF-16BE
    
    Fixes bug #21953.
    
    where iconv() is called to fill in a text field, use "UTF-8" and
    "UTF-16BE" as encoding names rather than the less portable
    "UTF8" and "UTF16BE" -- this makes it work on NetBSD.

 glib/poppler-annot.cc      |    2 +-
 glib/poppler-form-field.cc |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2cf9e6a2318b770ae62572944c687576d1801d31
Author: Till Kamppeter <till.kamppeter@gmail.com>
Date:   Thu Jun 4 19:48:42 2009 +0200

    Support multiple page sizes when converting to PS
    
    Fixes byg #19777

 poppler/PSOutputDev.cc |   31 +++++++++++++++++++++++++++++--
 poppler/PSOutputDev.h  |    4 +++-
 utils/pdftops.1        |   26 +++++++++++++++++++++-----
 utils/pdftops.cc       |   17 ++++++++++++-----
 4 files changed, 65 insertions(+), 13 deletions(-)

commit 30fb7cb7e47cf6a8008c5083c8d0978fdfdf8e62
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 4 19:25:22 2009 +0200

    Add missing { }

 poppler/Gfx.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1beec21ed3a016998fee3849d460166895db9047
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 3 22:37:43 2009 +0200

    Give an error when using level1sep without having CMYK support
    
    Fixes bug #22026

 poppler/PSOutputDev.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e80d645c34c7d44d1f35da0a25669d1c4cde6e7f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 3 22:00:49 2009 +0200

    Also accept tokens with to leading 00
    
    Fixes bug 22025, based on a patch by William Bader

 poppler/CharCodeToUnicode.cc |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit e521c1efaeba3f35d10e46bca3d9650dabd2d889
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Jun 3 22:08:57 2009 +0930

    Implement text in pattern colorspace for the cairo backend

 poppler/CairoOutputDev.cc |   47 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |   19 ++++++++++++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)

commit a87978b09a026b2db6b0f80271d87b44b336a121
Author: Pino Toscano <pino@kde.org>
Date:   Wed Jun 3 13:49:56 2009 +0200

    [Qt4 demo] show the checksum for embedded files

 qt4/demos/embeddedfiles.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit db5102842494a124d813db1696bb60820db3442b
Author: Pino Toscano <pino@kde.org>
Date:   Wed Jun 3 13:21:22 2009 +0200

    [Qt4 demo] remove checks for Qt >= 4.2
    
    poppler-qt4 requires Qt 4.3, so checking for 4.2 is no more needed

 qt4/demos/embeddedfiles.cpp |    2 --
 qt4/demos/fonts.cpp         |    2 --
 qt4/demos/info.cpp          |    2 --
 qt4/demos/optcontent.cpp    |    2 --
 qt4/demos/permissions.cpp   |    2 --
 qt4/demos/toc.cpp           |    2 --
 6 files changed, 0 insertions(+), 12 deletions(-)

commit e8d897581656ee4a20e9bb87dd999425663ace3b
Author: Pino Toscano <pino@kde.org>
Date:   Wed Jun 3 02:54:29 2009 +0200

    [Qt4 demo] simplier way to change page from the thumbnail view

 qt4/demos/pageview.cpp   |    5 -----
 qt4/demos/pageview.h     |    3 ---
 qt4/demos/thumbnails.cpp |    2 +-
 qt4/demos/thumbnails.h   |    3 ---
 qt4/demos/viewer.cpp     |    1 -
 5 files changed, 1 insertions(+), 13 deletions(-)

commit f69a4fe47d3478cccbc03e4ac0929c7eada681c0
Author: Pino Toscano <pino@kde.org>
Date:   Wed Jun 3 01:24:21 2009 +0200

    [Qt4 demo] Add a thumbnail dock widget
    
    Useful to show the embedded page thumbnails in the document, if any.
    Based on a patch by Shawn Rutledge <shawn.t.rutledge@gmail.com>, reworked by me to be a QListWidget showing the page items at their full size.

 qt4/demos/CMakeLists.txt |    1 +
 qt4/demos/thumbnails.cpp |   84 ++++++++++++++++++++++++++++++++++++++++++++++
 qt4/demos/thumbnails.h   |   51 ++++++++++++++++++++++++++++
 qt4/demos/viewer.cpp     |   11 +++++-
 4 files changed, 146 insertions(+), 1 deletions(-)

commit 2f24ac0f4bbd6de1c9f137110b3ac2bd3b23b0b9
Author: Shawn Rutledge <shawn.t.rutledge@gmail.com>
Date:   Wed Jun 3 01:22:31 2009 +0200

    [Qt4 demo] add a public slot to set the current page

 qt4/demos/pageview.cpp |    5 +++++
 qt4/demos/pageview.h   |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 1f1baf186f9e37606765e51ec5b9893ddfbfa893
Author: Shawn Rutledge <shawn.t.rutledge@gmail.com>
Date:   Wed Jun 3 01:19:16 2009 +0200

    [Qt4] Add Page::thumbnail()
    
    This function can be used to get the embedded thumbnail of the page, present in the document.
    Reindented by me, and avoid a memory leak because of non-freed data.

 qt4/src/poppler-page.cc |   21 ++++++++++++++++++++-
 qt4/src/poppler-qt4.h   |   11 +++++++++++
 2 files changed, 31 insertions(+), 1 deletions(-)

commit 5cc24be1e9af0a27ab88ffa719bcabc2378868e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 3 00:05:54 2009 +0200

    Remove unused variables

 poppler/SplashOutputDev.cc |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 45823bf8f4abacbbf257f6708264de074eda3cf4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 3 00:02:54 2009 +0200

    Make it compile :-/

 poppler/SplashOutputDev.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit f5ae14907261a46c121f3ed7aea9d7ad9b9c55de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 2 23:52:59 2009 +0200

    Really fix the typo

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d4b1995cdd57db7cef3d88704850aaf66ed7fff
Author: William Bader <williambader@hotmail.com>
Date:   Tue Jun 2 23:10:53 2009 +0200

    Fix three typos in README

 README |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 104f9286ceb5fcb5f4795bca7633029142d5f6a4
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Tue Jun 2 22:59:42 2009 +0200

    Support colorizing text in pattern colorspace
    
    This implements commits the final patches for bug 19670 and 19994
    Also fixes bugs 15819 and 2807
    Also implements blending for SPLASH_CMYK in Splash
    It's a quite big change but i've done regression testing over my whole
    pdf suite and did not fit anything that went worse, just improvements
    Missing the Cairo support

 CMakeLists.txt             |    1 +
 poppler/Gfx.cc             |  135 ++++++++++++---
 poppler/Gfx.h              |    7 +
 poppler/GfxState.cc        |   58 +------
 poppler/GfxState_helpers.h |   80 +++++++++
 poppler/Makefile.am        |    1 +
 poppler/OutputDev.h        |   14 ++
 poppler/PSOutputDev.cc     |  285 +++++++++++++++++++-------------
 poppler/PSOutputDev.h      |   18 ++
 poppler/SplashOutputDev.cc |  404 +++++++++++++++++++++++++++++++++++++-------
 poppler/SplashOutputDev.h  |   19 ++
 11 files changed, 766 insertions(+), 256 deletions(-)

commit d3e4563146cbff4cb507522783e60462461c7524
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun May 31 23:23:07 2009 +0200

    Set memory to 0 after allocation, fixes problems on Sun machines, should not hurt for others

 poppler/GfxState.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 78a58931b4347ecb505bad5a51104382ef5f91c7
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun May 31 22:52:23 2009 +0200

    Add splashClearColor that assigns white to the given colorptr

 splash/SplashTypes.h |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 47c26747b32c242ec8ac60e7b93150a67eb22e31
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun May 31 22:51:22 2009 +0200

    Fix splashColorModeNComps to correctly include all values for each SplashColorMode

 splash/SplashState.cc |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 41775d8c0b44bf591d8ff5ede7fad276e8fa9eef
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Jun 1 15:24:24 2009 +0200

    [glib-demo] Use poppler_annot_markup_has_popup()

 glib/demo/annots.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit f542c5294394e837298cb7e7d1d94bb336bfd09d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Jun 1 15:24:04 2009 +0200

    [glib] Add poppler_annot_markup_has_popup()

 glib/poppler-annot.cc |   20 ++++++++++++++++++++
 glib/poppler-annot.h  |    1 +
 2 files changed, 21 insertions(+), 0 deletions(-)

commit af32d56af779edcc539b680e634755941d1bf45c
Author: Petr Gajdos <pgajdos@novell.com>
Date:   Thu May 21 00:37:18 2009 +0200

    Add the possibility of forcing no hinting of fonts

 poppler/ArthurOutputDev.cc   |    2 +
 poppler/GlobalParams.cc      |   20 +++++++++++
 poppler/GlobalParams.h       |    4 ++
 poppler/SplashOutputDev.cc   |    2 +
 splash/SplashFTFont.cc       |   76 ++++++++++++++++++++++++++----------------
 splash/SplashFTFont.h        |    2 +
 splash/SplashFTFontEngine.cc |    8 +++--
 splash/SplashFTFontEngine.h  |    6 ++-
 splash/SplashFontEngine.cc   |    4 ++-
 splash/SplashFontEngine.h    |    2 +
 10 files changed, 91 insertions(+), 35 deletions(-)

commit 1a69d9638214943b3c2278f570694d9722a5de15
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 20 23:58:44 2009 +0200

    Do not create the GfxColorTransform if the lcms could not be created
    
    Fixes crash on pdf from bug 20108

 poppler/GfxState.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 95246d39c1289111a4ba3eb2ffbec50d7702e5eb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 20 23:20:20 2009 +0200

    Check Mask entries are int before using them, also if they are real cast to int and try to use them
    
    Fixes bug #21841

 poppler/Gfx.cc |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 0c3517bfb4e1e1a28962f8d490ad69ec5766b6a1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 20 23:08:41 2009 +0200

    Fix pdftops crash on file from KDE bug 174899
    
    Still does not generate a correct ps file, but at least the program does not crash now

 fofi/FoFiTrueType.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 548c72600b8a5e076647041660ed5031feedc7cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 20 22:43:11 2009 +0200

    Do not exit(1) on a pdf i have lying around
    
    PDF is 0f03b3539a436a9f18d7e4e29d410f89  6607907.pdf

 poppler/JBIG2Stream.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f78d3a7ff5ef4b500d76d84ebc45aac3be162dab
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon May 18 20:44:40 2009 +0200

    Move lcms.h include to GfxState.cc, replace lcms typedefs by void *

 poppler/GfxState.cc |   70 ++++++++++++++++++++++++++++++++++++++++++++------
 poppler/GfxState.h  |   64 ++++++++++------------------------------------
 2 files changed, 75 insertions(+), 59 deletions(-)

commit ec2467f9981b7e7c23d5dcd8eabf2e7c8cdf8930
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 17 20:00:53 2009 +0200

    Use the lcms include dir

 CMakeLists.txt      |    3 +++
 poppler/Makefile.am |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit e0fcf7055af480498a81a000dcd9f977a783df66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 17 12:07:05 2009 +0200

    Use pkgconfig for autotools cms check

 configure.ac        |   12 +++++++-----
 poppler/Makefile.am |    2 +-
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 657734c19274ab281328cba9297eca45e48777aa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 17 12:06:47 2009 +0200

    Better lcms check comming from kdelibs

 cmake/modules/FindLCMS.cmake |   95 +++++++++++++++++++++++++++++++-----------
 1 files changed, 71 insertions(+), 24 deletions(-)

commit 0974b7b4bfe3f8cf3a1408741ddf01c667c28044
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Thu May 14 16:15:22 2009 +0200

    [Win32] Build fix for MSVC.

 poppler-config.h.cmake      |    2 +-
 poppler/poppler-config.h.in |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d1c0e8a6c63361304cd453bb4c51e84a1aab7efa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 14 00:29:18 2009 +0200

    Kill support for specifying extension in openTmpFile
    
    We don't use it and it would not work anyway, see bug #21713

 goo/gfile.cc                 |   58 +++++++++--------------------------------
 goo/gfile.h                  |    3 +-
 poppler/CairoFontEngine.cc   |    6 ++--
 splash/SplashFTFontEngine.cc |    3 +-
 splash/SplashT1FontEngine.cc |    3 +-
 splash/SplashT1FontFile.cc   |    3 +-
 6 files changed, 24 insertions(+), 52 deletions(-)

commit e237d8b5c2ae8805487a0790d9fb218263686712
Author: Pino Toscano <pino@kde.org>
Date:   Wed May 13 18:37:07 2009 +0200

    [Qt4] we don't need an output device anymore (since long, even) for resolving destinations

 qt4/src/poppler-document.cc |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 9a2a851da93ef1a0c291fc9523a468e808ffd08e
Author: Pino Toscano <pino@kde.org>
Date:   Wed May 13 18:19:11 2009 +0200

    [Qt4] Do not try to resolve named destinations for GoTo links pointing to external documents.
    
    In such cases, the named destination is a destination in the external document, so we would try to look up a destination which is not in the current document (thus the look up is unuseful).
    It is task of the users of poppler-qt4 detect such situations, and resolve the named when necessary, using Document::linkDestination(QString).

 qt4/src/poppler-document.cc |    2 +-
 qt4/src/poppler-link.cc     |    2 +-
 qt4/src/poppler-page.cc     |    6 ++++--
 qt4/src/poppler-private.cc  |    4 ++--
 qt4/src/poppler-private.h   |    5 +++--
 5 files changed, 11 insertions(+), 8 deletions(-)

commit 51f6cc26fc5fdccce1ba4d4816dec374ce85d67a
Author: Pino Toscano <pino@kde.org>
Date:   Wed May 13 17:38:00 2009 +0200

    [Qt4] start a (basic) unit test for links & destinations

 qt4/tests/CMakeLists.txt  |    1 +
 qt4/tests/Makefile.am     |    5 ++
 qt4/tests/check_links.cpp |   96 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 102 insertions(+), 0 deletions(-)

commit 174f8087f5e09c5d1915de128b7a15acf47c1e13
Author: Pino Toscano <pino@kde.org>
Date:   Wed May 13 16:44:59 2009 +0200

    [Qt4] set the destination name only when it is not resolved

 qt4/src/poppler-link.cc |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit fb0cb2add9443992f166acdf744fbec875faaabf
Author: Pino Toscano <pino@kde.org>
Date:   Tue May 12 01:53:43 2009 +0200

    [Qt4] Add LinkDestination::destinationName() that returns the name of the current destination.

 qt4/src/poppler-link.cc |   10 ++++++++++
 qt4/src/poppler-link.h  |    7 +++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit b8bd44f1302f7b6a6923d41c98ec74c118a5abb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon May 11 20:49:34 2009 +0200

    Poppler 0.11.0 aka 0.12 Alpha 1

 CMakeLists.txt      |    4 +-
 NEWS                |  142 +++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac        |    2 +-
 msvc/config.h       |    6 +-
 poppler/Makefile.am |    2 +-
 qt4/src/Doxyfile    |    2 +-
 6 files changed, 150 insertions(+), 8 deletions(-)

commit 79bcedd5602729b959f21aed222445de621e7ecb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon May 11 19:59:57 2009 +0200

    Update copyright headers for previous patches

 poppler/ArthurOutputDev.cc |    1 +
 poppler/CairoOutputDev.cc  |    2 +-
 poppler/Page.cc            |    2 +-
 poppler/Stream.cc          |    1 +
 poppler/Stream.h           |    1 +
 utils/HtmlOutputDev.cc     |    1 +
 utils/ImageOutputDev.cc    |    1 +
 7 files changed, 7 insertions(+), 2 deletions(-)

commit f16e36df3a74e1adf14513a6340be2e8665f8d65
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun May 10 19:24:32 2009 +0200

    Don't include popups annots with a parent in annots list

 poppler/Annot.cc |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 5051ebed1477ff3f7721606f79d66d56a80c1145
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun May 10 19:10:51 2009 +0200

    Make sure ImageStream::close() is called after ImageStream::reset()

 poppler/ArthurOutputDev.cc |    1 +
 poppler/CairoOutputDev.cc  |   20 +++++++++++++++++---
 poppler/Page.cc            |    1 +
 poppler/Stream.cc          |    4 ++++
 poppler/Stream.h           |    3 +++
 utils/HtmlOutputDev.cc     |    1 +
 utils/ImageOutputDev.cc    |    1 +
 7 files changed, 28 insertions(+), 3 deletions(-)

commit 829ed964374676ddfa4a9048c940dc20a309ca47
Author: M Joonas Pihlaja <jpihlaja@cc.helsinki.fi>
Date:   Sun May 10 23:39:11 2009 +0200

    Fix axial shading fix to ensure the painting passes by the four edges of the bbox
    
    When j and teoricalj are the same, just change the value of ta[] not the next[] ones

 poppler/Gfx.cc |   23 ++++++++++++++++-------
 1 files changed, 16 insertions(+), 7 deletions(-)

commit 68d9644499676ed1553b2bfcdbfc9a5677c75345
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 9 22:25:12 2009 +0200

    Hidden property depends on parent being hidden, not only yourself
    
    Fixes bug #16093

 poppler/Gfx.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 810a71ea66f0e07d9849a5e9bf28911472482d1b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri May 8 09:36:31 2009 +0200

    [glib] Add poppler_annot_markup_get_popup_rectangle

 glib/demo/annots.c    |    8 ++++++++
 glib/poppler-annot.cc |   35 +++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h  |    2 ++
 3 files changed, 45 insertions(+), 0 deletions(-)

commit 5d328282da4713356fbe4283bd992ac2fc9010a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 7 23:11:55 2009 +0200

    bitmap->h can be 0, move to _checkoverflow variant, code already knows how to deal with NULL

 splash/SplashFTFont.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b0fb6f94d6d54b1b0c97762db61e2ab0dd07c85
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 6 22:59:55 2009 +0200

    Fix format printing

 poppler/JBIG2Stream.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c21b08a254f42f53d4b59ad4fb308c7c68c32d15
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed May 6 15:56:21 2009 +0200

    [glib] Several fixes in poppler_annot_get_color()
    
    PopplerColor is compatible with GdkColor where every component is in the
    range of 0 to 65535, we were returning values between 0 and 1 but
    converted to guint16.
    We were also showing a warning when AnnotColor::colorTransparent is
    used, but we decided to return a PopplerColor * to be able to represent
    transparent color returning NULL, so it's actually supported.

 glib/demo/annots.c    |   25 +++++++++++--------------
 glib/poppler-annot.cc |   36 +++++++++++++++++++++---------------
 2 files changed, 32 insertions(+), 29 deletions(-)

commit 63cc40ec02498e1ec249d5f74e23f574c665872e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 2 14:08:23 2009 +0200

    Link pdftoabw to abiword libs
    
    Fixes bug #21520

 utils/Makefile.am |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit 70e06e9ae28d08bb7495a7f2eb03b0b5714a1e54
Author: Kouhei Sutou <kou@cozmixng.org>
Date:   Wed Apr 29 09:52:21 2009 +0900

    PopplerAttachment refers its document.

 glib/poppler-attachment.cc |   41 +++++++++++++++++++++++++++++++++++------
 1 files changed, 35 insertions(+), 6 deletions(-)

commit 977a13f1091700bf7e7b31859e0e6632dc323462
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 25 19:07:01 2009 +0200

    [glib] Only create checksum string for valid checksums

 glib/poppler-attachment.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit fb6e7141e3008ae230ae5819e2c7a0425296d8d2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 24 10:13:53 2009 +0200

    Update copyright headers

 glib/poppler-annot.cc |    1 +
 glib/poppler-annot.h  |    1 +
 poppler/Annot.cc      |    2 +-
 poppler/Annot.h       |    2 +-
 poppler/DateInfo.cc   |    1 +
 poppler/DateInfo.h    |    1 +
 6 files changed, 6 insertions(+), 2 deletions(-)

commit fc7e52fef0317f9c85ead2c4f8a0e9b688decca3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 24 09:53:41 2009 +0200

    Fix typos in Annot::setContents() documentation

 poppler/Annot.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit df0032cf5f6e5dc44bad056c659180e4065d32e2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 23 13:19:25 2009 +0200

    Document Annot::setContents() method

 poppler/Annot.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 86a37a8f3f93e3378b446f8d81d80571267c7660
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 23 13:16:04 2009 +0200

    Update the annotation last modified time when it's modified

 poppler/Annot.cc |   26 ++++++++++++++++----------
 poppler/Annot.h  |    7 ++++---
 2 files changed, 20 insertions(+), 13 deletions(-)

commit 9662bfa2b4b2282d0fc29d2a327b62d8bde56ff2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 23 13:13:07 2009 +0200

    Add timeToDateString() to DateInfo
    
    This function converts a time_t into a string in PDF date format.

 configure.ac        |    1 +
 poppler/DateInfo.cc |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 poppler/DateInfo.h  |    7 +++++++
 3 files changed, 55 insertions(+), 0 deletions(-)

commit dc4cf0c29b53cda5c1c2badc5026af3429502e3a
Author: Pino Toscano <pino@kde.org>
Date:   Tue Apr 21 21:51:52 2009 +0200

    add poppler-date.{cc,h}

 glib/CMakeLists.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0750c6502faeabff571f5730b567097e793dca64
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 20:04:27 2009 +0200

    [glib-demo] Fix dates handling in annots demo

 glib/demo/annots.c |   69 ++++++++++-----------------------------------------
 1 files changed, 14 insertions(+), 55 deletions(-)

commit fe73bf9771e8294af4c8a11ec4c2891ff8f8d859
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 20:02:25 2009 +0200

    [glib-demo] GTime is deprecated, use time_t instead

 glib/demo/utils.c |    2 +-
 glib/demo/utils.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6d468cfa0cb89760e5d6cca43521cde6d99aa52e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 20:00:20 2009 +0200

    [glib-demo] Use format_date from utils and remove duplicated code

 glib/demo/info.cc |   27 ++-------------------------
 1 files changed, 2 insertions(+), 25 deletions(-)

commit e5f5ea01d0da4c4d877b93755523dc2a7f2ec049
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 19:57:11 2009 +0200

    [glib] Fix poppler_annot_markup_get_date()
    
    Date field in Markup annots is also a PDF format date string, so it
    should be parsed and the resulting time_t used to create a correct
    GDate.

 glib/poppler-annot.cc |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 876ad1bcc8a7b2f37656bf15cee7eb888fd46ed4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 19:36:33 2009 +0200

    [glib] Add info about the return value in poppler_annot_get_modified() doc

 glib/poppler-annot.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 8c54a15e1715721ee7af7e82c90b8dda3689c65f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 19:35:14 2009 +0200

    [glib] Fix a typo in poppler_date_parse documentation

 glib/poppler-date.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 39d09fa237d06fa93b02eb916d2c0242c4e8fe85
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 19:29:32 2009 +0200

    [glib] Add poppler_date_parse to parse PDF format date strings
    
    We need to make this public because the field M in the Annot dictionary
    might be a Date string (in PDF date format) or a text string. According
    to the PDF spec: "The preferred format is a date string as described in
    Section 3.8.3, “Dates,” but viewer applications should be prepared to
    accept and display a string in any format". The only way to know whether
    it's a PDF date string or not, is by trying to parse it. For this reason
    poppler_annot_get_modified() returns a gchar * instead of a time_t. So,
    viewers should try to parse the string in order to convert it to a
    time_t, and if it fails to parse, use the date string as provided by the
    document.

 glib/Makefile.am           |    2 +
 glib/poppler-attachment.cc |    4 +-
 glib/poppler-date.cc       |   66 ++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-date.h        |   30 ++++++++++++++++++++
 glib/poppler-document.cc   |   45 +++++------------------------
 glib/poppler-private.h     |    2 +-
 glib/poppler.h             |    1 +
 7 files changed, 110 insertions(+), 40 deletions(-)

commit 9c2714a3e1c02f445661618e24bcd27f1392b2b7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 18:08:06 2009 +0200

    [glib] Implement poppler_annot_set_contents()

 glib/poppler-annot.cc |   25 +++++++++++++++++++++++++
 glib/poppler-annot.h  |    2 ++
 2 files changed, 27 insertions(+), 0 deletions(-)

commit eec550e8b3cf96aefed9b03a78d365c2848fb8f2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 18:06:34 2009 +0200

    Add setContents() to modify the annot contents

 poppler/Annot.cc |   26 +++++++++++++++++++++++++-
 poppler/Annot.h  |    4 ++++
 2 files changed, 29 insertions(+), 1 deletions(-)

commit 047a8870a8cea9b680080e0d3bf68d0685431233
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 20 23:38:53 2009 +0200

    In case of err3 or err2 in readPageTree we need to free kidRef too

 poppler/Catalog.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cb61b555f2c4db8685dec5491ca86570c962aab6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 18 18:30:04 2009 +0200

    Extend test-poppler-glib to show more page annotations and actions
    
    Based on path by Thomas Viehmann <tv@beamnet.de>

 glib/test-poppler-glib.cc |   68 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 68 insertions(+), 0 deletions(-)

commit 2221b8a9ae5e986c79ea3f6c9f3b0246d328c7ab
Author: Matthias Franz <matthias@ktug.or.kr>
Date:   Sun Apr 19 23:29:18 2009 +0200

    Fix decryption using owner password on some pdf
    
    See bug #21270

 poppler/Decrypt.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e20efbf6cc676758b8ef7d2ad607560fcdbbf89e
Author: Peter Kerzum <kerzum@yandex-team.ru>
Date:   Fri Apr 17 22:14:26 2009 +0200

    Fix typo in GfxFont.cc

 poppler/GfxFont.cc |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit b760debea03380280d72cd39d792cbc1a380a87c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 17 21:04:26 2009 +0200

    Fix rendering of axial shadings
    
    Fixes bug #19896

 poppler/Gfx.cc |  102 ++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 62 insertions(+), 40 deletions(-)

commit 9f1312f3d7dfa7e536606a7c7296b7c876b11c00
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 16 22:13:26 2009 +0200

    Fix problems that happen when parsing broken JBIG2 files
    
    Fixes
    CVE-2009-0799 xpdf OOB Read
    CVE-2009-0800 xpdf Multiple Input Validation Flaws
    CVE-2009-1179 xpdf Integer Overflow
    CVE-2009-1180 xpdf Invalid free()
    CVE-2009-1181 xpdf NULL dereference DoS
    CVE-2009-1182 xpdf MMR Decoder Buffer Overflows
    CVE-2009-1183 xpdf MMR Infinite Loop DoS
    
    Patch based on a patch by Derek Noonburg
    Some files still hit the exit(1) in goo.c but at least none is really crashing

 poppler/JBIG2Stream.cc |  447 ++++++++++++++++++++++++++++++++++--------------
 poppler/JBIG2Stream.h  |    4 +
 2 files changed, 324 insertions(+), 127 deletions(-)

commit 284a92899602daa4a7f429e61849e794569310b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 13 21:51:12 2009 +0200

    Did a mistake in the gmalloc -> gmallocn commit, it's a 4 here not a 3

 poppler/SplashOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9cf2325fb22f812b31858e519411f57747d39bd8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 11 00:31:57 2009 +0200

    More gmalloc → gmallocn

 glib/poppler-page.cc   |    2 +-
 splash/Splash.cc       |    8 ++++----
 splash/SplashBitmap.cc |    6 +++---
 splash/SplashFTFont.cc |    2 +-
 4 files changed, 9 insertions(+), 9 deletions(-)

commit c399b2d512aa073b0d7cd8eb5413a4b43f0d6aef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 11 00:26:23 2009 +0200

    Revert part of last commit, i need more math classes :D

 poppler/JBIG2Stream.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7b2d314a61fd0e12f47c62996cb49ec0d1ba747a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 11 00:23:04 2009 +0200

    Be paranoid, use gmallocn or gmallocn3 in all gmalloc with *

 poppler/ArthurOutputDev.cc |    4 ++--
 poppler/CairoOutputDev.cc  |   14 +++++++-------
 poppler/GfxState.cc        |    8 ++++----
 poppler/JBIG2Stream.cc     |    4 ++--
 poppler/PSOutputDev.cc     |    6 +++---
 poppler/SplashOutputDev.cc |   20 ++++++++++----------
 6 files changed, 28 insertions(+), 28 deletions(-)

commit 0131f0a01cba8691d10a18de1137a4744988b346
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 11 00:20:55 2009 +0200

    Add gmallocn3 that does the same as gmallocn but with 3 arguments

 goo/gmem.cc |   22 ++++++++++++++++++++++
 goo/gmem.h  |    2 ++
 2 files changed, 24 insertions(+), 0 deletions(-)

commit 75c3466ba2e4980802e80b939495981240261cd5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 10 18:05:54 2009 +0200

    Make it compile in Solaris
    
    See bug #21080

 poppler/CairoFontEngine.cc |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 3210970dc1d6faf51bce59bb7ecb6b881f9c0fe6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 10 13:09:37 2009 +0200

    [glib] Print annotations with the print flag enabled

 glib/poppler-page.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b0b9798c85c7c6d6f336f73135a98974897b9f60
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 30 23:26:39 2009 +0200

    Fix clip test for fonts
    
    Fixes bug 20950
    I really don't remember why i put that -1 maybe i got mislead by SplashClip::testRect
    having a +1, but the idea of the +1 is correct because it's ints vs floats

 splash/SplashFTFont.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5c08f57aa80092954746d722bb13655aee3f162c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 29 23:52:31 2009 +0200

    Forgot Ross copyright

 poppler/TextOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c6d3e7884010ebdcc961d81ca8c692870fc9b139
Author: Ross Moore <ross@maths.mq.edu.au>
Date:   Sun Mar 29 23:46:09 2009 +0200

    Fix extraction of some ActualText content
    
    Fixes bug #20013

 poppler/TextOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e4b3f7cbcb6ccdfa8b18d8da5f7074f4140b776a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 25 22:16:07 2009 +0100

    Fix getGlyphAdvance to behave correctly on font size changes
    
    Fixes bug #20769

 splash/SplashFTFont.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4acde05ac4d0b03466c949138321cc3445a14158
Author: Eric Toombs <ewtoombs@uwaterloo.ca>
Date:   Wed Mar 25 21:11:03 2009 +0100

    Remove case-insensitive matching of filenames in PDFDoc constructor

 poppler/PDFDoc.cc |   39 ++++++++++-----------------------------
 1 files changed, 10 insertions(+), 29 deletions(-)

commit 120c7f6697ed1edaff6e17ae1ed202c69f03a73c
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 24 22:56:33 2009 +0100

    declare the matrix at the beginning

 poppler/ArthurOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 441a9cd56935bfe2d8fddc5d3bc2c0104aeffaca
Author: Eric Toombs <ewtoombs@uwaterloo.ca>
Date:   Sun Mar 22 22:50:14 2009 +0100

    Improved error reporting of ErrOpenFile errors
    
    See bug #20660 for more information

 glib/poppler-document.cc |   14 +++++++++--
 poppler/PDFDoc.cc        |   54 +++++++++++++++++++++++++++------------------
 poppler/PDFDoc.h         |    8 ++++++
 3 files changed, 51 insertions(+), 25 deletions(-)

commit 16af0ced4a0762f2f538135bd8dd72b469f6fdca
Author: Michael K. Johnson <a1237@danlj.org>
Date:   Sat Mar 21 16:14:06 2009 +0100

    Support rendering non-square pixels in pdftoppm
    
    Bug #20702

 utils/pdftoppm.1  |   16 ++++++++++++++--
 utils/pdftoppm.cc |   37 ++++++++++++++++++++++++++++++++-----
 2 files changed, 46 insertions(+), 7 deletions(-)

commit a103c60abd5fe4c721b099c005daf22d6350c355
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 21 15:47:12 2009 +0100

    Update version we need of Qt4

 CMakeLists.txt |    2 +-
 configure.ac   |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c4b1754fdd3a4649551556de2655c8291daafddf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 21 13:29:38 2009 +0100

    Bump cairo dependency to 1.8.4
    
    Cairo 1.8.4 fixes and important bug that affects the Type 3 font rendering

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 50c4ee413929e5a70133839e3cde039da738fab2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 18 22:00:05 2009 +0100

    Add more _checkoverflow variants, rework internals

 goo/gmem.cc |   92 +++++++++++++++++++++++++++++------------------------------
 goo/gmem.h  |    4 ++-
 2 files changed, 48 insertions(+), 48 deletions(-)

commit 121c44db0884f0d70ba1470a66aa78441257c421
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Mar 20 23:25:19 2009 +1030

    Fix cairo luminosity smask when cairo ctm != identity

 poppler/CairoOutputDev.cc |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit 3f55aff56a1d2002ba79f3efba5eb77e94575439
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Mar 19 22:34:23 2009 +1030

    Fix bug in cairo backend with nested masks
    
    The previous smask was not restored after a q/Q pair or form xobject.

 poppler/CairoOutputDev.cc |   18 +++++++++++++++++-
 poppler/CairoOutputDev.h  |    5 +++++
 2 files changed, 22 insertions(+), 1 deletions(-)

commit 4cc3cb8992ac554352d68e97563823b9bbd556ce
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Mar 20 12:38:28 2009 +0100

    Bump cairo dependency to 1.8.4
    
    Cairo 1.8.4 fixes and important bug that affects the Type 3 font
    rendering

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit da94fe717a1ab60fb074fae61d582d1ee7151fc2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 16 22:54:27 2009 +0100

    Fix parsing of border arrays
    
    Fixes 19761

 poppler/Annot.cc |   54 ++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 36 insertions(+), 18 deletions(-)

commit 8df0323f1ca4548a5d5824ece8736b356ce7ca42
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 12 00:09:03 2009 +0100

    Really fix jpeg lib init order?

 poppler/DCTStream.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 12aac6774fc6f92def3d5567051117951cc32223
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 11 23:00:37 2009 +0100

    fontCIDType2OT fonts can also have a CIDToGIDMap
    
    Fixes bug #20605

 poppler/GfxFont.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0ca9ae2848808d15e7a2b00f5eb33bb8f990c887
Author: Vincent Torri <vtorri@univ-evry.fr>
Date:   Wed Mar 11 00:39:59 2009 +0100

    remove the fortran check during the initialisation of libtool

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 710e329a3a6a9ee2eed997c9eeaea21c44237423
Author: Vincent Torri <vtorri@univ-evry.fr>
Date:   Wed Mar 11 00:37:11 2009 +0100

    Add AC_CONFIG_MACRO_DIR([m4])
    
    It is used by autoreconf to trace changes in m4 macros that are in the m4/ subdirectory.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d15e47158ae31909212d3875159046afb208de97
Author: Vincent Torri <vtorri@univ-evry.fr>
Date:   Wed Mar 11 00:36:27 2009 +0100

    Better check for pkg-config

 configure.ac |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit b3f569f9a6c117c097acac52ae6552209fcd2101
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 11 00:25:07 2009 +0100

    Check there is an optional content config before using it
    
    Fixes bug #20587

 poppler/Gfx.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7a5d1e57b2757c986da17f7238415b927e73127f
Author: Brian Ewins <Brian.Ewins@gmail.com>
Date:   Mon Mar 9 22:54:58 2009 +0100

    Check for pkgconfig before using it
    
    At the moment if pkgconfig is not installed, an unhelpful syntax
    error appears when testing for freetype. Identify the problem
    earlier on

 configure.ac |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 8dc9e4d57a4759de2b56a87d9bace80d5d563fef
Author: Marc Kleine-Budde <mkl@pengutronix.de>
Date:   Sun Mar 8 15:29:02 2009 +0100

    use AC_CHECK_HEADER to find headers
    
    The original m4/libjpeg.m4 used AC_FIND_FILE to look for jpeg header file.
    This test is not cross-compiling save. This patch uses the autoconf function
    AC_CHECK_HEADER to look for the jpeg header, which works in the native and
    the cross compiling scenaria.
    Bug #20538

 m4/libjpeg.m4 |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit bf2e2f056cadbc488cd3e9576b44beb34689ec81
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 8 13:44:44 2009 +0100

    Add the new croptting options explanations

 utils/pdftotext.1 |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 663d9e5a448641421d290dd228be692a0f236b9c
Author: Jan Jockusch <jan@jockusch.de>
Date:   Sun Mar 8 13:44:20 2009 +0100

    Make pdftotext to accept cropping options like pdftoppm
    
    Bug #20331

 utils/pdftotext.cc |   29 ++++++++++++++++++++++++++++-
 1 files changed, 28 insertions(+), 1 deletions(-)

commit cc4b61f19b69c31d9a73ae7361c4b6a94345d1c2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 8 12:55:45 2009 +0100

    Fix the previous fix
    
    I should stop listening to people without checking that what they say is
    correct

 poppler/DCTStream.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a4a73cd9f9ee9767d74fbb44ffe083d2057a9d61
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 8 12:44:06 2009 +0100

    I should compile before commiting :-/

 poppler/DCTStream.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6a6b3cc91053e771a67dffa979076d130f87ff11
Author: Ryszard Trojnacki <rysiek@menel.com>
Date:   Sun Mar 8 12:38:42 2009 +0100

    set up the error-manager before calling jpeg_create_decompress
    
    Bug #20484

 poppler/DCTStream.cc |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 4dfa7460ddc4b5684d5ef8db17efa50b95b7b735
Author: Nick Jones <nick.jones@network-box.com>
Date:   Tue Mar 3 00:55:53 2009 +0100

    Do not blindly follow loops parsing OutlineItem
    
    More details in bug 18364

 poppler/Outline.cc |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit de3131ae38fc9442b198d4d7b0c57c6939ad66ce
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 2 15:20:07 2009 +0100

    [Qt4] adapt to the new PDFDoc saving API
    
    store the error code instead of the bool

 qt4/src/poppler-pdf-converter.cc |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit dac0542eb793603090416f1b7712ca08253f1e7f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 2 09:54:22 2009 +0100

    [glib] Correctly handle doc->saveAs() error code.
    
    Fixes bug #19915.

 glib/poppler-document.cc |   37 +++++++++++++++++++++++++++++++++----
 1 files changed, 33 insertions(+), 4 deletions(-)

commit bfc6572614727565d883b9545d4b6665f3c2fdfe
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 28 13:16:49 2009 +0100

    Return an error code instead of a GBool when saving

 poppler/PDFDoc.cc |   22 +++++++++++-----------
 poppler/PDFDoc.h  |    8 ++++----
 2 files changed, 15 insertions(+), 15 deletions(-)

commit f7c88148fdb671736d81dd5f01a3fb68f944510c
Author: Koji Otani <sho@bbr.jp>
Date:   Wed Feb 25 23:38:35 2009 +0100

    Fix cache shifting

 poppler/GfxState.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 305af8cdb6822858e152e1f930bba2ce3904bf1b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 25 22:40:24 2009 +0100

    Make JBIG2Stream not crash in 2009-41414141.pdf

 poppler/JBIG2Stream.cc |  151 +++++++++++++++++++++++++++---------------------
 1 files changed, 85 insertions(+), 66 deletions(-)

commit 26a8217160c1eaeeadb92023b27e68f402e38dd0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 22 18:14:15 2009 +0100

    Check if cairo_shape is not NULL before using it.
    
    We were checking shape instead. It fixes a crash with some documents.
    See bug #17337.

 poppler/CairoOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e68e52da65b4d8c3817e5fbb6f1a937da321d48
Author: Pino Toscano <pino@kde.org>
Date:   Sat Feb 21 18:03:15 2009 +0100

    [Qt4] do not assume the destination file name for links is ASCII

 qt4/src/poppler-page.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 439cb397fed33df627a09c70788d72bef20dc872
Author: Pino Toscano <pino@kde.org>
Date:   Sat Feb 21 18:02:36 2009 +0100

    [Qt] do not assume the destination file name for links is ASCII

 qt/poppler-page.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3ea5f45ad3e5a55e577a2e45f61b55932ed17013
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 21 17:46:30 2009 +0100

    [glib] Make sure filename is valid utf-8 for remote dests

 glib/poppler-action.cc |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b5989e4ffece6c1831610ee163d05fd80386a001
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 21 17:45:18 2009 +0100

    Use the UF entry when present in Filespec dictionary

 poppler/FileSpec.cc |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 943fca42b5fa815fad650e42da4ad6e806adc3b1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 21 12:08:00 2009 +0100

    [glib] Add a macro to define boxed types

 glib/poppler-action.cc   |   26 +-----------
 glib/poppler-annot.cc    |   15 +------
 glib/poppler-document.cc |   44 ++++----------------
 glib/poppler-page.cc     |   99 +++++++++-------------------------------------
 glib/poppler-private.h   |   20 +++++++++
 5 files changed, 53 insertions(+), 151 deletions(-)

commit 7406337ed2d38a86308f20f8273a152538e524de
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 21 11:11:20 2009 +0100

    [glib] Use template files to create poppler-enums

 glib/Makefile.am              |   43 ++++++++++++---------------------------
 glib/poppler-enums.c.template |   44 +++++++++++++++++++++++++++++++++++++++++
 glib/poppler-enums.h.template |   25 +++++++++++++++++++++++
 3 files changed, 82 insertions(+), 30 deletions(-)

commit 29bc9d1dd115b5d400975533c3924993c3adae30
Author: Thomas Viehmann <tv@beamnet.de>
Date:   Sat Jan 17 13:16:38 2009 +0100

    glib small doc comment corrections

 glib/poppler-attachment.cc |    2 +-
 glib/poppler-layer.cc      |    2 ++
 glib/poppler.cc            |    2 --
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a06e715d89a99b909b8e7b73b733066c67b1ade3
Author: Thomas Viehmann <tv@beamnet.de>
Date:   Sat Jan 17 12:58:20 2009 +0100

    Make glib API reference more complete

 glib/reference/poppler-docs.sgml        |    2 +
 glib/reference/poppler-sections.txt     |   55 +++++
 glib/reference/tmpl/poppler-action.sgml |    9 +-
 glib/reference/tmpl/poppler-annot.sgml  |  368 +++++++++++++++++++++++++++++++
 glib/reference/tmpl/poppler-layer.sgml  |   79 +++++++
 5 files changed, 511 insertions(+), 2 deletions(-)

commit 3a21dafa46d42d86daec440a85b9d63b292a3c88
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 3 21:33:00 2009 +0100

    Fix cache shifting
    
    If we do
      for (i = 0;i < GFX_ICCBASED_CACHE_SIZE-1 && cache[i].num > 0;i++) {
        cache[i+1] = cache[i];
    what we do at the end is copy position 0 to all others so
    we need to do it in the reverse order

 poppler/GfxState.cc |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 0ed3fd52bb2d3375ed302285b18f076721b8028e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 1 10:37:25 2009 +0100

    [glib-demo] Fix a typo in format string

 glib/demo/page.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2df6d530cd9acd8648a6196031218ef10e7b3891
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 29 00:51:13 2009 +0100

    Add line that for some reason was not imported from xpdf file
    
    Fixes bug 19789

 utils/ImageOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1fc342eadcbbb41302f190b215c5daf23c9ec9b1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 28 22:53:43 2009 +0100

    Fix crash on unexepcted Form Opt value
    
    Fixes crash on bug 19790

 poppler/Form.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit b1d4efb082ac3dadd7752a557e5aeb6651e17471
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 27 00:26:08 2009 +0100

    PostScriptFunction::transform optimization
    
    Do not create and destroy a PSStack each time
    PostScriptFunction::transform is called gives a 7% speedup on heavy
    PostScriptFunction::transform pdf like nytimes firefox ad

 poppler/Function.cc |   12 ++++++++----
 poppler/Function.h  |   15 +++++++++++++++
 2 files changed, 23 insertions(+), 4 deletions(-)

commit 90f95127d8d89cfcadeb7d701437ab07ce4a8a61
Author: Koji Otani <sho@bbr.jp>
Date:   Sun Jan 25 23:17:39 2009 +0100

    Cache last 5 GfxICCBasedColorSpace

 poppler/GfxState.cc |   60 +++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/GfxState.h  |   15 ++++++++++++
 2 files changed, 75 insertions(+), 0 deletions(-)

commit d3f04f537fb3e963c149a7e2d8d83c7cb19da8c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 23 23:08:46 2009 +0100

    Do not crash in some PDF we don't parse correctly
    
    Fixes bug 19702

 poppler/JBIG2Stream.cc |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 3990c9e52da7b17215506857c792c90a37ebac79
Author: Koji Otani <sho@bbr.jp>
Date:   Mon Jan 19 09:53:00 2009 +0100

    Fix a problem in cairo backend when using a CMYK Profile

 poppler/GfxState.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6e51ae7fe8b9dc8ad52b735f2fe056f8ea8f1dcb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:33:04 2009 +0100

    calculate the limit in a way that one does not access an invalid index of the matrix

 poppler/DCTStream.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea2aa7bd1ceb0e3282398f52683e4f52ef401f74
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:18:48 2009 +0100

    Forgot my copyrights

 poppler/DCTStream.cc |    2 +-
 poppler/DCTStream.h  |    2 +-
 poppler/Stream.cc    |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit d65dd23752ec14635d0d224afa7dd605f98a10a4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 15 22:17:14 2009 +0100

    Minor optimizations

 poppler/DCTStream.cc |   17 ++++++++---------
 poppler/DCTStream.h  |    3 ++-
 poppler/Stream.cc    |    3 ++-
 3 files changed, 12 insertions(+), 11 deletions(-)

commit d3d2910f757dfc3e141aed62aa970136f9d7186f
Author: Pino Toscano <pino@kde.org>
Date:   Sun Jan 11 00:40:46 2009 +0100

    fix a (relatively small) memory leak when asking for a document-level JS

 poppler/Catalog.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 869584a84eed507775ff1c3183fe484c14b6f77b
Author: Jonathan Kew <jonathan_kew@sil.org>
Date:   Sat Jan 10 18:28:47 2009 +0100

    Add the possibility of setting the datadir on runtime

 poppler/GlobalParams.cc |   27 ++++++++++++++++++++-------
 poppler/GlobalParams.h  |    5 ++++-
 2 files changed, 24 insertions(+), 8 deletions(-)

commit cf112dceb1d6653beae73ce2fac6fb5eee48ff33
Author: Koji Otani <sho@bbr.jp>
Date:   Sat Jan 10 18:11:20 2009 +0100

    Fix some problems with color management in CMYK Color Profile.
    
    Fixes bug 19483

 poppler/GfxState.cc |  106 +++++++++++++++++++++++++-------------------------
 1 files changed, 53 insertions(+), 53 deletions(-)

commit 6dd77338d16f80760ae32ff9f3e2be9768fc0c49
Author: Pino Toscano <pino@kde.org>
Date:   Thu Jan 8 11:49:45 2009 +0100

    [Qt4] use the cropbox for the annotations coordinates
    
    Fixes bug #18558.

 qt4/src/poppler-page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 69c07c031159d36dde52609bffa6d48c3c56cef5
Author: Pino Toscano <pino@kde.org>
Date:   Thu Jan 8 00:59:19 2009 +0100

    update Poppler copyright to 2009

 msvc/poppler/poppler-config.h |    2 +-
 poppler-config.h.cmake        |    2 +-
 poppler/poppler-config.h.in   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 79e0eea85cf063c6323caafbec97f3d71fc04ca2
Author: Pino Toscano <pino@kde.org>
Date:   Thu Jan 8 00:57:03 2009 +0100

    remove old cmake modules, add a new one

 Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 0e6420ece2d6fcc046d5814b48a2754fb86771e2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 23:33:02 2009 +0100

    Require cmake 2.6.0, remove two cmake files provided upstream

 CMakeLists.txt                                    |    4 +-
 cmake/modules/FindFreetype.cmake                  |   74 ---------------------
 cmake/modules/FindPackageHandleStandardArgs.cmake |   58 ----------------
 glib/CMakeLists.txt                               |    2 +-
 4 files changed, 3 insertions(+), 135 deletions(-)

commit a69add73bf7bef17c677c735db77934ba67188a5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 19:06:13 2009 +0100

    Update copyright notices

 poppler/FontInfo.cc         |    1 +
 poppler/FontInfo.h          |    1 +
 qt4/src/poppler-document.cc |    2 +-
 qt4/src/poppler-fontinfo.cc |    2 +-
 qt4/src/poppler-form.cc     |    1 +
 qt4/src/poppler-form.h      |    1 +
 qt4/src/poppler-private.h   |    2 +-
 qt4/src/poppler-qt4.h       |    2 +-
 8 files changed, 8 insertions(+), 4 deletions(-)

commit 18d584158a781fecb4f696b01fb4d17803ce7d7a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 7 17:55:48 2009 +0100

    Add lcms option to cmake buildsystem

 CMakeLists.txt               |    9 +++++++++
 cmake/modules/FindLCMS.cmake |   37 +++++++++++++++++++++++++++++++++++++
 config.h.cmake               |    3 +++
 3 files changed, 49 insertions(+), 0 deletions(-)

commit 140b8ed97416f9c2ec02eb749ca45ca50bd651a8
Author: Koji Otani <sho@bbr.jp>
Date:   Wed Jan 7 17:43:44 2009 +0100

    Add initial support for color management

 configure.ac        |   19 ++
 poppler/GfxState.cc |  697 +++++++++++++++++++++++++++++++++++++++++++++++----
 poppler/GfxState.h  |   74 +++++-
 poppler/Makefile.am |    5 +
 4 files changed, 738 insertions(+), 57 deletions(-)

commit bdc76dc811a6e4d5fd929bbdc8cd3300aeaea31f
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 6 15:45:37 2009 +0100

    [Qt4] apidox improvements for the font functions of Document; mark scanForFonts() as deprecated

 qt4/src/poppler-qt4.h |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit 6630e715714161cd803fc064f5d3cf880f42b0a5
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 6 15:36:19 2009 +0100

    tell Doxygen to consider Q_DECL_DEPRECATED as empty

 qt4/src/Doxyfile |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d748d430b106580b8be29ca3ec75caf05b55812e
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 6 15:24:25 2009 +0100

    [Qt4] Add a FontIterator for iterating through the fonts of the document, page by page.
    
    This new iterator class is the new preferred way for getting the fonts of a document in a page-by-page mode.
    * Document::fonts() is adapted to use it, instead of relying on scanForFonts()
    * scanForFonts() is ported to FontIterator, but keeping the old behaviour ("i can scan the document only once")
    * added unit tests for fonts(), scanForFonts() and FontIterator

 qt4/src/poppler-document.cc |   27 +++++---
 qt4/src/poppler-fontinfo.cc |   36 ++++++++++
 qt4/src/poppler-private.h   |   27 +++++++-
 qt4/src/poppler-qt4.h       |   65 +++++++++++++++++++
 qt4/tests/check_fonts.cpp   |  149 +++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 291 insertions(+), 13 deletions(-)

commit b9804542bb50216786dc11ca16efd84304f4b832
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 6 15:16:53 2009 +0100

    Add the possibility to set the first page to scan.
    
    The default value is 0 (= first page), so it should be compatible with any usage so far.

 poppler/FontInfo.cc |    4 ++--
 poppler/FontInfo.h  |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit af74fef03bfbd79334da5612c63c7793952542f9
Author: Warren Toomey <poppler@tuhs.org>
Date:   Tue Jan 6 01:36:31 2009 +0100

    Add forgotten file to let the autotools based system build

 m4/libpng.m4 |   99 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 99 insertions(+), 0 deletions(-)

commit ae588500f62bab5666174ff3b1564c414c5a76c5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 01:35:38 2009 +0100

    Fix the cmake buildsystem

 CMakeLists.txt       |    6 ++++++
 config.h.cmake       |    3 +++
 utils/CMakeLists.txt |    4 ++++
 3 files changed, 13 insertions(+), 0 deletions(-)

commit 940d060a14712c09da427e2fac4ec579f7291b0f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 01:27:06 2009 +0100

    do not leak fName if fopen fails

 utils/HtmlOutputDev.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7be9198adb940ad7c5fffc6db0158cf7042e1b8f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 6 01:24:15 2009 +0100

    Do not leak pgNum and imgnum if fopen fails

 utils/HtmlOutputDev.cc |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit dfba6c022b150553cb2b18b027e661b3b4625ce7
Author: Warren Toomey <poppler@tuhs.org>
Date:   Tue Jan 6 01:16:31 2009 +0100

    Make pdftohtml output png images when the image stream is not a jpeg

 configure.ac           |   14 +++++
 utils/HtmlOutputDev.cc |  126 +++++++++++++++++++++++++++++++++++++++++++++--
 utils/HtmlOutputDev.h  |    3 +-
 utils/Makefile.am      |    4 ++
 4 files changed, 140 insertions(+), 7 deletions(-)

commit 0963c276ba972a36c2895e4fe1c7475acd489738
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 16:54:32 2009 +0100

    Fix some checked checkboxes not rendering correctly
    
    If we are forcing ZaDb/ZapfDingbats to correctly draw a checkmark in the checkbox, but the file does not have such font defined we need to create a fake one so the system really renders it
    Fixes bug 19359

 poppler/Annot.cc |   49 +++++++++++++++++++++++++++++++++++++++++++++++--
 poppler/Annot.h  |    2 ++
 poppler/Gfx.h    |    7 ++++---
 3 files changed, 53 insertions(+), 5 deletions(-)

commit 46128cf83b322c112eb0c409c20052bdb2ea4a37
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 14:21:15 2009 +0100

    Remove wrong and unused FormWidget(FormWidget *dest) contructor

 poppler/Form.cc |   11 -----------
 poppler/Form.h  |    3 +--
 2 files changed, 1 insertions(+), 13 deletions(-)

commit 5203aefc41fa47c461812cc46f28281edd226515
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 4 14:03:16 2009 +0100

    Plug some memory leaks

 poppler/Annot.cc |    5 ++++-
 poppler/Form.cc  |    4 +++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 5fb7ec7e6af4cfb2b256a5b9b9752e68330b4aec
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 30 23:46:59 2008 +0100

    If Length2 is zero just write until we find EOF of the stream
    
    Fixes exporting to PS of the two pdf i have that have fonts with Length2 set to 0

 poppler/PSOutputDev.cc |   26 +++++++++++++++++++++-----
 1 files changed, 21 insertions(+), 5 deletions(-)

commit ca35fdbc7c31dae432d775b6c087a83fa9b897fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 30 23:03:57 2008 +0100

    We need spaces here too to satify other consumer parsers

 poppler/PDFDoc.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3c07c73e07a9cb59ee4c23ca60d2adce92de45f7
Author: Pino Toscano <pino@kde.org>
Date:   Tue Dec 30 22:21:27 2008 +0100

    [Qt4-demo] load a document when passed via command line

 qt4/demos/main_viewer.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit aba0aaa896d634a51fbb3a3e6eae411be462f930
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 29 00:31:18 2008 +0100

    More improvements in document writing
    
    Dictionary keys are names so need to be sanitized
    Add a space after num gen obj

 poppler/PDFDoc.cc |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit e5b93a847ae4e20a77fecef0938da4f14dfbe3eb
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 28 22:59:14 2008 +0100

    Let compiler figure out CDECL
    
    CDECL is a compiler specific macro to specify C calling convention.
    
    On Windows, some functions must be forced to use this calling convention.
    To do this, you can use the macro CDECL, which is defined in windef.h.
    
    Poppler should not try to be smarter than the compiler and try to guess
    the correct definition for CDECL. Instead it should rely on the
    definitions in the windef.h file provided by the compiler.
    
    On Unix, specifying a calling convention is not nescessary, so CDECL can
    be an empty definition.

 poppler-config.h.cmake      |    8 ++------
 poppler/poppler-config.h.in |    8 ++------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit de70c0aeb37d788f595b0574796844f51ddedec1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 21:21:12 2008 +0100

    [qt4] improve doc a bit

 qt4/src/poppler-form.h |    2 +-
 qt4/src/poppler-qt4.h  |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit effb32658019e09dc86c017e39154fd554fc94f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 02:56:30 2008 +0100

    Form Rects are against the cropbox, not the media box
    
    Fixes second pdf at kde bug 161327

 qt4/src/poppler-form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f10561f3b1c90acc030d973399316bfca5f495e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 01:44:25 2008 +0100

    Fix my last commit, copy&paste is really evil

 goo/GooString.cc |    9 +++++----
 goo/GooString.h  |    2 +-
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 217b46484ff56bfd5906b293ebee70b82cc0263d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 28 01:29:41 2008 +0100

    Move PSOutputDev::filterPSName to GooString::sanitizedName so i can use it from PDFDoc::writeObject

 goo/GooString.cc       |   36 +++++++++++++++++++++++++++++++++++
 goo/GooString.h        |    7 ++++++
 poppler/PDFDoc.cc      |    7 +++++-
 poppler/PSOutputDev.cc |   49 ++++++++---------------------------------------
 poppler/PSOutputDev.h  |    3 +-
 5 files changed, 59 insertions(+), 43 deletions(-)

commit f41fa9ee71aef5539cf9976c79b32bf1713c8167
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 26 22:56:12 2008 +0100

    Change the overflow check to the same used in gmem.cc, much more easy to understand

 poppler/XRef.cc |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit b8ae7d91dedc9a75200b6050628ec2740af84b98
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Dec 26 22:28:09 2008 +0100

    Fix compile warnings on auto imports for mingw32

 configure.ac          |    3 +++
 glib/Makefile.am      |    2 +-
 glib/demo/Makefile.am |    2 ++
 test/Makefile.am      |    2 ++
 utils/Makefile.am     |    2 ++
 5 files changed, 10 insertions(+), 1 deletions(-)

commit ba47bd2ba05f883306606eda30bff17bd4a8eec6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 26 19:47:42 2008 +0100

    BaseFile.h has never been used and it fact it's not part of xpdf sources
    
    Fixes bug 19298

 CMakeLists.txt      |    1 -
 poppler/BaseFile.h  |   82 ---------------------------------------------------
 poppler/Makefile.am |    1 -
 3 files changed, 0 insertions(+), 84 deletions(-)

commit 84366d9e63b0d6a5ee1aae2463648cfc2ff5e1b8
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Dec 24 19:27:19 2008 +0100

    Let libtool build DLLs on windows too

 configure.ac |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 08cef528f2e51cc62cff4125f179021ad9555317
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Dec 24 17:48:46 2008 +0100

    Fix compile warning on string literal format

 test/pdf-inspector.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0606b4bba8e889204c7b7c9d376f63b659f83a4f
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Dec 24 17:48:10 2008 +0100

    Fix compile warnings on parentheses and/or

 poppler/CairoOutputDev.cc |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit eba2232cabd5fb1e177db2a6053f0d1a0aee882b
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Dec 24 17:46:32 2008 +0100

    Fix some more warnings

 test/gtk-cairo-test.cc |   11 -----------
 test/pdf-inspector.cc  |    9 +++++----
 2 files changed, 5 insertions(+), 15 deletions(-)

commit c80431eb1626d89e7b615e5a5149d3436b554b66
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Dec 22 09:28:47 2008 +0100

    Fix compile warning on format type

 glib/test-poppler-glib.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fda181c35b7c7500b6d3c6ca9d454addd54929c5
Author: Pino Toscano <pino@kde.org>
Date:   Mon Dec 22 00:53:44 2008 +0100

    group condition within brackets

 poppler/ArthurOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c1beeecbd6cbf82811d70c75cb24059b4b492abe
Author: Pino Toscano <pino@kde.org>
Date:   Mon Dec 22 00:46:49 2008 +0100

    [demo] use the proper format field for gsize types

 glib/demo/attachments.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bfb975466f0ff78e9e292b6af7cac66e4c331456
Merge: 3e27892 ea3546f
Author: Pino Toscano <pino@kde.org>
Date:   Mon Dec 22 00:29:38 2008 +0100

    Merge branch 'master' of ssh://pino@git.freedesktop.org/git/poppler/poppler

commit 3e2789257f5fc4ae0573a0c62ea380d8e83a5bb5
Author: Pino Toscano <pino@kde.org>
Date:   Mon Dec 22 00:24:23 2008 +0100

    [Qt] deserialize also the value of 'right'

 qt/poppler-link.cc |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 7c053ab7623cea1ac650d3e960d2d91a1ef21557
Author: Pino Toscano <pino@kde.org>
Date:   Mon Dec 22 00:19:02 2008 +0100

    [Qt] move in a .cc file the implementation of the QString<->GooString functions and DocumentData::addTocChildren()

 qt/CMakeLists.txt      |    1 +
 qt/Makefile.am         |    1 +
 qt/poppler-document.cc |   10 ---
 qt/poppler-page.cc     |    1 +
 qt/poppler-private.cc  |  147 ++++++++++++++++++++++++++++++++++++++++++++++++
 qt/poppler-private.h   |  106 ++--------------------------------
 6 files changed, 157 insertions(+), 109 deletions(-)

commit ea3546f84c5335c58cdb2906b1a1a4656be9c8ea
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 23:33:49 2008 +0100

    Fix compile warnings on signed/unsigned comparison

 goo/gfile.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ca672ae51d2c1fa59a891717b418ba86b5e7345c
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 23:33:00 2008 +0100

    Fix compile warnings on ignored pragma with mingw compiler

 poppler/Gfx.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 86cfe8ab2b4e0b600f3f6682701c2fcfbe5d0ca9
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 23:08:56 2008 +0100

    Fix compile warnings on signed/unsigned comparison

 poppler/GfxFont.cc |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit e34af7ffe0a4024e2eb39314bdb09eb9a662e53e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 21 22:16:39 2008 +0100

    Update copyright of last commits

 poppler/TextOutputDev.cc |    1 +
 poppler/TextOutputDev.h  |    2 +-
 qt4/src/poppler-page.cc  |    1 +
 3 files changed, 3 insertions(+), 1 deletions(-)

commit f6d84dcfc9cc587c7408af79b1ee7658d456f8d8
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 22:09:00 2008 +0100

    Fix compile warning to suggest parentheses and/or

 poppler/TextOutputDev.cc |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 15205403eaa95d6fba0e36983de993877dd3a983
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 21:59:45 2008 +0100

    Fix warning to suggest parentheses inside shift

 poppler/PSOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cc24f37e582bfc0069faf286da97a48fe4794db1
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 21:35:29 2008 +0100

    Fix compile warning on ambiguous else

 test/perf-test.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a8cc4ad8c2da804f25db8cca1c85433d5a63307c
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 21:34:28 2008 +0100

    Fix compile warning on format not a string literal

 test/perf-test.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3cbbf8226730aa7ee6273e154e4a9d58670a3cda
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Dec 21 21:30:54 2008 +0100

    Fix compile warning about uninitialized variable

 poppler/ABWOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f675916277cb76cd1293225a1271f835a02148fb
Author: Pino Toscano <pino@kde.org>
Date:   Sat Dec 20 23:23:10 2008 +0100

    reset to NULL after being deleted
    
    found with poppler-qt4 unit tests =)

 poppler/TextOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c976770c64e4c991fff27e413414473583b6fd86
Author: Pino Toscano <pino@kde.org>
Date:   Sat Dec 20 22:25:55 2008 +0100

    [Qt4] use QHash instead of QMap where applicable
    
    using a hash table instead of a map mapes lookup faster;
    in these cases we don't need the sorting a map gives

 qt4/src/poppler-page.cc |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 944f6049a50eb3be9fb29174d67adc4ad1d0b9fe
Author: Pino Toscano <pino@kde.org>
Date:   Sat Dec 20 20:13:43 2008 +0100

    add find.c and text.c

 glib/demo/CMakeLists.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ba91b889c3b50239e339938f3c9d31fffcd87d44
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Dec 20 19:29:40 2008 +0100

    Make destructor private in TextPage

 poppler/TextOutputDev.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 0da16537aa83f6ed6d8895c7e54266263a71c1cf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Dec 19 19:08:21 2008 +0100

    Refactor actual text code adding a new ActualText class
    
    It's used by both Text and Cairo ouput devices avoiding duplicated code
    in such classes.

 poppler/CairoOutputDev.cc |  108 +++---------------------
 poppler/CairoOutputDev.h  |    7 +--
 poppler/TextOutputDev.cc  |  206 ++++++++++++++++++++++++++-------------------
 poppler/TextOutputDev.h   |   34 ++++++--
 4 files changed, 160 insertions(+), 195 deletions(-)

commit 0f8ab301c633133eea3dbd4f2254f31c50e3c4a9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 14 13:12:34 2008 +0100

    [glib-demo] Add find demo

 glib/demo/Makefile.am |    2 +
 glib/demo/find.c      |  282 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/demo/find.h      |   31 ++++++
 glib/demo/main.c      |    4 +-
 4 files changed, 318 insertions(+), 1 deletions(-)

commit 88df9e9aa9adb53f0a9714ea404d46f111495df3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 14 11:54:35 2008 +0100

    [glib-demo] Add Text demo

 glib/demo/Makefile.am |    2 +
 glib/demo/main.c      |    4 +-
 glib/demo/text.c      |  175 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/demo/text.h      |   31 +++++++++
 4 files changed, 211 insertions(+), 1 deletions(-)

commit 5b0f2355d55a5104820fd0bf16b4e76b25959de4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 14 11:49:00 2008 +0100

    [glib] Use TextPage instead of TextOutputDev when cairo is enabled

 glib/poppler-page.cc   |  148 +++++++++++++++++++++++++++++++++---------------
 glib/poppler-private.h |    4 +
 2 files changed, 107 insertions(+), 45 deletions(-)

commit 3ced71fb68d62308db7b9535367eafefb55d1cde
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 14 11:18:00 2008 +0100

    Add optionally text support to CairoOutputDev
    
    If a TextPage is set, it'll be used when rendering so that we don't need
    to use TextOutputDev and render again.

 poppler/CairoOutputDev.cc |  144 +++++++++++++++++++++++++++++++++++++++++++--
 poppler/CairoOutputDev.h  |   19 +++++-
 2 files changed, 155 insertions(+), 8 deletions(-)

commit 0bdad35cc4cfdb8da5acaf44678920b7a0025f99
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 14 11:14:12 2008 +0100

    Add refcount support to TextPage

 poppler/TextOutputDev.cc |   12 +++++++++++-
 poppler/TextOutputDev.h  |    5 +++++
 qt4/src/poppler-page.cc  |    2 +-
 3 files changed, 17 insertions(+), 2 deletions(-)

commit f86514c3fbc867fc6457feacba23451e89993524
Author: Koji Otani <sho@bbr.jp>
Date:   Wed Dec 17 00:36:39 2008 +0100

    Fix wrong PS generation when a large image is in Patterns
    
    Bug 18908

 poppler/PSOutputDev.cc |  114 ++++++++++++++++++++++++++++++------------------
 1 files changed, 72 insertions(+), 42 deletions(-)

commit fc395eb90b418e43453acefb42cd04baf0b7ad40
Author: Richard Airlie <richard.airlie@maglabs.net>
Date:   Tue Dec 16 21:11:53 2008 +0100

    Allow the use of cropbox in pdftoppm

 utils/pdftoppm.cc |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 80f415176952635a485356cf36048eee53396c25
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 16 20:37:39 2008 +0100

    Make destructors private/protected since you are not supposed to use them

 poppler/GfxFont.cc |    2 +-
 poppler/GfxFont.h  |   11 +++++------
 2 files changed, 6 insertions(+), 7 deletions(-)

commit dbcebda953cb36a45a125aada68e85249fb73f43
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 15 20:10:31 2008 +0100

    Do not leak on AnnotScreen destructor
    
    Fixes bug 19095

 poppler/Annot.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit aaeb0d137232bf1cb11dc5e37b8b45b50c6f9c6a
Author: Pino Toscano <pino@kde.org>
Date:   Fri Dec 12 00:43:19 2008 +0100

    update the xpdf headers installation

 CMakeLists.txt |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 7c6527fa05389f705872aaaaff12e739b5d1577e
Author: Pino Toscano <pino@kde.org>
Date:   Fri Dec 12 00:41:21 2008 +0100

    don't install Function.cc, as it is not an header

 poppler/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0179e21b128ffccb5afd13203137ab8435197609
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 12 00:16:38 2008 +0100

    Be more helpful with bad boys that want to use poppler core directly

 fofi/Makefile.am     |   10 ++++++++++
 splash/SplashClip.h  |    2 +-
 splash/SplashPath.h  |    2 +-
 splash/SplashXPath.h |    2 +-
 4 files changed, 13 insertions(+), 3 deletions(-)

commit 401632e4eeb4b10b1183a820f32461da77e8e4f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 12 00:14:04 2008 +0100

    Try harder to look for openjpeg

 cmake/modules/FindLIBOPENJPEG.cmake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ab539f46089702f60b96b1ba2b2bc1544173c264
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 11 23:15:45 2008 +0100

    Fix crash when reading outline
    
    Fixes bug 19024. Last as reference is required if the item has children (Table 8.4) so if there is no last reference, don't try to read children.

 poppler/Outline.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c9a755f9fd14511f43a2ca7fcda36bdd64bb1d87
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:   Sun Dec 7 17:59:19 2008 +0100

    Fix memory leak
    
    Bug 18924

 poppler/Page.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 4cd364c179ae91ed383a8237ba1ad263952fd7aa
Author: Pino Toscano <pino@kde.org>
Date:   Sun Nov 30 16:57:52 2008 +0100

    add my copyright here

 qt4/src/poppler-private.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6b1676deb773675d90469adc84c3de8dcdaf174c
Author: Pino Toscano <pino@kde.org>
Date:   Sun Nov 30 16:56:43 2008 +0100

    [Qt4] support URI actions for TOC items

 qt4/src/poppler-private.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit b5cd58b5565055fd0c13771461245ddcd80edfcf
Author: Pino Toscano <pino@kde.org>
Date:   Sun Nov 30 16:34:57 2008 +0100

    extract the LinkAction "serialization" in an own function, and make it more safe

 qt4/src/poppler-private.cc |   85 ++++++++++++++++++++++++++++++-------------
 1 files changed, 59 insertions(+), 26 deletions(-)

commit ee191363e22940ae7b06945e68c4738b17c78348
Author: Pino Toscano <pino@kde.org>
Date:   Sun Nov 30 16:17:32 2008 +0100

    move the addTocChildren() implementation in the cpp

 qt4/src/poppler-form.cc    |    1 +
 qt4/src/poppler-page.cc    |    1 +
 qt4/src/poppler-private.cc |   65 ++++++++++++++++++++++++++++++++++++++++++++
 qt4/src/poppler-private.h  |   64 +-----------------------------------------
 4 files changed, 69 insertions(+), 62 deletions(-)

commit f8eaabf1aa7e384619129a7509be85d0c3bfb825
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 30 13:33:12 2008 +0100

    Update copyrights of the last commits

 poppler/TextOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f4fedfae6098e25644ffe5d4b1ed0bac043841d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Nov 29 19:51:27 2008 +0100

    Use the Length specified in the Stream as initial bufSize
    
    This is a optimization to save a few reallocations, if the Length value is incorrect it will still work

 poppler/JPEG2000Stream.cc |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 12f6d6ba2052fbdc8ea4ba7c7c9277e75bf170a5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Nov 23 18:20:14 2008 +0100

    Fix a crash when the second argument of opMarkPoint is not a dictionary
    
    According to the spec "If any of the values are indirect references to
    objects outside the content stream, the property list dictionary must
    instead be defined as a named resource.

 poppler/Gfx.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 817e123a28e9f6b7e5be23f7ac2ba3bcec5e3f3f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 22 21:48:37 2008 +1030

    Don't compare print flag for non Type 3 fonts in cairo font cache

 poppler/CairoFontEngine.cc |    7 ++++++-
 poppler/CairoFontEngine.h  |    4 +++-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 68f8ade28764855d4f663607c50c8202b1268296
Author: Albert Astals Cid <tsdgeos@samsung.localdomain>
Date:   Sun Nov 23 10:54:46 2008 +0100

    Compile with -pedantic
    
    Thanks to Bernard Leak for notifying

 test/pdf-inspector.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a4fa7ed44a87e47a6078a1f7bb6f41071672ea7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Nov 18 20:11:07 2008 +0100

    Fix a crash when selecting text in word mode

 poppler/TextOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a6f5032ab0d6edbf3879f39efff7916b1f7233da
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Nov 16 18:24:06 2008 +0100

    optContentConfig is not actually stored in PDFDoc but in Catalog

 poppler/PDFDoc.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b843ac34c6c4ca1580f99fa2220c59dfcd91f026
Author: Pino Toscano <pino@kde.org>
Date:   Sat Nov 15 14:49:02 2008 +0100

    [Qt4] deserialize the value of the 'right' coordinate, too

 qt4/src/poppler-link.cc |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 03061fdae49842556c9ff48e61914fc88502e1d8
Author: Tim Mooney <enchanter@users.sourceforge.net>
Date:   Thu Nov 13 22:32:22 2008 +0100

    Fix build on Solaris 10 + Sun Studio 12.
    
    Fixes bug 17496

 configure.ac     |   14 ++++++++++++++
 test/Makefile.am |    6 ++++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 17b18be4fd25f2ca2b4ed7382d9fda50410c44f1
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Nov 12 20:40:57 2008 +1030

    Ensure cairo font matrix is invertable
    
    Fixes bugs #18254 and #18429

 poppler/CairoOutputDev.cc |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit e2257e6916cd1067d43db9ed45f944413c61ed64
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 9 22:44:48 2008 +0100

    Update copyrights of the last commits

 poppler/CairoFontEngine.cc    |    1 +
 poppler/CairoFontEngine.h     |    1 +
 poppler/Form.cc               |    2 +-
 poppler/Gfx.h                 |    1 +
 poppler/OptionalContent.h     |    1 +
 qt4/src/poppler-optcontent.cc |    1 +
 6 files changed, 6 insertions(+), 1 deletions(-)

commit 069f8ad9453e612e907b561aa50983c34400193d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 9 20:36:06 2008 +0100

    MakeItBuild

 glib/CMakeLists.txt      |    1 +
 glib/demo/CMakeLists.txt |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 04025c4f65bbb7e4330f6d17d917a035c0906f3d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Nov 9 17:03:20 2008 +0100

    Fix a crash when initializing an Annot with a null catalog
    
    Forms crate a temp annot just to get the font size of the form field
    passing a NULL catalog.

 poppler/Annot.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 471255c5a3850984997d91c7850759eb0c7e8a9c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Nov 8 20:58:57 2008 +0100

    [glib-demo] Add Optional Content demo

 glib/demo/Makefile.am |    2 +
 glib/demo/layers.c    |  511 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/demo/layers.h    |   31 +++
 glib/demo/main.c      |    4 +-
 4 files changed, 547 insertions(+), 1 deletions(-)

commit 7363c25e1d83332932d9b4fe16d7fb4e364da628
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 26 19:47:35 2008 +0100

    [glib] Add Optional Content support

 glib/Makefile.am          |    2 +
 glib/poppler-document.cc  |  377 +++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-document.h   |   12 ++
 glib/poppler-layer.cc     |  201 ++++++++++++++++++++++++
 glib/poppler-layer.h      |   43 +++++
 glib/poppler-private.h    |   21 +++
 glib/poppler.h            |    3 +
 glib/test-poppler-glib.cc |   52 ++++++-
 8 files changed, 710 insertions(+), 1 deletions(-)

commit c674566f458b54097f21aae0d4bf8637146565c5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 26 19:42:53 2008 +0100

    Fix memory leaks in OptionalContent

 poppler/OptionalContent.cc |   13 +++----------
 poppler/OptionalContent.h  |   10 ++++++----
 2 files changed, 9 insertions(+), 14 deletions(-)

commit 06ca313b8ecb8abb8dec3b418d118525b7bb0fdf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 26 19:11:45 2008 +0100

    Check annotation optional content properties before drawing it

 poppler/Annot.cc |   20 ++++++++++++--------
 poppler/Annot.h  |    4 ++--
 2 files changed, 14 insertions(+), 10 deletions(-)

commit a6d58927b048aa043cb6b6ed3ee9aeb213578924
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Nov 8 20:50:40 2008 +0100

    Do not show hidden optional content
    
    Before any draw operation we first check whether we are inside an
    optional marked content element that is currently hidden.

 poppler/Gfx.cc |  113 +++++++++++++++++++++++++++++++++++++++-----------------
 poppler/Gfx.h  |    7 ++-
 2 files changed, 84 insertions(+), 36 deletions(-)

commit 5f168f991477e291290350a28f4a60a565e187b9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Oct 20 17:56:11 2008 +0200

    [glib] Show action titles when printing the index in test program

 glib/test-poppler-glib.cc |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit a906d12e16748d9a40c0db4043a576fd3d004341
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Nov 8 20:20:00 2008 +0100

    Minor code cleanup and consistency issues

 poppler/OptionalContent.cc     |   22 +++++++++++-----------
 poppler/OptionalContent.h      |    8 ++++----
 qt4/src/poppler-optcontent.cc  |    6 +++---
 qt4/tests/check_optcontent.cpp |    8 ++++----
 4 files changed, 22 insertions(+), 22 deletions(-)

commit e73c2ce906b7e1f06d641f7e0733aad6336b4091
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 19 12:44:13 2008 +0200

    Delete the optContent object if it's invalid

 poppler/Catalog.cc         |    4 ++++
 poppler/OptionalContent.cc |    3 +++
 poppler/OptionalContent.h  |    5 +++++
 3 files changed, 12 insertions(+), 0 deletions(-)

commit 2900e7e4c920d735d5a727e9e39f71df97bd7b93
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Nov 8 18:12:47 2008 +0100

    A new cairo is needed

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aaaecd2e86769d3a99e21577448a193711985958
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 22:47:30 2008 +0100

    Do not abort if indexHighA is 'invalid', move it to the closest valid value and try with it
    
    For the bug 18374 it works and does not seem a security problem

 poppler/GfxState.cc |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 82f4228a50efe6447c68f7f6d34a7805b7e4b75e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 20:57:17 2008 +0100

    Add myself here

 qt4/demos/viewer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8df7d83439f0e9ab200840f912f1c08bbf44bd6e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 20:49:01 2008 +0100

    [Qt4Demo] Fix leak

 qt4/demos/viewer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d3c424e0362f53bda5c4e2e415823d78ace76253
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 20:14:17 2008 +0100

    Rename i to j so that code is more clear by not shadowing the function parameter

 poppler/Catalog.cc |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 9d12de9b59de4336eabb423f7bf0363b6a35e2a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 20:00:01 2008 +0100

    Fix crash in case indices is NULL
    
    Putting more than one "logical line" per "real line" is evil, we think if will group it, but does not

 poppler/UnicodeTypeTable.cc |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit fc61dad9daa15f83802ffa5c3cd9b59d80bb310b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 19:52:00 2008 +0100

    [Qt] Fix leak

 qt/poppler-link.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 981fb857b0afb1cda7836744dcf37906285512b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 19:49:18 2008 +0100

    [Qt] Fix memory leak

 qt/poppler-document.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit e925e92d5cbfc009c138ece117227a3b0894ead6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 5 19:44:40 2008 +0100

    Do not leak uBuf in the error case

 poppler/CharCodeToUnicode.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0741a402632ec5a8641ff11707142bf2731c1833
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 22:27:48 2008 +1030

    Restore the cairo Type3 font image prescaling funtionality

 poppler/CairoFontEngine.cc |   49 ++++++++++++++++++++++++++------------------
 poppler/CairoFontEngine.h  |   20 ++++++++++-------
 poppler/CairoOutputDev.cc  |    2 +-
 poppler/CairoOutputDev.h   |    2 +-
 4 files changed, 43 insertions(+), 30 deletions(-)

commit 91a7c3fdd44f30b0b50ed05a3313bbb1b5c86e71
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 20:57:24 2008 +1030

    Remove cairo font matrix y flip when inside a Type 3 char
    
    Not sure why this was previously required but it now produces
    incorrect results.

 poppler/CairoOutputDev.cc |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 3bf4d7d75b455a9a0b5ee3a8c78b218e5af5185a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 20:50:07 2008 +1030

    Transform the glyph advance by the font matrix

 poppler/CairoFontEngine.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4aa32bad61d008a854fdc9e902d6834bb1687d7e
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 20:49:04 2008 +1030

    Use the font BBox, not the font matrix to set the Gfx BBox

 poppler/CairoFontEngine.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 987955440c7711f440c3d2b5cc8c05ec07228a77
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 20:47:05 2008 +1030

    Ensure both the font matrix and y-axis flip are in the matrix
    
    we use for transforming the glyph metrics.

 poppler/CairoFontEngine.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5c051aa117477cba5d350adfc539acb4b5f2a56a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 01:59:07 2008 +1030

    Require cairo 1.8.2 for user-font support

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a3edfa30680864b95a5196c5619846de42980857
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 01:57:32 2008 +1030

    Implement Type 3 fonts in cairo backend using cairo user-fonts

 poppler/CairoFontEngine.cc |  174 ++++++++++++++++++++++++++++++++++++++++++--
 poppler/CairoFontEngine.h  |   18 +++++
 poppler/CairoOutputDev.cc  |    9 ++-
 poppler/CairoOutputDev.h   |    4 +-
 4 files changed, 194 insertions(+), 11 deletions(-)

commit feab1e982a2ee39bb372d593633a06b6a499822f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 01:21:39 2008 +1030

    Add CairoOutputDev functions for getting Type 3 glyph metrics

 poppler/CairoOutputDev.cc |   10 ++++++++++
 poppler/CairoOutputDev.h  |    7 +++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit a75efe208d899d4a23d5e2fcef200e4225721636
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Nov 1 00:26:40 2008 +1030

    Make the catalog available to CairoFontEngine

 glib/poppler-document.cc   |    3 ++-
 poppler/CairoFontEngine.cc |    2 +-
 poppler/CairoFontEngine.h  |    3 ++-
 poppler/CairoOutputDev.cc  |    7 +++++--
 poppler/CairoOutputDev.h   |    3 ++-
 test/pdf-inspector.cc      |    2 +-
 6 files changed, 13 insertions(+), 7 deletions(-)

commit 941d3976c496b75a3c5a9d19b80044fc2b57bd98
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Oct 31 22:44:41 2008 +1030

    Allow multiple instances of CairoOutputDev to be created
    
    for the same document that shares the same CairoFontEngine.

 poppler/CairoOutputDev.cc |   16 +++++++++++-----
 poppler/CairoOutputDev.h  |    4 +++-
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 94cff513d8589f51b243fcb078f82cb931bb6d35
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Oct 31 21:11:01 2008 +1030

    Use correct return type in _ft_new_face

 poppler/CairoFontEngine.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0b5ee897a24ce1edfca19a3b843f9b7ee7026d07
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Oct 31 20:55:14 2008 +1030

    Refactor CairoFont
    
    Create a CairoFreeType subclass and move the FreeType specific code
    into it.

 poppler/CairoFontEngine.cc |  197 +++++++++++++++++++++++++-------------------
 poppler/CairoFontEngine.h  |   26 +++++--
 2 files changed, 131 insertions(+), 92 deletions(-)

commit a5865dae5b414de5f6dbda2a512101050c374e06
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Oct 28 10:30:59 2008 +0100

    [glib] Add DISABLE_SINGLE_INCLUDES flags and fix glib-demo

 configure.ac            |    4 ++++
 glib/Makefile.am        |    3 ++-
 glib/demo/Makefile.am   |    3 ++-
 glib/demo/annots.h      |    2 +-
 glib/demo/attachments.h |    2 +-
 glib/demo/fonts.h       |    2 +-
 glib/demo/forms.h       |    2 +-
 glib/demo/images.h      |    2 +-
 glib/demo/info.h        |    2 +-
 glib/demo/links.h       |    2 +-
 glib/demo/outline.h     |    2 +-
 glib/demo/page.h        |    2 +-
 glib/demo/render.h      |    2 +-
 glib/demo/transitions.h |    2 +-
 glib/demo/utils.h       |    2 +-
 15 files changed, 20 insertions(+), 14 deletions(-)

commit e07bfb54b77430e10e50c33151cf0afc9854006c
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 28 10:29:51 2008 +0100

    [glib] Fix build when compiling with GTK_DISABLE_SINGLE_INCLUDES

 glib/poppler-page.h |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit a84d272ffd2b593ac98148e71b83fba299c60fea
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Oct 28 10:01:00 2008 +0100

    [glib] Add disable deprecated compile flags and fix compile warnings

 configure.ac            |    6 ++++++
 glib/Makefile.am        |    3 ++-
 glib/demo/Makefile.am   |    4 +++-
 glib/demo/attachments.c |    4 ++--
 4 files changed, 13 insertions(+), 4 deletions(-)

commit 43f2b84a81625abee84c93cdced7fb92c99cd944
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 21 23:00:55 2008 +0200

    [Qt4] Small docu improvement

 qt4/src/poppler-qt4.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 00f9995b4960575cd1f392474c585f2140c8e587
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 12 14:20:01 2008 +0200

    Do not crash if there is not font
    
    See bug 18023 for more info

 poppler/TextOutputDev.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 084cc4335cfe2c0e66219eba4c1177ee7ff018c5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 10 23:15:35 2008 +0200

    obj4 should be the index 1 on the Array, not the 0, that's already obj3

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d7442c90206d4b7a8ebc58f995647eb87ac35f42
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 9 22:53:00 2008 +0200

    If Name is a Ref we want to get the String it references, not the Ref

 poppler/OptionalContent.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 93f8dd9e837557bbfc0f058a664c356e3d6e82c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 9 21:28:27 2008 +0200

    Poppler 0.10.0

 CMakeLists.txt   |    2 +-
 NEWS             |   16 ++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 22 insertions(+), 6 deletions(-)

commit cdd9bf016de0d3f96b1d5e304c9d02f2bf71ff18
Author: Mark Kaplan <mkaplan@finjan.com>
Date:   Wed Oct 8 22:29:11 2008 +0200

    Initialize properly OptionalContentGroup::m_name

 poppler/OptionalContent.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c7b87f3b8cbbcca29a1974debc2233f621a2e33b
Author: Carlo Bramini <carlo.bramix@libero.it>
Date:   Mon Oct 6 19:32:27 2008 +0200

    Fix link on Mingw+Msys

 test/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e92255296511cae9cbbac8de800d8b26e5f681f1
Author: Pino Toscano <pino@kde.org>
Date:   Sun Oct 5 15:57:06 2008 +0200

    [Qt4] when the PDF exporting fails, delete the file if it was created by
    the (failed) exporting

 qt4/src/poppler-pdf-converter.cc |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 360f470b852e37d400949343763a18bf598820e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 20:04:44 2008 +0200

    Remove unused var

 poppler/Annot.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit df7317f1320513b4f66cb6618d753b82042671f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 19:48:57 2008 +0200

    free the object

 poppler/PDFDoc.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9946d9af9dd5d5b96d5c777413a3e253dfd1f291
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 19:39:46 2008 +0200

    If we try saving a document that was encrypted, we break everything, so just fail early

 poppler/PDFDoc.cc |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 108959432af7714cb8ffe42d98d40c97f936a2e6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 19:39:24 2008 +0200

    Correctly return wheter it was saved or not

 qt4/src/poppler-pdf-converter.cc |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 4c6cb1c204d782e2ac2113b57f6d372b4716017d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 01:46:58 2008 +0200

    Remove spurious //

 fofi/FoFiType1.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e8e7809ab4b115cbe67251da12989fc024912514
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 01:43:02 2008 +0200

    There are files that have more than one encoding definition per line, make them work
    
    Fixes bug 17018, while at it, i've added some comments and some error() to make things a bit clearer

 fofi/FoFiType1.cc |   28 ++++++++++++++++++++++++----
 1 files changed, 24 insertions(+), 4 deletions(-)

commit 7604e025038fee24c2cb3001f2100d5d1e48efe1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 00:35:46 2008 +0200

    Fix Poppler::Link::linkArea for rotated pages
    
    we suck :-( Fixes kde bug 172105

 qt4/src/poppler-link-extractor.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 450b21e4528a8e890d3dda37ecb0a68602f8efaa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 1 00:46:29 2008 +0200

    I've changed these files this year too, update copyright

 goo/gmem.cc |    2 +-
 goo/gmem.h  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 98310ca24841789cf53b10d34e271ceb4e054001
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 30 23:59:43 2008 +0200

    Fix StitchingFunction(StitchingFunction *func) and GfxAxialShading(GfxAxialShading *shading)
    
    Fixes bug 17852

 poppler/Function.cc |    2 ++
 poppler/GfxState.cc |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit d12f5f4395eb18f8d29182e24acddd3e2b5cfe88
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 30 23:20:26 2008 +0200

    0.9.3

 CMakeLists.txt   |    2 +-
 NEWS             |   17 +++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 23 insertions(+), 6 deletions(-)

commit d61e464754521555a06ed0901955f49be4def29a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 30 19:26:17 2008 +0200

    Timothy also agreed, now Ed Catmur is the last one missing to answer

 utils/ImageOutputDev.cc |    3 +++
 utils/ImageOutputDev.h  |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 3225f54fea7cbb6b25d7223268cdeccfdd823375
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 30 00:27:49 2008 +0200

    And Marco said yes to GPLv2+
    
    Only Timothy Lee and Ed Catmur left :-)

 poppler/Catalog.cc |    3 +++
 poppler/Outline.cc |    3 +++
 poppler/Outline.h  |    3 +++
 splash/Splash.cc   |    3 +++
 splash/Splash.h    |    3 +++
 5 files changed, 15 insertions(+), 0 deletions(-)

commit 268d803c9dd67b7f78f8dcdc3c7653c8b2c2d08f
Author: Warren Toomey <wkt@tuhs.org>
Date:   Mon Sep 29 21:14:40 2008 +0200

    Let HmtlOutputDev process images

 utils/HtmlOutputDev.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a29984ab777c64a1cb286b667a6a91ad9b191f40
Merge: f399afe 6865872
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 28 23:39:08 2008 +0200

    Merge branch 'master' of ssh://pino@git.freedesktop.org/git/poppler/poppler

commit f399afe6f6b9c250327d0e4c5b3f2839889d7095
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 28 23:38:34 2008 +0200

    [Qt4] various apidox improvements

 qt4/src/Mainpage.dox   |   10 +---
 qt4/src/poppler-link.h |   92 +++++++++++++++++++++++++++++++++---
 qt4/src/poppler-qt4.h  |  121 ++++++++++++++++++++++++++++++++---------------
 3 files changed, 168 insertions(+), 55 deletions(-)

commit 68658721583b05ebacb1165ac36e91d49735bbd9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 28 19:29:06 2008 +0200

    If tables is null, don't try to write to file as it'll crash, fixes crash on 17811 when using cairooutputdev

 fofi/FoFiTrueType.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3cb5b7fc5ae168ef58fd1905f61c1b9abe6cb86c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 28 19:25:53 2008 +0200

    Introduce greallocn_checkoverflow and use it in FoFiTrueType::parse
    
    Fixes the other part of bug 17811

 fofi/FoFiTrueType.cc |    4 ++--
 goo/gmem.cc          |   21 +++++++++++++++++++++
 goo/gmem.h           |    1 +
 3 files changed, 24 insertions(+), 2 deletions(-)

commit aa7ef03af49f74ed558dcbab8ad4c594bb2b7d53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 28 19:24:43 2008 +0200

    If libjpeg tells us to abort, let's abort :D
    
    Fixes part of bug 17811

 poppler/DCTStream.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e2461c9aa4d74b5511621d7222979948e31541ad
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 28 18:07:25 2008 +0200

    [Qt4] Activate the 'printing' flag by default in the PSConverter.

 qt4/src/poppler-ps-converter.cc |    2 +-
 qt4/src/poppler-qt4.h           |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 957d7acb66635e9748c6bc7a31cdbbcbb8da9011
Author: Carlo Bramini <carlo.bramix@libero.it>
Date:   Sat Sep 27 17:23:20 2008 +0200

    Misc mingw fixes

 configure.ac      |    2 +-
 glib/Makefile.am  |    2 +-
 glib/demo/info.cc |    1 +
 m4/libjpeg.m4     |    2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

commit b3828203c4e594754957033ea826e8e22164fd5b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 26 23:08:14 2008 +0200

    Carl agreed too, so CairoOutputDev.cc is done
    
    Only miss, Marco Pesenti Gritti, Timothy Lee and Ed Catmur

 poppler/CairoOutputDev.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a197a07728d19abc2708979c95b4ef53e88fcb55
Author: Carlo Bramini <carlo.bramix@libero.it>
Date:   Fri Sep 26 18:42:05 2008 +0200

    Compile where localtime_r is not available

 glib/demo/info.cc |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 38884e1722ac7e15c62cece20035c5fb0020f4b3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 24 14:18:38 2008 +0200

    Do what Jeff really want to do, mark the font as invalid if it matches any of the known collections that Identity is not a good fallback
    
    Fixes pdf on KDE bug 171365

 poppler/GfxFont.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e080aaf44816e5d5b9008f3c2fb54868932f0ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 24 13:12:13 2008 +0200

    Remove non-needed X includes
    
    Spotted by Carlo Bramini

 test/gtk-cairo-test.cc |    3 ---
 test/pdf-inspector.cc  |    3 ---
 2 files changed, 0 insertions(+), 6 deletions(-)

commit 6888b023fdb199d3c5fb705bd928aedf68eeffdb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 23 23:28:04 2008 +0200

    Only do the scale to 'm' size trick on non embedded fonts as it was meant to be
    
    Fixes bug 17744

 poppler/SplashOutputDev.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 539d29f4f3b24b98c9fc5f88d3477e427fbe409d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 23 22:39:50 2008 +0200

    0.9.2

 CMakeLists.txt   |    2 +-
 NEWS             |   19 +++++++++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 25 insertions(+), 6 deletions(-)

commit abd070a79d8345bda3853395a39e4e2882c4ff8a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 22 20:23:11 2008 +0200

    Check the types here too
    
    Benchmarking in release mode, both in "human feel" and callgrind the benefit/lost is almost inexistant

 poppler/Object.h |   36 ++++++++++++++++++++++--------------
 1 files changed, 22 insertions(+), 14 deletions(-)

commit df47e4c441e4ec79b1bb40de7044c9501f243b76
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 16 12:56:04 2008 +0100

    Check for duplicate open fonts.
    
    Before creating a new FT_Face for a font, check to see if there is a
    duplicate amongst the list of open fonts, kept alive by either Poppler's
    or Cairo's font cache .
    
    A quick example of the benefit of this check is that it reduces the RSS of
    the Poppler converter in the Cairo test suite from over 900 MiB to just 90
    MiB.

 configure.ac               |    1 +
 poppler/CairoFontEngine.cc |  214 ++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 190 insertions(+), 25 deletions(-)

commit 41d1edddcf84ca23c0fc39c5f4f3a49e408a9f1a
Author: Kouhei Sutou <kou@cozmixng.org>
Date:   Sun Sep 21 16:33:33 2008 +0200

    [glib-demo] Fix a crash in forms demo

 glib/demo/forms.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit fe26075353226be9a02c8cf1a6a29586de15ce86
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 21 12:03:21 2008 +0200

    really use the key passed to it

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8aa531cb478d6ae838a94f9f31e6a0bbd0dd957c
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 21 11:18:22 2008 +0200

    Read the 'readOnly' attribute directly in the FormField constructor.

 poppler/Form.cc |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

commit b56f64d676bdabd4a3ebe0eb2237f4c202a3707d
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 21 00:53:54 2008 +0200

    Handle streams as entries for the catalog JS name tree.

 poppler/Catalog.cc |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit 93386d67b3d7adbd87547e9742e4df1c10eadbc1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 20 16:20:03 2008 +0200

    Compile with -pedantic

 poppler/Form.h                  |    4 ++--
 qt4/src/poppler-embeddedfile.cc |    4 ++--
 qt4/src/poppler-movie.cc        |    3 ++-
 qt4/src/poppler-sound.cc        |    3 ++-
 qt4/src/poppler-textbox.cc      |    2 +-
 5 files changed, 9 insertions(+), 7 deletions(-)

commit 6961fd8efe3db6ee7077dc2ed072498696dae31a
Author: Tomas Are Haavet <tomasare@gmail.com>
Date:   Sat Sep 20 16:13:37 2008 +0200

    Remove some warnings and errors when compiling with gcc and -pedantic

 fofi/FoFiTrueType.cc       |    3 ++-
 glib/poppler-annot.cc      |    8 ++++----
 glib/poppler-attachment.cc |    2 +-
 glib/poppler-document.cc   |    6 +++---
 glib/poppler-form-field.cc |    2 +-
 glib/poppler-page.cc       |    2 +-
 poppler/Annot.h            |    5 +++--
 splash/SplashTypes.h       |    3 ++-
 8 files changed, 17 insertions(+), 14 deletions(-)

commit 4e9a04da358b1527a08102e601a52f07930532f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 20 16:10:50 2008 +0200

    Add mention of GPLv2 or later in poppler changes to all files except Splash.cc and Splash.h, i've still no answer from Marco :-(

 splash/SplashBitmap.cc       |    3 +++
 splash/SplashBitmap.h        |    3 +++
 splash/SplashErrorCodes.h    |    3 +++
 splash/SplashFTFont.cc       |    3 +++
 splash/SplashFTFont.h        |    3 +++
 splash/SplashFTFontEngine.cc |    3 +++
 splash/SplashFTFontEngine.h  |    3 +++
 splash/SplashFTFontFile.cc   |    3 +++
 splash/SplashFTFontFile.h    |    3 +++
 splash/SplashFont.cc         |    3 +++
 splash/SplashFont.h          |    3 +++
 splash/SplashFontEngine.cc   |    3 +++
 splash/SplashFontEngine.h    |    3 +++
 splash/SplashFontFile.cc     |    3 +++
 splash/SplashFontFile.h      |    3 +++
 splash/SplashT1Font.cc       |    3 +++
 splash/SplashT1Font.h        |    3 +++
 splash/SplashT1FontEngine.cc |    3 +++
 splash/SplashT1FontFile.cc   |    3 +++
 splash/SplashT1FontFile.h    |    3 +++
 splash/SplashTypes.h         |    3 +++
 splash/SplashXPathScanner.cc |    3 +++
 22 files changed, 66 insertions(+), 0 deletions(-)

commit beb87362072d5b480cf6b2c02445ec17c119ff56
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 20 15:47:25 2008 +0200

    Add Tomas' Copyright

 utils/HtmlFonts.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8ccb1bb651b129875ef802356c4a229b2ce31973
Author: Tomas Are Haavet <tomasare@gmail.com>
Date:   Sat Sep 20 15:45:47 2008 +0200

    Initialize pos the correct value to not have crashes

 utils/HtmlFonts.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 77bf8ec94e36fef7e120f1dc4bb1390be71cfb97
Author: Tomas Are Haavet <tomasare@gmail.com>
Date:   Sat Sep 20 14:17:06 2008 +0200

    Fix memory leak

 utils/HtmlOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b22be54dc2205269974315ca748d835d0990d6da
Author: Tomas Are Haavet <tomasare@gmail.com>
Date:   Sat Sep 20 14:16:26 2008 +0200

    Fix mismatched free/delete

 utils/HtmlOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ac16174da1d6f19445f78e7cd7c4a18cb9524dde
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 20 00:52:19 2008 +0200

    make sure the image is setup before using it, otherwise some things don't print correctly like PDF from bug 17645

 poppler/PSOutputDev.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ffa4ffdf7fe83035c72addd8c4c8ee566621ba06
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 17 23:27:30 2008 +0200

    0.9.1

 CMakeLists.txt   |    2 +-
 NEWS             |   13 +++++++++++++
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 19 insertions(+), 6 deletions(-)

commit f57cbe32bcde0808943b9be2456dd69fa5b6dd27
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 14 22:18:38 2008 +0200

    If when looking for an object we get objSomeNumberAfter assume it was an int of SomeNumberAfter
    
    Fixes bug 17568 and i don't see how it can break existing things because it's already on an error path

 poppler/XRef.cc |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 1a852064ff5a1a15bc315ddca472a0ad74292581
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Sep 13 12:11:41 2008 +0200

    [glib-demo] Do not try to get info about remote destinations

 glib/demo/utils.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 951cffeb2cbff4e179043033b5ac7f5eb764d6dc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 12 12:05:53 2008 +0200

    Make sure DecryptAESState::bufIdx is never bigger than 16, otherwise we crash
    
    I am not sure this is the correct fix, but fixes crash on files of bugs 13972, 16092 and 17523 and they seem to work ok

 poppler/Decrypt.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 491109edbe827860e764b5fcb67456867923858d
Author: Haruyuki Kawabe <Haruyuki.Kawabe@unisys.co.jp>
Date:   Wed Sep 10 23:00:32 2008 +0200

    Generate the outline file at the same place the other files are generated
    
    Fixes bug 17504

 utils/HtmlOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7dfc1e4c9348d537896bda7b0f2ae591afc72866
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 10 00:03:50 2008 +0200

    we want to distribute this file too

 qt4/src/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ddb73e8dc1ccbddf3b170e12c7153ccaf716d7cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 23:47:33 2008 +0200

    We want to distribute cmake/modules/FindLIBOPENJPEG.cmake too

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 646ccc2bb8563d411dc25bdbab53725ae08572ba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 23:22:17 2008 +0200

    m_doc->doc->getOptContentConfig() can be null, so check for it

 qt4/src/poppler-document.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d7f0bce67101f37f8d3e69d7d701388bcdc7200f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 23:18:49 2008 +0200

    Qt4 frontend had timezone parsing that got lost when moving to the common function, i suck

 glib/poppler-document.cc    |    6 ++++--
 poppler/DateInfo.cc         |   20 ++++++++++++++------
 poppler/DateInfo.h          |    2 +-
 qt/poppler-document.cc      |    6 ++++--
 qt4/src/poppler-document.cc |   22 +++++++++++++++++++---
 utils/pdfinfo.cc            |    6 ++++--
 utils/pdftohtml.cc          |    6 ++++--
 7 files changed, 50 insertions(+), 18 deletions(-)

commit 0af8609e6c932de2d85168cc9147854ee84b3a1b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 20:55:27 2008 +0200

    i want this packaged too

 utils/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit dd0f4c1510382e17cf33d3fe163e384da1d6d289
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 20:48:04 2008 +0200

    Fix includepath

 fofi/FoFiTrueType.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 16c0842c3e01608a72709af55cc5cb8b567efedf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 9 20:36:18 2008 +0200

    API changed, so increase soname

 glib/CMakeLists.txt |    2 +-
 glib/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 217c0d1f80a78713977a7bfbe680fce90f1c6b36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 8 23:56:28 2008 +0200

    change version to 0.9.0
    
    Now only need to wait for Carlos and Iñigo's answer to a BIC change in glib/ and we'll have 0.9.0 :-)

 CMakeLists.txt   |    2 +-
 configure.ac     |    2 +-
 msvc/config.h    |    6 +++---
 qt4/src/Doxyfile |    2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit e34022a8fcfb9fe211dd6b561377d855972b2087
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 8 23:36:04 2008 +0200

    Increase soname for libpoppler, i'm almost sure we broke BC there

 CMakeLists.txt      |    2 +-
 poppler/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bc275049d6ef083daf71a043ccf23fd0634f5c4d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 8 23:33:24 2008 +0200

    soname 3.1.0 for qt4 libs, we are BC/SC but got new API

 qt4/src/CMakeLists.txt |    2 +-
 qt4/src/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 06743a25a73adc3fba95f7b4ad74a6dde1a54ead
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 8 23:23:06 2008 +0200

    added news for 0.9.0

 NEWS |  115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 115 insertions(+), 0 deletions(-)

commit d35ca2ce5df12d40e295873e44b1f18ea40ba897
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 7 01:13:33 2008 +0200

    [Qt4] apidox improvements

 qt4/src/poppler-annotation.h |   70 +++++++++++++++++++++++++++++++++++++++--
 qt4/src/poppler-link.h       |   12 +++++--
 qt4/src/poppler-qt4.h        |   22 +++++++++++--
 3 files changed, 93 insertions(+), 11 deletions(-)

commit 796d4c002d47c85716775d173eddfb2ae8866eaf
Author: Pino Toscano <pino@kde.org>
Date:   Sat Sep 6 22:48:13 2008 +0200

    no more need for including the qt3 paths

 qt4/demos/CMakeLists.txt |    1 -
 qt4/src/CMakeLists.txt   |    1 -
 qt4/tests/CMakeLists.txt |    1 -
 3 files changed, 0 insertions(+), 3 deletions(-)

commit db7ee3b3ae0f42155f9245691e4bfdef98a8ed6f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 6 23:16:05 2008 +0200

    [Qt4] Fix docu

 qt4/src/poppler-qt4.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3366059a25611f19ab592cda18c5efe0b9359771
Author: Pino Toscano <pino@kde.org>
Date:   Sat Sep 6 16:34:58 2008 +0200

    [Qt4] add option flags for the PS converter
    
    - map the 'strictMargins' and 'forceRasterize' bool options as flags
    - add a flag for setting the "printing" mode

 qt4/src/poppler-ps-converter.cc |   34 ++++++++++++++++++++++++++--------
 qt4/src/poppler-qt4.h           |   26 ++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 8 deletions(-)

commit afa26d5c9ac9feb61aad30eb65dc00c9854d7f2e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 6 15:46:12 2008 +0200

    we are printing so pass the print flag as true

 qt/poppler-document.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f5d1eb5eaabaf3ab4bb87b8b4b901bbf30b20b29
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 6 15:43:32 2008 +0200

    We are pringint here, so pass the printing flag as true
    
    Fixes KDE bug 170459, you'd wonder how many times i've made the same mistake...

 qt4/src/poppler-ps-converter.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58e828d732f06bae9133dd518d89fa4348f1cca8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 5 18:45:23 2008 +0200

    Only like QtTest to the tests, not to the lib itself

 configure.ac          |   13 +++++++++++--
 qt4/tests/Makefile.am |   22 +++++++++++-----------
 2 files changed, 22 insertions(+), 13 deletions(-)

commit 49b3e4560f62a9a7db350d94d50e229f5e1208bf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Sep 5 18:17:45 2008 +0200

    Movie filename is not a string, but a File Specification
    
    Fixes a crash when filename is a dictionary

 poppler/Annot.cc |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 996d2e176057e22acbc374cff7a712ce6fd92d93
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Sep 5 18:17:25 2008 +0200

    Unify multiple File Specification parsers

 CMakeLists.txt         |    2 +
 poppler/FileSpec.cc    |  146 ++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/FileSpec.h     |   24 ++++++++
 poppler/Link.cc        |  104 +++++-----------------------------
 poppler/Link.h         |    4 -
 poppler/Makefile.am    |    2 +
 poppler/PSOutputDev.cc |   35 +-----------
 poppler/PSOutputDev.h  |    1 -
 poppler/Sound.cc       |    7 ++-
 9 files changed, 197 insertions(+), 128 deletions(-)

commit 31f3eb2d6b43f7fbf4d978730d109b08b1563989
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 3 21:49:23 2008 +0200

    Only set the state to true if the AS value is the same as parent's V
    
    Fixes bug 16121 and 15535

 poppler/Form.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit c75abac7ba07990ef54a46fa0d429eea580a71ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 2 19:16:55 2008 +0200

    Kjartan was missing and just agreed

 utils/HtmlOutputDev.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 630aa133017d15ddc7bf96c79f43c5b60fa9749a
Merge: b2bc9b3 de82255
Author: Pino Toscano <pino@kde.org>
Date:   Tue Sep 2 01:25:55 2008 +0200

    Merge branch 'master' of ssh://pino@git.freedesktop.org/git/poppler/poppler

commit b2bc9b3f59ef8e5fea18f0bc91b71fc9eb9a4157
Author: Pino Toscano <pino@kde.org>
Date:   Tue Sep 2 01:24:39 2008 +0200

    [Qt4] small apidox improvements
    
    mostly the start of the \since marker addition, plus few other
    documentation addition/improvements

 qt4/src/poppler-annotation.h |    9 ++++++
 qt4/src/poppler-form.h       |    8 +++++
 qt4/src/poppler-link.h       |   14 ++++++++--
 qt4/src/poppler-optcontent.h |   11 ++++++++
 qt4/src/poppler-qt4.h        |   59 ++++++++++++++++++++++++++++++++++++-----
 5 files changed, 90 insertions(+), 11 deletions(-)

commit 6bc4881477ea15d70d420e57b5663052f2f9df76
Author: Pino Toscano <pino@kde.org>
Date:   Tue Sep 2 00:47:56 2008 +0200

    expand the macros, extract poppler-optcontent.h
    
    enable the macro expansion and define POPPLER_QT4_EXPORT to be empty, so
    we don't have it in the apidox

 qt4/src/Doxyfile |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit de822554acdb1b2bc9e70c0668c43a10c0ec129a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 23:50:37 2008 +0200

    Initialize widget to null before calling initialize not after :-(

 poppler/Annot.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a7b7199112d97e816a099cbc1a5672c83e64156
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:42:06 2008 +0200

    Add my copyright

 poppler/Dict.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1fef34782a003f46fceab0d3bed36212bbf32c4c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:35:37 2008 +0200

    Find reverse way in Dict
    
    This fixes Greg Stolze - Marriage Of Virtue & Viciousness.pdf
    The issue with this pdf is that has a Dict with two entries with the same key
    The pdf spec says if that happens, results are undefined, but Acroread uses the
    second key while we were using the first, searching backwards we use the second now too and the pdf works

 poppler/Dict.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bb7996eaaad6a70404891bb2ff530160737ea3d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:29:25 2008 +0200

    Do not crash on documents with no pages

 qt4/tests/test-poppler-qt4.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 0c11d390e4b0e3765ae20968359c7562c9857db7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:13:33 2008 +0200

    All poppler commiters to these files agreed to GPLv2+
    
    Still missing to answer
    Marco Pesenti Gritti
    	Catalog.cc
    	Outline.cc
    	Outline.h
    
    Kjartan Maraas
    	HtmlOutputDev.cc
    
    Timothy Lee
    	ImageOutputDev.h
    	ImageOutputDev.cc
    
    Carl Worth
    	CairoOutputDev.cc
    
    Ed Catmur
    	GfxFont.cc
    	GlobalParams.cc
    	TextOutputDev.cc
    	TextOutputDev.h
    	UnicodeTypeTable.cc
    	UnicodeTypeTable.h

 poppler/Annot.cc             |    3 +++
 poppler/Annot.h              |    3 +++
 poppler/Array.cc             |    3 +++
 poppler/Array.h              |    3 +++
 poppler/ArthurOutputDev.cc   |    3 +++
 poppler/ArthurOutputDev.h    |    3 +++
 poppler/CMap.cc              |    3 +++
 poppler/CMap.h               |    3 +++
 poppler/CairoFontEngine.cc   |    3 +++
 poppler/CairoFontEngine.h    |    3 +++
 poppler/CairoOutputDev.h     |    3 +++
 poppler/Catalog.h            |    3 +++
 poppler/CharCodeToUnicode.cc |    3 +++
 poppler/CharCodeToUnicode.h  |    3 +++
 poppler/Decrypt.cc           |    3 +++
 poppler/Decrypt.h            |    3 +++
 poppler/Dict.cc              |    3 +++
 poppler/Dict.h               |    3 +++
 poppler/Error.cc             |    3 +++
 poppler/Error.h              |    3 +++
 poppler/Function.cc          |    3 +++
 poppler/Gfx.cc               |    3 +++
 poppler/Gfx.h                |    3 +++
 poppler/GfxFont.h            |    3 +++
 poppler/GfxState.cc          |    3 +++
 poppler/GfxState.h           |    3 +++
 poppler/GlobalParams.h       |    3 +++
 poppler/JBIG2Stream.cc       |    3 +++
 poppler/JPXStream.cc         |    3 +++
 poppler/Lexer.cc             |    3 +++
 poppler/Lexer.h              |    3 +++
 poppler/Link.cc              |    3 +++
 poppler/Link.h               |    3 +++
 poppler/Object.cc            |    3 +++
 poppler/Object.h             |    3 +++
 poppler/OutputDev.cc         |    3 +++
 poppler/OutputDev.h          |    3 +++
 poppler/PDFDoc.cc            |    3 +++
 poppler/PDFDoc.h             |    3 +++
 poppler/PDFDocEncoding.cc    |    3 +++
 poppler/PDFDocEncoding.h     |    3 +++
 poppler/PSOutputDev.cc       |    3 +++
 poppler/PSOutputDev.h        |    3 +++
 poppler/PSTokenizer.cc       |    3 +++
 poppler/PSTokenizer.h        |    3 +++
 poppler/Page.cc              |    3 +++
 poppler/Page.h               |    3 +++
 poppler/Parser.cc            |    3 +++
 poppler/Parser.h             |    3 +++
 poppler/SplashOutputDev.cc   |    3 +++
 poppler/SplashOutputDev.h    |    3 +++
 poppler/Stream-CCITT.h       |    3 +++
 poppler/Stream.cc            |    3 +++
 poppler/Stream.h             |    3 +++
 poppler/UTF8.h               |    3 +++
 poppler/XRef.cc              |    3 +++
 poppler/XRef.h               |    3 +++
 utils/HtmlFonts.cc           |    3 +++
 utils/HtmlLinks.cc           |    3 +++
 utils/HtmlOutputDev.h        |    3 +++
 utils/parseargs.c            |    3 +++
 utils/parseargs.h            |    3 +++
 utils/pdffonts.cc            |    3 +++
 utils/pdfimages.cc           |    3 +++
 utils/pdfinfo.cc             |    3 +++
 utils/pdftohtml.cc           |    3 +++
 utils/pdftoppm.cc            |    3 +++
 utils/pdftops.cc             |    3 +++
 utils/pdftotext.cc           |    3 +++
 69 files changed, 207 insertions(+), 0 deletions(-)

commit 8670bfed7900586725b30e3af67f6849acc6efda
Author: Vasile Gaburici <gaburici@cs.umd.edu>
Date:   Sat Aug 30 12:47:13 2008 +0200

    Fix extraction of images
    
    See bug 16999 for more info

 utils/ImageOutputDev.cc |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 1c98f197664b1a2c06e2caf32116a8487f4054bf
Author: Vasile Gaburici <gaburici@cs.umd.edu>
Date:   Sat Aug 30 12:44:02 2008 +0200

    Read sMap reverse so CMap entries take precedence
    
    See bug 17321 for a more in depth explanation

 poppler/CharCodeToUnicode.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8f1deb3f8000bdeb845a6c786a654bc7eb684f0a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 29 23:06:19 2008 +0200

    Are we a lib or aren't we? Unify String to Date parsing so we all behave the same way

 CMakeLists.txt                      |    2 +
 glib/poppler-document.cc            |   29 ++--------------
 poppler/DateInfo.cc                 |   62 +++++++++++++++++++++++++++++++++++
 poppler/DateInfo.h                  |   27 +++++++++++++++
 poppler/Makefile.am                 |    2 +
 qt/poppler-document.cc              |   22 +-----------
 qt4/src/poppler-annotation-helper.h |   16 +--------
 qt4/src/poppler-document.cc         |   52 +++--------------------------
 utils/pdfinfo.cc                    |   16 ++-------
 utils/pdftohtml.cc                  |    9 ++---
 10 files changed, 111 insertions(+), 126 deletions(-)

commit c39f23dca98d3efe8d094c9a3e1bd460ba57d1ce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 29 20:50:57 2008 +0200

    Add a readme for contributors with licensing and misc info

 README.contributors |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 35a72590ffd3284e63601af79599e5fa025e567f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 28 00:58:11 2008 +0200

    Be more protective against huge font sizes in bogus documents like the one in http://bugs.freedesktop.org/show_bug.cgi?id=17326
    
    10 MB in size is a font of 3200x3200, huge enough to be discarted

 poppler/SplashOutputDev.cc |   20 +++++++++++++++++++-
 1 files changed, 19 insertions(+), 1 deletions(-)

commit 33727cf6773b12d736ba245fdd146559ce93102d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 20:36:13 2008 +0200

    fix location of the comment

 fofi/FoFiType1.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit abe29b4fdb33f449649fdea5d7af2deeb702f0bb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 20:24:35 2008 +0200

    All changes made to fofi/ files under the poppler project are by people that accepts to license the code under GPLv2+

 fofi/FoFiBase.cc     |    3 +++
 fofi/FoFiTrueType.cc |    3 +++
 fofi/FoFiTrueType.h  |    3 +++
 fofi/FoFiType1.cc    |    3 +++
 fofi/FoFiType1C.h    |    3 +++
 5 files changed, 15 insertions(+), 0 deletions(-)

commit 6346d7050a03935c71336c65d5f8f0fe2860d321
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 20:23:50 2008 +0200

    All changes made to goo/ files under the poppler project are by people that accepts to license the code under GPLv2+

 goo/GooString.cc |    3 +++
 goo/GooString.h  |    3 +++
 goo/gfile.cc     |    3 +++
 goo/gfile.h      |    3 +++
 goo/gmem.cc      |    3 +++
 goo/gmem.h       |    3 +++
 6 files changed, 18 insertions(+), 0 deletions(-)

commit d6e1f1fb4e83527d3ece51d98fa20262713b7da1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 20:22:06 2008 +0200

    .cc -> .h

 poppler/FontInfo.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9f0ac70f7ad806cadce379d4fabb90eff697ad52
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 19:25:27 2008 +0200

    Add missing addresses

 poppler/ABWOutputDev.cc |    4 ++--
 poppler/ABWOutputDev.h  |    2 +-
 poppler/FlateStream.cc  |    2 +-
 poppler/FlateStream.h   |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 22f6af73961686895f207fe13022a21333455862
Merge: 12a9e42 6d6913a
Author: Pino Toscano <pino@kde.org>
Date:   Sun Aug 24 19:03:24 2008 +0200

    Merge branch 'master' of ssh://pino@git.freedesktop.org/git/poppler/poppler

commit 12a9e427fb487165b1797f81d52d733c27bfa2e1
Author: Pino Toscano <pino@kde.org>
Date:   Sun Aug 24 18:57:52 2008 +0200

    [Qt4] add showControl and playMode properties of MovieObject's

 qt4/src/poppler-movie.cc |   14 ++++++++++++++
 qt4/src/poppler-qt4.h    |   20 ++++++++++++++++++++
 2 files changed, 34 insertions(+), 0 deletions(-)

commit c444c652859b6e52160e5571e84f8eb1292d65f1
Author: Pino Toscano <pino@kde.org>
Date:   Sun Aug 24 18:47:58 2008 +0200

    [Qt4] make the MovieObject ctor private, with only Page able to use it

 qt4/src/poppler-qt4.h |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 6d6913a79779769ce0fe2f0b516a90a50e51b947
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 18:45:45 2008 +0200

    fix Jeff's entry

 poppler/DCTStream.cc |    2 +-
 poppler/DCTStream.h  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 25bd5967f9f550a32e20eea91cd00cbeff98249e
Author: Pino Toscano <pino@kde.org>
Date:   Sun Aug 24 18:45:25 2008 +0200

    [Qt4] initialize the MovieObject from an AnnotMovie
    
    the annotation has all the data we need, so just init from that

 qt4/src/poppler-movie.cc |    8 ++++----
 qt4/src/poppler-page.cc  |    4 +---
 qt4/src/poppler-qt4.h    |    4 ++--
 3 files changed, 7 insertions(+), 9 deletions(-)

commit 47f54ad4de111f62a5b8c25520ef6b2bca6026d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 24 18:18:13 2008 +0200

    Add more correct copyright statements on fofi, goo, poppler and util directories to be more compliant with GPL that requires such modification statements to be present. Meanwhile i did that, i did qt and qt4 dirs too, glib is missing if someone wants to fix it, but it's not crucial as it's not a fork of some other GPL software

 AUTHORS                                  |    4 +++-
 fofi/FoFiBase.cc                         |   11 +++++++++++
 fofi/FoFiTrueType.cc                     |   14 ++++++++++++++
 fofi/FoFiTrueType.h                      |   12 ++++++++++++
 fofi/FoFiType1.cc                        |   12 ++++++++++++
 fofi/FoFiType1C.h                        |   11 +++++++++++
 goo/GooString.cc                         |   13 +++++++++++++
 goo/GooString.h                          |   12 ++++++++++++
 goo/GooTimer.cc                          |    3 +++
 goo/GooTimer.h                           |    8 ++++++--
 goo/GooVector.h                          |   12 ++++++++++++
 goo/gfile.cc                             |   13 +++++++++++++
 goo/gfile.h                              |   11 +++++++++++
 goo/gmem.cc                              |   13 +++++++++++++
 goo/gmem.h                               |   13 +++++++++++++
 poppler/ABWOutputDev.cc                  |    3 ++-
 poppler/ABWOutputDev.h                   |    2 +-
 poppler/Annot.cc                         |   19 +++++++++++++++++++
 poppler/Annot.h                          |   17 +++++++++++++++++
 poppler/Array.cc                         |   11 +++++++++++
 poppler/Array.h                          |   11 +++++++++++
 poppler/ArthurOutputDev.cc               |   14 +++++++++++++-
 poppler/ArthurOutputDev.h                |   13 ++++++++++++-
 poppler/CMap.cc                          |   12 ++++++++++++
 poppler/CMap.h                           |   11 +++++++++++
 poppler/CairoFontEngine.cc               |   17 +++++++++++++++++
 poppler/CairoFontEngine.h                |   17 +++++++++++++++++
 poppler/CairoOutputDev.cc                |   19 +++++++++++++++++++
 poppler/CairoOutputDev.h                 |   16 ++++++++++++++++
 poppler/Catalog.cc                       |   19 +++++++++++++++++++
 poppler/Catalog.h                        |   16 ++++++++++++++++
 poppler/CharCodeToUnicode.cc             |   14 ++++++++++++++
 poppler/CharCodeToUnicode.h              |   13 +++++++++++++
 poppler/DCTStream.cc                     |    5 ++++-
 poppler/DCTStream.h                      |    6 +++++-
 poppler/Decrypt.cc                       |   12 ++++++++++++
 poppler/Decrypt.h                        |   11 +++++++++++
 poppler/Dict.cc                          |   13 +++++++++++++
 poppler/Dict.h                           |   13 +++++++++++++
 poppler/Error.cc                         |   13 +++++++++++++
 poppler/Error.h                          |   13 +++++++++++++
 poppler/FlateStream.cc                   |    2 ++
 poppler/FlateStream.h                    |    2 ++
 poppler/FontInfo.cc                      |   22 ++++++++++++++++++++++
 poppler/FontInfo.h                       |   21 +++++++++++++++++++++
 poppler/Form.cc                          |   10 +++++++++-
 poppler/Form.h                           |    6 +++++-
 poppler/Function.cc                      |   12 ++++++++++++
 poppler/Gfx.cc                           |   23 +++++++++++++++++++++++
 poppler/Gfx.h                            |   13 +++++++++++++
 poppler/GfxFont.cc                       |   19 +++++++++++++++++++
 poppler/GfxFont.h                        |   16 ++++++++++++++++
 poppler/GfxState.cc                      |   14 ++++++++++++++
 poppler/GfxState.h                       |   13 +++++++++++++
 poppler/GlobalParams.cc                  |   19 +++++++++++++++++++
 poppler/GlobalParams.h                   |   15 +++++++++++++++
 poppler/JBIG2Stream.cc                   |   13 +++++++++++++
 poppler/JPXStream.cc                     |   11 +++++++++++
 poppler/Lexer.cc                         |   12 ++++++++++++
 poppler/Lexer.h                          |   12 ++++++++++++
 poppler/Link.cc                          |   14 ++++++++++++++
 poppler/Link.h                           |   12 ++++++++++++
 poppler/Movie.cc                         |   17 ++++++++++++++++-
 poppler/Object.cc                        |   11 +++++++++++
 poppler/Object.h                         |   12 ++++++++++++
 poppler/OptionalContent.cc               |    5 ++++-
 poppler/Outline.cc                       |   11 +++++++++++
 poppler/Outline.h                        |   11 +++++++++++
 poppler/OutputDev.cc                     |   13 +++++++++++++
 poppler/OutputDev.h                      |   14 ++++++++++++++
 poppler/PDFDoc.cc                        |   15 +++++++++++++++
 poppler/PDFDoc.h                         |   15 +++++++++++++++
 poppler/PDFDocEncoding.cc                |   13 ++++++++++++-
 poppler/PDFDocEncoding.h                 |   11 +++++++++++
 poppler/PSOutputDev.cc                   |   15 +++++++++++++++
 poppler/PSOutputDev.h                    |   14 ++++++++++++++
 poppler/PSTokenizer.cc                   |   12 ++++++++++++
 poppler/PSTokenizer.h                    |   11 +++++++++++
 poppler/Page.cc                          |   20 ++++++++++++++++++++
 poppler/Page.h                           |   16 ++++++++++++++++
 poppler/PageLabelInfo.cc                 |   12 ++++++++++++
 poppler/PageLabelInfo.h                  |   12 ++++++++++++
 poppler/PageTransition.h                 |   18 ++++++++++++++++++
 poppler/Parser.cc                        |   12 ++++++++++++
 poppler/Parser.h                         |   11 +++++++++++
 poppler/SplashOutputDev.cc               |   16 ++++++++++++++++
 poppler/SplashOutputDev.h                |   11 +++++++++++
 poppler/Stream-CCITT.h                   |   11 +++++++++++
 poppler/Stream.cc                        |   14 ++++++++++++++
 poppler/Stream.h                         |   13 +++++++++++++
 poppler/TextOutputDev.cc                 |   18 ++++++++++++++++++
 poppler/TextOutputDev.h                  |   15 +++++++++++++++
 poppler/UTF8.h                           |   11 +++++++++++
 poppler/UnicodeTypeTable.cc              |   13 +++++++++++++
 poppler/UnicodeTypeTable.h               |   11 +++++++++++
 poppler/XRef.cc                          |   17 ++++++++++++++++-
 poppler/XRef.h                           |   14 ++++++++++++++
 qt/poppler-document.cc                   |    3 +++
 qt/poppler-fontinfo.cc                   |    3 +--
 qt/poppler-page.cc                       |    7 ++++++-
 qt/poppler-private.h                     |    4 ++++
 qt/poppler-qt.h                          |    5 ++++-
 qt4/src/poppler-annotation-helper.h      |    1 +
 qt4/src/poppler-annotation.cc            |    3 ++-
 qt4/src/poppler-annotation.h             |    4 +++-
 qt4/src/poppler-document.cc              |    4 +++-
 qt4/src/poppler-embeddedfile.cc          |    1 +
 qt4/src/poppler-fontinfo.cc              |    5 ++++-
 qt4/src/poppler-form.cc                  |    2 +-
 qt4/src/poppler-form.h                   |    2 +-
 qt4/src/poppler-link-extractor-private.h |    2 +-
 qt4/src/poppler-link-extractor.cc        |    2 +-
 qt4/src/poppler-link.cc                  |    3 ++-
 qt4/src/poppler-link.h                   |    1 +
 qt4/src/poppler-optcontent-private.h     |    1 +
 qt4/src/poppler-optcontent.cc            |    1 +
 qt4/src/poppler-optcontent.h             |    1 +
 qt4/src/poppler-page-private.h           |    2 ++
 qt4/src/poppler-page.cc                  |    4 ++++
 qt4/src/poppler-private.h                |    4 +++-
 qt4/src/poppler-ps-converter.cc          |    1 +
 qt4/src/poppler-qt4.h                    |    5 ++++-
 qt4/src/poppler-textbox.cc               |    2 ++
 splash/Splash.cc                         |   12 ++++++++++++
 splash/Splash.h                          |   12 ++++++++++++
 splash/SplashBitmap.cc                   |   12 ++++++++++++
 splash/SplashBitmap.h                    |   11 +++++++++++
 splash/SplashErrorCodes.h                |   11 +++++++++++
 splash/SplashFTFont.cc                   |   12 ++++++++++++
 splash/SplashFTFont.h                    |   11 +++++++++++
 splash/SplashFTFontEngine.cc             |   11 +++++++++++
 splash/SplashFTFontEngine.h              |   11 +++++++++++
 splash/SplashFTFontFile.cc               |   11 +++++++++++
 splash/SplashFTFontFile.h                |   11 +++++++++++
 splash/SplashFont.cc                     |   11 +++++++++++
 splash/SplashFont.h                      |   11 +++++++++++
 splash/SplashFontEngine.cc               |   11 +++++++++++
 splash/SplashFontEngine.h                |   11 +++++++++++
 splash/SplashFontFile.cc                 |   12 ++++++++++++
 splash/SplashFontFile.h                  |   12 ++++++++++++
 splash/SplashT1Font.cc                   |   11 +++++++++++
 splash/SplashT1Font.h                    |   11 +++++++++++
 splash/SplashT1FontEngine.cc             |   11 +++++++++++
 splash/SplashT1FontFile.cc               |   11 +++++++++++
 splash/SplashT1FontFile.h                |   11 +++++++++++
 splash/SplashTypes.h                     |   11 +++++++++++
 splash/SplashXPathScanner.cc             |   11 +++++++++++
 utils/HtmlFonts.cc                       |   24 ++++++++++++++++++++++++
 utils/HtmlFonts.h                        |   12 ++++++++++++
 utils/HtmlLinks.cc                       |   23 +++++++++++++++++++++++
 utils/HtmlLinks.h                        |   12 ++++++++++++
 utils/HtmlOutputDev.cc                   |   13 +++++++++++++
 utils/HtmlOutputDev.h                    |   11 +++++++++++
 utils/ImageOutputDev.cc                  |   13 +++++++++++++
 utils/ImageOutputDev.h                   |   12 ++++++++++++
 utils/parseargs.c                        |   13 +++++++++++++
 utils/parseargs.h                        |   11 +++++++++++
 utils/pdffonts.cc                        |   12 ++++++++++++
 utils/pdfimages.cc                       |   11 +++++++++++
 utils/pdfinfo.cc                         |   12 ++++++++++++
 utils/pdftoabw.cc                        |   26 +++++++++++++++++++-------
 utils/pdftohtml.cc                       |   11 +++++++++++
 utils/pdftoppm.cc                        |   11 +++++++++++
 utils/pdftops.cc                         |   12 ++++++++++++
 utils/pdftotext.cc                       |   12 ++++++++++++
 165 files changed, 1795 insertions(+), 37 deletions(-)

commit 0dfbb8996ee91aa044eb2bdf2859ef64005116f8
Author: Loïc Minier <lool@dooz.org>
Date:   Wed Aug 20 22:10:07 2008 +0200

    Fixes escaping of hyphens in man pages

 utils/pdfinfo.1 |    2 +-
 utils/pdftops.1 |   16 ++++++++--------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 6cfa0e598a81460e5d0a7d60d8584366d2a70165
Author: Loïc Minier <lool@dooz.org>
Date:   Wed Aug 20 19:57:42 2008 +0200

    Fix synopsis of pdftops in man page to clarify that a PDF file is required in all cases

 utils/pdftops.1 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 48a73cc709a8bed9d2d0f9cbd2a9d2b6c0dad05b
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 19:26:01 2008 +0200

    [Qt4] convert the title of movie annotations

 qt4/src/poppler-page.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 419ec15ac825f2e0052b411462f00ac57fed030e
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 19:25:04 2008 +0200

    [Qt4] get/set the title for movie annotations

 qt4/src/poppler-annotation.cc |   13 +++++++++++++
 qt4/src/poppler-annotation.h  |    3 +++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit 63bcaf113fcb5a4a9e5c120df2c3dafb2977c90a
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:58:30 2008 +0200

    [Qt4] convert the movie annotation from the core type to the Qt4 one

 qt4/src/poppler-page.cc |   18 +++++++++++++++---
 1 files changed, 15 insertions(+), 3 deletions(-)

commit 5cc490de74af12726bdeb9b5a6a0f0d1d79383b5
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:55:41 2008 +0200

    [Qt4] first version of a MovieAnnotation
    
    right mow it just holds the movie object

 qt4/src/poppler-annotation.cc |   74 +++++++++++++++++++++++++++++++++++++++++
 qt4/src/poppler-annotation.h  |   26 ++++++++++++++-
 2 files changed, 99 insertions(+), 1 deletions(-)

commit 3d5c2e22d790d7c139e1cd28aebb21cfe76b8b6b
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:54:30 2008 +0200

    compile the new poppler-movie.cc

 qt4/src/CMakeLists.txt |    1 +
 qt4/src/Makefile.am    |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 599698a9b133999f1f0bb0548489111e9d7b6f05
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:52:58 2008 +0200

    [Qt4] first version of a MovieObject object for movies
    
    slightly differs from the version in core

 qt4/src/poppler-movie.cc |   73 ++++++++++++++++++++++++++++++++++++++++++++++
 qt4/src/poppler-qt4.h    |   34 +++++++++++++++++++++
 2 files changed, 107 insertions(+), 0 deletions(-)

commit 820f15009845870701e1f4e7f4fc4fb93312ab3e
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:45:07 2008 +0200

    fix Movie::copy()
    
    the default copy ctor already does the vertbatim copies, so no need to
    do them on our own; what needs to be done is checking whether an object
    is valid before either doing a "smart copy" or "postprocessing" it

 poppler/Movie.cc |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit c3a006ae35250e9a5638c2ce713b7470380751c7
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 23 01:04:34 2008 +0200

    compile attachments.c in the demo with cmake as well

 glib/demo/CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b5a7987a50b3d28fbfa219e2cef85b9e53aaf079
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 21 20:40:18 2008 +0200

    [glib-demo] Fix attachments demo with documents that don't contain attachments

 glib/demo/attachments.c |   27 ++++++++++++++++++++-------
 1 files changed, 20 insertions(+), 7 deletions(-)

commit a2b0aefedbdb20ce0ef8398a700202021fcf00db
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 21 20:14:50 2008 +0200

    [glib-demo] Fix typo

 glib/demo/attachments.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9e563d6d877624b1caf82ac30c5ae30a1eb48f21
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 21 20:12:33 2008 +0200

    [glib-demo] Add checksum validation to attachments demo

 glib/demo/attachments.c |  101 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 101 insertions(+), 0 deletions(-)

commit e233325e6f13d8b232bf68a2812fe755e7fccd4d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 21 19:03:32 2008 +0200

    [glib-demo] Add demo for attachments

 glib/demo/Makefile.am   |    2 +
 glib/demo/attachments.c |  242 +++++++++++++++++++++++++++++++++++++++++++++++
 glib/demo/attachments.h |   31 ++++++
 glib/demo/main.c        |    4 +-
 glib/demo/utils.c       |   23 +++++
 glib/demo/utils.h       |    1 +
 6 files changed, 302 insertions(+), 1 deletions(-)

commit 0e2efa0fce5bf059ce85d3e3bec2293b405ec3c9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Aug 21 19:02:24 2008 +0200

    [glib] Make sure name and descripction are valid utf8 strings

 glib/poppler-attachment.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 15a73704ab6b009ca5e07c08f0b12d970adc387d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Aug 19 09:18:03 2008 +0100

    Memleak and invalid free.
    
    CairoOutputDev::setSoftMask() fails to free the cairo_t and mask it uses
    to draw the opaque soft mask and attempts to destroy a reference to a
    surface it does not own (this bug was masked by the fact that a reference
    was still being held by the unfreed cairo_t).

 poppler/CairoOutputDev.cc |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit d3110e392097db54e9ee59300213e490dee39126
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 19 19:19:09 2008 +0200

    Fix include so it can be used in the unsupported way of installing internal poppler/ headers
    
    Notified by Caolan McNamara <caolanm@redhat.com>

 poppler/PreScanOutputDev.h |    2 +-
 poppler/SecurityHandler.h  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 303249e5548bfbf6823e97850e498970d802b4a0
Author: Albert Astals Cid <tsdgeos@samsung.localdomain>
Date:   Fri Aug 15 01:52:52 2008 +0200

    Revert 123a87aff2e35b10efe6a1d715585b427e4a9afa it creates problems with some pdf files

 poppler/Gfx.cc |   14 ++------------
 poppler/Gfx.h  |    3 ---
 2 files changed, 2 insertions(+), 15 deletions(-)

commit 27ddf3c5e839358c8553d41743faa8ee304767bf
Author: Pino Toscano <pino@kde.org>
Date:   Wed Aug 13 13:55:57 2008 +0200

    [Qt4] make sure to use the correct page width/height for form widgets coordinates

 qt4/src/poppler-form.cc |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 2e7b0eb4af8cf5938833e5659d01b77096e7b7f7
Author: Pino Toscano <pino@kde.org>
Date:   Tue Aug 12 13:49:52 2008 +0200

    [Qt4] add a method to get the activation action of a FormField

 qt4/src/poppler-form.cc |   19 +++++++++++++++++++
 qt4/src/poppler-form.h  |    8 ++++++++
 2 files changed, 27 insertions(+), 0 deletions(-)

commit f9e679adbd6830da26eb9909bcb16e3bdf0da6b4
Author: Pino Toscano <pino@kde.org>
Date:   Tue Aug 12 13:47:15 2008 +0200

    create a static version of PageData::convertLinkActionToLink()

 qt4/src/poppler-page-private.h |    2 ++
 qt4/src/poppler-page.cc        |    5 +++++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit a6ecc864ea3e94d7232cff6a2e8f49919d8f24ff
Author: Albert Astals Cid <tsdgeos@samsung.localdomain>
Date:   Tue Aug 12 01:23:21 2008 +0200

    initialize widget, fixes crash on EC2006.pdf

 poppler/Annot.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 123a87aff2e35b10efe6a1d715585b427e4a9afa
Author: Albert Astals Cid <tsdgeos@samsung.localdomain>
Date:   Tue Aug 12 00:37:09 2008 +0200

    Cache the last created GfxResource, very useful because some pdf created by pstopdf push and pop the same GfxResource all the time
    
    This brings us a speedup of 16 times (from 11 seconds to about 600 msec) in kde bug 168663

 poppler/Gfx.cc |   14 ++++++++++++--
 poppler/Gfx.h  |    3 +++
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 5ad1a12183f4b8e328f32386a74b5616e7e59070
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 4 20:34:42 2008 +0200

    Be less strict when parsing TTF tables
    
    With this change and freetype from CVS i can render Bug 16940 using the splash renderer

 fofi/FoFiTrueType.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit d322720428fa416b7d5f23acc72d1d4b4f74d041
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 4 20:16:50 2008 +0200

    Report an error when FoFiTrueType::load or FoFiTrueType::make fail

 poppler/SplashOutputDev.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 901ebc84ff7c0872c3f9f5e6eaf418ba6400fa10
Author: Pino Toscano <pino@kde.org>
Date:   Sun Aug 3 10:54:09 2008 +0200

    [Qt4] Make the paper color setting working as it should.
    
    A BGR colorspace means that colors should be set as blue,green,red, and
    not red,green,blue.

 qt4/src/poppler-private.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 66b34c78943be598778a3ef438b0cefac668c6a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 2 13:54:34 2008 +0200

    This should not be here, breaks jpeg rendering when not using libjpeg
    
    That was included erroneously when the file writing code was added

 poppler/Stream.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit fd8d71ea8b12393201ece9c09372fd69c7573025
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 23:47:51 2008 +0200

    These defines are unneeded too

 msvc/poppler/poppler-config.h |   30 ------------------------------
 poppler-config.h.cmake        |   30 ------------------------------
 poppler/poppler-config.h.in   |   30 ------------------------------
 3 files changed, 0 insertions(+), 90 deletions(-)

commit 391b5d5cdd9f63fe90229f88cdad628fb63c0206
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 23:36:09 2008 +0200

    Get rid of more defines, say our version on command line tools, also say our copyright
    
    Did not modify PSOutputDev.cc output as PS is too fragile

 msvc/poppler/poppler-config.h |    9 +--------
 poppler-config.h.cmake        |    9 +--------
 poppler/PSOutputDev.cc        |    2 +-
 poppler/poppler-config.h.in   |    9 +--------
 utils/pdffonts.cc             |    3 ++-
 utils/pdfimages.cc            |    3 ++-
 utils/pdfinfo.cc              |    3 ++-
 utils/pdftohtml.cc            |    3 ++-
 utils/pdftoppm.cc             |    3 ++-
 utils/pdftops.cc              |    3 ++-
 utils/pdftotext.cc            |    3 ++-
 11 files changed, 18 insertions(+), 32 deletions(-)

commit d14fb1513be045363f7edec21cee04fd4937ede2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 23:14:28 2008 +0200

    Add GooList *getEncodingNames();
    
    Forgot to commit this earlier :-(

 poppler/GlobalParams.cc |   19 +++++++++++++++++++
 poppler/GlobalParams.h  |    2 ++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 9fd34443d765ccd61864d18bceadc049d905b957
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 23:09:39 2008 +0200

    remove defines we don't use at all

 msvc/poppler/poppler-config.h |    4 ----
 poppler-config.h.cmake        |    4 ----
 poppler/poppler-config.h.in   |    4 ----
 3 files changed, 0 insertions(+), 12 deletions(-)

commit 0f13013dc3079915572b6b002dac8d01d2dbde04
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 23:06:50 2008 +0200

    xpdfrc has been dead for a while

 msvc/poppler/poppler-config.h |   25 -------------------------
 poppler-config.h.cmake        |   25 -------------------------
 poppler/poppler-config.h.in   |   25 -------------------------
 3 files changed, 0 insertions(+), 75 deletions(-)

commit 96392667d1331d2f8750f27c116e34bbf9282dca
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 22:20:55 2008 +0200

    Provide a default constructor for FontInfo so you can use it as metatype for qvariant

 qt4/src/poppler-fontinfo.cc |    5 +++++
 qt4/src/poppler-private.h   |    7 +++++++
 qt4/src/poppler-qt4.h       |    5 +++++
 3 files changed, 17 insertions(+), 0 deletions(-)

commit 9fd1077e63d97a316380b8df4821bf4c9434fb52
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 17:47:51 2008 +0200

    Build with cmake too

 utils/CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d8d6a3f46620d45c279b7ca1a4a2fa3a36285cde
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 1 17:44:07 2008 +0200

    Improve manpages and add -listenc to pdfinfo and pdftotext in the way
    
    Our manpages listed things like xpdfrc and -cfg options we don't support at all.
    Also some options were missing from the man pages
    Finally there was the -enc option you completely had to guess which string to pass,
    so i've added the -listenc option to get the user the list of encodings he can use

 utils/Makefile.am       |    2 ++
 utils/pdffonts.1        |   18 ------------------
 utils/pdfimages.1       |   14 --------------
 utils/pdfinfo.1         |   28 ++++------------------------
 utils/pdfinfo.cc        |   16 ++++++++++++++--
 utils/pdftoppm.1        |   42 +++++++++++++++++++++---------------------
 utils/pdftops.1         |   41 +++--------------------------------------
 utils/pdftotext.1       |   32 ++++----------------------------
 utils/pdftotext.cc      |   16 ++++++++++++++--
 utils/printencodings.cc |   34 ++++++++++++++++++++++++++++++++++
 utils/printencodings.h  |   24 ++++++++++++++++++++++++
 11 files changed, 120 insertions(+), 147 deletions(-)

commit f5b0ca794b0879e3d239bf1d6138b15ead27d9ca
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jul 29 20:18:33 2008 +0930

    Fix ActualText string length check in TextOutputDev.cc

 poppler/TextOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21bbdc9d663995336900f1ce97cf294f04464e01
Author: Boris Toloknov <tlknv@yandex.ru>
Date:   Mon Jul 28 21:02:07 2008 +0200

    make xml output valid xml

 utils/HtmlLinks.cc     |   33 +++++++++++++++++-
 utils/HtmlOutputDev.cc |   85 ++++++++++++++++++++++++++++++-----------------
 2 files changed, 85 insertions(+), 33 deletions(-)

commit dccfc4c2910b47a77cd7b6019d9365f1684ffd0c
Author: Boris Toloknov <tlknv@yandex.ru>
Date:   Mon Jul 28 20:58:13 2008 +0200

    Limit ascent and descent are to reasonable values.
    
    See bug 16592 to cases where this helps

 utils/HtmlOutputDev.cc |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 0fd5a3db1ddad447d44b64eff9abfb077a7853a0
Author: Boris Toloknov <tlknv@yandex.ru>
Date:   Mon Jul 28 20:52:19 2008 +0200

    Make html output to keep all the spaces with &nbsp;

 utils/HtmlFonts.cc     |    2 ++
 utils/HtmlOutputDev.cc |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 650c73fa0f570f699d907e33060fb23290940b42
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 28 20:44:13 2008 +0200

    findDest crashes on null goostrings so rework the ifs a bit

 utils/HtmlOutputDev.cc |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit adee9c0e9e8b2de20309b3ae6eb8e6d6ed05cf85
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 26 00:04:03 2008 +0200

    We are not storing the ctu, so decref and leak-- :-)

 poppler/Annot.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e7b3e3ae3080bd6f239f7d96761729ad30b075ae
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 23:52:28 2008 +0200

    Fix leak

 qt4/src/poppler-form.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 006b974d4faae53e6bd51a4281dd923ab1c2d4e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 23:15:11 2008 +0200

    Fix memory leak

 poppler/Annot.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3a549d75acceedfa25dcf79074d0cdfb643c746e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 23:08:21 2008 +0200

    Free the previous modified object in case it exists

 poppler/XRef.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 040d244b97a554342061c777a286e99dbb9acabd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 21:31:55 2008 +0200

    Need this or otherwise it crashes on complete overwrite

 poppler/PDFDoc.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 11ebceeef938a7e6fa9b5437e65b5b4b822f3018
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 21:30:24 2008 +0200

    Fix my last fix about saving, i think this is the correct one
    
     - One incremental update only write the modified entries xref, not all
     - Update gen to 0 when resizing entries
     - On XRef::add correctly initialize all newly allocated entries

 poppler/PDFDoc.cc |    4 +-
 poppler/XRef.cc   |   57 ++++++++++++++++++++++++++++++++++++++++++----------
 poppler/XRef.h    |    2 +-
 3 files changed, 49 insertions(+), 14 deletions(-)

commit 03d445f485f90972ab1c05d79b2999b763ab7377
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 20:16:54 2008 +0200

    Fix XRef::writeToFile after my change

 poppler/XRef.cc |   10 +++-------
 1 files changed, 3 insertions(+), 7 deletions(-)

commit 136fa97576f2df0d7a7563b34651ca222927ea57
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 25 20:12:51 2008 +0200

    Fix XRef::add and XRef::addIndirectObject, also remove num from XRefEntry
    
    Previous code was under some incorrect assumptions:
     * our XRef does not maintain the free link list so if you want to
       find a free entry you have to go though all of them
     * our XRefEntry does not need a num because the index itself is the num
    
    Conflicts:
    
    	poppler/XRef.cc

 poppler/XRef.cc |   70 +++++++++++++++++++-----------------------------------
 poppler/XRef.h  |    1 -
 2 files changed, 25 insertions(+), 46 deletions(-)

commit 55572b77da95c47393b78f3aff804ea9c5ae17e5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 22 22:50:00 2008 +0200

    Really do what the comment says and also init changeLeft, changeTop and changeZoom

 poppler/Link.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8dc7afaeea08183de331ecfd41ce1971e7772fd0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 22 21:05:03 2008 +0200

    Some documents have loops in XObject dictionaries, make sure we don't get in an infinite loop while traversing them
    
    Fixes infinite loop on http://bugs.kde.org/show_bug.cgi?id=166145

 poppler/FontInfo.cc |   44 ++++++++++++++++++++++++++++++++++++--------
 poppler/FontInfo.h  |    4 ++++
 2 files changed, 40 insertions(+), 8 deletions(-)

commit 9fb17c952dcff798e45280eeb9c718680147e766
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 20 13:47:11 2008 +0200

    Fix condition, we want thumb to be a Stream, not to be non null
    
    Fixes bug 16579

 glib/poppler-page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3696025977fd345b12767f75a2de6ed7e9467365
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jul 18 23:32:25 2008 +0200

    initialize pageWidgets, otherwise it can be a rubbish pointer is Annots
    is not a valid object

 poppler/Page.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0189ff8b86de18486f7397076f7a0fbf133a1a33
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 1 20:16:50 2008 +0200

    Fix condition, we want fetched_thumb to be a Stream, not to be non null
    
    Fixes bug 16579

 poppler/Page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5bd77dcdd5220d63934f4b3e78d85a936947a53d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 1 00:49:01 2008 +0200

    forgot about we use autofoo too

 qt4/tests/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5ed2503003d973b5461594af15485af49591451d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 1 00:43:26 2008 +0200

    unittesting about ActualText

 qt4/tests/CMakeLists.txt       |    1 +
 qt4/tests/check_actualtext.cpp |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 0 deletions(-)

commit f3bb2eb556f5248242f6db85052ef045fcb697c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 1 00:41:35 2008 +0200

    Unbreak ActualText extraction

 poppler/Gfx.cc |   10 +---------
 1 files changed, 1 insertions(+), 9 deletions(-)

commit 9e9543b105b39f8b0048c00fc94741e43ad615e9
Author: Pino Toscano <pino@kde.org>
Date:   Thu Jun 26 20:19:06 2008 +0200

    use FindPackageHandleStandardArgs

 cmake/modules/FindLIBOPENJPEG.cmake |   11 ++---------
